2006-05-18 Jim Hyslop <jhyslop@dreampossible.ca>

	* NEWS: Note Windows build problem, requiring new build 1.12.13a

2005-10-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note ZLib security issues.

2005-09-30  Derek Price  <derek@ximbiot.com>

	* NEWS: Mention Conrad's Windows client fix.

2005-09-28  Derek Price  <derek@ximbiot.com>

	* NEWS: Consolidate TmpDir with the other new config keys.

2005-09-26  Derek Price  <derek@ximbiot.com>

	* NEWS: Note FreeBSD 5.x GSSAPI fix.

	* NEWS: Note fsync'd commits.

2005-09-25  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add files (lib\getdelim.h lib\setenv.h) to project.

	* cvsnt.dep: Regenerated for "cvsnt.dsp" changes.

2005-09-24  Derek Price  <derek@ximbiot.com>

	* NEWS, HACKING: Standardize on Automake 1.9.6.

2005-09-22  Derek Price  <derek@ximbiot.com>

	* NEWS: Mention conflict fixes.

2005-09-20  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add files (lib\canon-host.h lib\glob-libc.h) to project.

	* cvsnt.dep: Regenerated for "cvsnt.dsp" changes.

2005-09-19  Derek Price  <derek@ximbiot.com>

	* maint-aux/gnulib-update: Default $GNULIB path rather than setting.
	Check for error return from gnulib-tool before expecting results.

2005-09-13  Derek Price  <derek@ximbiot.com>

	* TESTS: Mention new $username8 & $anyusername variables.

2005-09-06  Derek Price  <derek@ximbiot.com>

	* TESTS: Reword slightly.  s/\$PROG/\$CPROG/.  Document $tempfile &
	$tempname.

	* NEWS: Note Kerberos4 build fix.

2005-09-05  Derek Price  <derek@ximbiot.com>

	* NEWS: Note TmpDir config key.  Reorder config news items.  Reword
	the [root] specification item.

	* configure.in (--enable-config-override): Verify $prefix is set before
	expanding $sysconfdir.

2005-09-04  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove putenv cruft.

	* maint-aux/gnulib-modules: Add glob.

	* NEWS: Note new [root] specification in config files.

	* configure.in: Remove unneeded search for hstrerror.
	* maint-aux/gnulib-modules: Add canon-host.

2005-09-04  Larry Jones  <lawrence.jones@ugs.com>

	* NEWS: s/bug-cvs@gnu.org/bug-cvs@nongnu.org/.
	* configure.in: s/info-cvs@gnu.org/info-cvs@nongnu.org/.
	* configure: Regenerated.

2005-09-03  Larry Jones  <lawrence.jones.ugs.com>

	* configure: Regenerated.

2005-09-01  Derek Price  <derek@ximbiot.com>

	* DEVEL-CVS, FAQ, HACKING, INSTALL-CVS, README, README.VMS,
	configure.in, build-aux/bison-missing: Update links and email
	addresses.

2005-08-31  Derek Price  <derek@ximbiot.com>

	* www/.htaccess: Remove this file.

2005-08-31  Derek Price  <derek@ximbiot.com>

	* cvs.spec.in: Note last spec file change in internal ChangeLog.

2005-08-31  Derek Price  <derek@ximbiot.com>

	* NEWS: Note spec file repair.

2005-08-31  Derek Price  <derek@ximbiot.com>

	* cvs.spec.in: Update links to point to Savannah.  s/Copyright/License/
	for RPM 4.mumble.

2005-08-31  Derek Price  <derek@ximbiot.com>

	* NEWS: Note configurable config file path.
	* configure.in (--enable-config-override): New option.

2005-08-30  Larry Jones  <lawrence.jones@ugs.com>

	* NEWS: Note import locking fix.

2005-08-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new verifymsg %{sV} format strings.

2005-08-04  Derek Price  <derek@ximbiot.com>

	* NEWS: Move 1.12 change from BUG FIXES to NEW FEATURES and rephrase.
	Correct spelling error in different entry.

2005-07-20  Derek Price  <derek@ximbiot.com>

	* AUTHORS, HACKING, README, cvs.spec.in:
	s/cvshome.org/nongnu.org.etc.../.
	* DEVEL-CVS: Ditto.  Remove devel-cvs mailing list charter.

2005-07-12  Derek Price  <derek@ximbiot.com>

	* FAQ, HACKING, INSTALL: Add copyright notices.

2005-07-11  Derek Price  <derek@ximbiot.com>

	* FAQ, HACKING, INSTALL-CVS: Update license notices.

2005-06-15  Derek Price  <derek@ximbiot.com>

	* build-aux/missing: Add hack to fail gracefully when Bison is too old.

2005-06-15  Derek Price  <derek@ximbiot.com>

	* HACKING: Note GNU Bison 1.875 requirement.

2005-06-12  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add file "lstat.h" to project.
	* cvsnt.dep: Regenerate for "cvsnt.dsp" change.

2005-06-10  Derek Price  <derek@ximbiot.com>

	* maint-aux/gnulib-modules: Remove stat module.

2005-06-10  Mark D. Baushke  <mdb@cvshome.org>

	* HACKING: Add a few more guidelines.  Adjust examples for switch
	labels.  Fix some spelling mistakes.
	* cvs-format.el (c-label-offset, case-label): Adjust indentation
	to agree with changes in the HACKING document.
	
2005-06-03  Derek Price  <derek@ximbiot.com>

	* HACKING: Remove `!= NULL' in example conditional.

2005-06-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new server compression limit config options.  Correct
	HistorySearchPath name.

2005-06-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note server compression hang fix.

2005-06-01  Derek Price  <derek@ximbiot.com>

	* TODO (214): Remove completed item.

2005-06-01  Conrad T. Pino  <Conrad@Pino.com>

	* makewin32.cmd: Add options to support CLEAN build target.

2005-06-01  Conrad T. Pino  <Conrad@Pino.com>

	* makewin32.cmd: Add Windows NT command file to build CVS Project.

2005-05-31  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dep: Regenerate after build for #include changes.

2005-05-30  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add files "lib/quotearg.h", "lib/stat-macros.h",
	  "windows-NT/woe32.h" and "windows-NT/unistd.c" to project.
	* cvsnt.dep, cvsnt.mak: Regenerate for "cvsnt.dsp" changes.

2005-05-27  Derek Price  <derek@ximbiot.com>

	* NEWS: Note diff space split fix.
	* BUGS: Remove diff space split note.

2005-05-27  Derek Price  <derek@ximbiot.com>

	* maint-aux/gnulib-modules: Add quotearg module.

2005-05-26  Derek Price  <derek@ximbiot.com>

	* maint-aux/gnulib-modules: Add stat-macros module.

2005-05-25  Derek Price  <derek@ximbiot.com>

	* maint-aux/gnulib-modules: Add getlogin_r module.

2005-05-24  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add lib/canonicalize.h and lib/glob.h to project.
	* cvsnt.dep: Regenerate for cvsnt.dsp changes.

2005-05-23  Derek Price  <derek@ximbiot.com>

	* maint-aux/gnulib-modules: Add GNULIB canonicalize module.

2005-05-23  Derek Price  <derek@ximbiot.com>

	* configure.in: Update Copyright years.

2005-05-17  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dep: Regenerated for "lib/libcvs.dsp" change.

2005-05-11  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new History* config options.
	* maint-aux/gnulib-filelist.txt: Add strdup module.

2005-05-09  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dep, cvsnt.mak: Regenerated after Windows full rebuild.

2005-05-09  Derek Price  <derek@ximbiot.com>

	* cvs.spec.in: Find install-sh in its new location.

2005-05-06  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Solaris 10 command option parsing fix.

2005-05-04  Mark D. Baushke  <mdb@cvshome.org>

	* maint-aux/gnulib-update: Depend on maint-aux/gnulib-modules
	which needs to exist relative to the top-level directory rather
	than config.h which may be sitting in a build subdirectory.

2005-05-03  Derek Price  <derek@ximbiot.com>

	* INSTALL-CVS: Add footnote about compiling a CVS checkout of CVS on a
	case-insensitive UNIX file system like Mac OS X.

2005-05-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note GNULIB updates as misc efficiency and portability fixes.

2005-05-02  Derek Price  <derek@ximbiot.com>

	* TODO (231): New item.
	(22, 30, 31): Remove completed items.

2005-05-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new val-tags locks.

2005-05-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that lock compatibility is now enabled on Windows by
	default.

2005-05-01  Mark D. Baushke  <mdb@cvshome.org>

	* maint-aux/gnulib-filelist.txt: Update from GNULIB.
	* configure: Regenerated.

2005-04-30  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new history locks.

2005-04-25  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in: Add support for <pam/pam_appl.h> to allow
	--enable-pam to work on MacOSX 10.2 and newer.
	(Pach from Moriyoshi Koizumi <moriyoshi@at.wakwak.com>.)
	* configure, config.h.in: Regenerated.
	
2005-04-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Note log overflow fix.

2005-04-15  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Klocwork fixes.

2005-04-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note contrib Perl taint vulnerability fix.

2005-04-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Avoid self-aggrandizement.

2005-04-08  Derek Price  <derek@ximbiot.com>

	* NEWS: Note GMT/get_date fix.

2005-04-06  Derek Price  <derek@ximbiot.com>

	* gnulib.txt: Move to...
	* gnulib-filelist.txt: ...this new file.
	* gnulib-update: Clean up slightly.  Use new file.

2005-04-06  Derek Price  <derek@ximbiot.com>

	* maint-aux/.cvsignore: New file.

2005-04-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Generate maint-aux/Makefile.
	* Makefile.am (SUBDIRS): Add maint-aux.
	* maint-aux/Makefile.am, maint-aux/Makefile.in: New files.

2005-04-06  Derek Price  <derek@ximbiot.com>

	* gnulib-modules, gnulib-update, gnulib.txt, srclist.txt: Move these...
	* maint-aux: ...to this new directory, with minor modifications.
	* Makefile.am (EXTRA_DIST): Accomodate move of the above files.  Add
	maint-aux/gnulib-modules.
	* HACKING: s#srclist.txt#maint-aux/srclist.txt#.

2005-04-05  Derek Price  <derek@ximbiot.com>

	* mkinstalldirs: Remove this obsolete file.  It's work is now done by
	`build-aux/install-sh -d'.

2005-04-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Specify new build-aux directory for auxiliary build
	files.
	* compile, config.guess, config.rpath, config.sub, depcomp, install-sh,
	mdate-sh, missing, texinfo.tex, ylwrap: Move to...
	* build-aux: ...this new directory.
	* INSTALL: Replace with generic version from Automake, moving...
	* INSTALL-CVS: ...original to here.  Reference INSTALL for more
	configure information.
	* FAQ, README: Reference INSTALL-CVS rather than INSTALL.

2005-03-29  Mark D. Baushke  <mdb@cvshome.org>

	* config.guess, config.rpath, config.sub, depcomp, gnulib.txt,
	install-sh, mdate-sh, missing, mkinstalldirs: Update from GNULIB.
	* configure: Regenerated.
	
2005-03-22  Mark D. Baushke  <mdb@cvshome.org>

	* aclocal.m4, gnulib.txt: Update from GNULIB.
	* Makefile.in, config.h.in, configure: Regenerated.

2005-03-16  Mark Baushke  <mdb@cvshome.org>

	* cvs-format.el: Update to work with modern GNU Emacs versions
	that have cc-mode instead of c-mode.

2005-03-16  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that writeproxy primary failures are now detected.

2005-03-16  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that failure to open debug logs is no longer fatal.

2005-03-15  Derek Price  <derek@ximbiot.com>

	* HACKING, NEWS: Note new Automake version.

2005-03-10  Mark D. Baushke  <mdb@cvshome.org>

	* configure: Regenerated.

2005-03-09 Derek Price <derek@ximbiot.com>

	* configure.in: Don't generate windows-NT/mkconfig or
	windows-NT/fix-msvc-mak.
	* configure: Regenerated.

2005-03-07  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add .\lib\closeout.h, .\lib\getpagesize.h and
	.\lib\pagealign_alloc.h files.
	* cvsnt.dep, cvsnt.mak: Regenerate for cvsnt.dsp changes.

2005-03-07  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in, configure: Regenerated.

2005-03-04  Jim Hyslop  <jhyslop@ieee.org>

	* NEWS: Note fix for compile errors on IRIX 5.3.

2005-03-03 Derek Price <derek@ximbiot.com>

	* configure.in: Remove checks for valloc and mmap.
	* gnulib-modules: Add pagealign_alloc.
	* NEWS: Note new buffer allocation method.

2005-03-03 Derek Price <derek@ximbiot.com>

	* gnulib-update: Clean up "saved" files on interrupt.

2005-03-02  Jim Meyering  <jim@meyering.net>

	* NEWS: Note that cvs now detects write errors on stdout.
	* gnulib-modules: Add closeout.
	* gnulib.txt: Regenerate.

2005-03-02 Derek Price <derek@ximbiot.com>

	* configure.in: Remove checks for funcs covered by GNULIB.

2005-03-02 Derek Price <derek@ximbiot.com>

	* gnulib-update: Redirect gnulib-tool output back to /dev/null.

2005-03-02 Derek Price <derek@ximbiot.com>

	* gnulib-update: Avoid munging timestamps when files haven't changed.

2005-03-01 Derek Price <derek@ximbiot.com>

	* NEWS: Note GNULIB update.  Expand --disables-* note.

2005-03-01 Derek Price <derek@ximbiot.com>

	* gnulib-update: Correct m4/error.m4 to avoid compiling the GNULIB
	lib/error.c.
	(MODULES): Move content to...
	* gnulib-modules: This new file.

2005-02-25 Derek Price <derek@ximbiot.com>

	* NEWS: Note commitid feature.
	(Patch from Frank Hemer <frank@hemer.org>.)

2005-02-24 Derek Price <derek@ximbiot.com>

	* configure.in:  Disable proxy when either the client or server are
	disabled.  Other minor cleanup.
	* NEWS: Note --disable-client fix.

2005-02-23  Derek Price  <derek@ximbiot.com>

	* NEWS: Note -r<tag>:<date> change.

2005-02-21  Derek Price  <derek@ximbiot.com>

	* NEWS: Note zlib update.
	* srclist.txt: Note new source for zlib.

2005-02-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Note `cvs -n release' fix.

2005-02-19  Derek Price  <derek@ximbiot.com>

	* configure.in (--with-rsh): Prefer ssh to rsh.
	* NEWS: Note this.

2005-02-04  Derek Price  <derek@ximbiot.com>

	* NEWS: Note zlib fix.

2005-01-31  Derek Price  <derek@ximbiot.com>

	* AUTHORS: Add Conrad Pino.
	* README: Update copyright notice.

2005-01-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note some recent changes.

2004-12-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note no-longer missing files.
	* Makefile.am (EXTRA_DIST): Add m4/README, gnulib-update, gnulib.txt,
	and srclist.txt.
	* configure.in (AC_OUTPUT): Add doc/i18n/Makefile &
	doc/i18n/pt_BR/Makefile.

2004-12-13  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Windows build fixes.

2004-12-09  Derek Price  <derek@ximbiot.com>

	* NEWS: Note `Redirect' CVSROOT method option and doc improvements.

2004-12-09  Mark D. Baushke  <mdb@cvshome.org>

	* README: Remove Dr. Pascal Molli's CVS URL from the
	documentation.
	* FAQ: Ditto.

2004-12-03  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: Document new CVSROOT options and case insensitivity.

2004-11-30  Mark D. Baushke  <mdb@cvshome.org>

	* HACKING (Coding standards): Add the primary URL for the GNU
	coding standards.

2004-11-30  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "src/subr.h" to project.
	* cvsnt.dep: Regenerated for "cvsnt.dsp" change.
	* cvsnt.mak: Regenerated for "cvsnt.dsp" change.

2004-11-21  Mark D. Baushke  <mdb@cvshome.org>

	* cvsnt.dep: Add "xgethostname.h" to project.
	* cvsnt.dsp: Add "xgethostname.h" to project.

2004-11-20  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove note about BSDI test failure.

2004-11-19  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add xgethostname.

2004-11-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Note "red file" fix source inclusion.

2004-11-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Windows distribution fix.

2004-11-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Note most recent GNULIB update.

2004-11-15  Derek Price  <derek@ximbiot.com>

	* BUGS: Note current CVS test failures on BSD/OS & Cray.

2004-11-11  Derek Price  <derek@ximbiot.com>

	* BUGS: Note current CVS server turds on AIX.

2004-11-11  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in, configure: Regenerated.

2004-11-09  Mark D. Baushke  <mdb@cvshome.org>

	* configure: Regenerated.

2004-11-04  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Remove "lib/allocsa.c", "lib/readlink.c", "lib/xreadlink.c"
	and "allocsa.h" from project.
	* cvsnt.dep: Regenerate for "cvsnt.dsp" change.
	* cvsnt.mak: Regenerate for "cvsnt.dsp" change.

2004-11-04  Derek Price  <derek@ximbiot.com>

	* TODO (233): New item.

2004-11-04  Mark D. Baushke  <mdb@cvshome.org>

	* cvsnt.dsp: Add entries for allocsa.c and allocsa.h.
	* cvsnt.dep: Re-order sources in front of includes.
	* Makefile.am: Update allocsa from GNULIB.
	* gnulib.txt, Makefile.gnulib: Regenerated.

2004-11-03  Derek Price  <derek@ximbiot.com>

	* HACKING, NEWS: Note new Autoconf & Automake versions.

2004-11-03  Mark D. Baushke  <mdb@cvshome.org>

	* cvsnt.dsp: Add readlink.c, xreadlink.c and xreadlink.h.
	* cvsnt.dep: Add readlink.c and xreadlink.c dependencies.

	* gnulib-update (MODULES): Add readlink xreadlink.
	* Makefile.in, aclocal.m4, configure, configure.in, gnulib.txt:
	Regenerated.

2004-11-02  Mark D. Baushke  <mdb@cvshome.org>

	* config.h.in, configure: Regenerated.

2004-11-01  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dep: Regenerated for "lib/libcvs.dsp" change.

2004-11-01  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new date format documentation.

2004-11-01  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that CVS handles new time zones.

2004-11-01  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Remove getdate module.

2004-11-01  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add allocsa, setenv, getdate.

2004-10-30  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in: Add AC_SEARCH_LIBS for hstrerror in resolv to also
	define HAVE_HSTRERROR if it is found.
	* configure: Regenerated.

2004-10-29  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in: Add AC_SEARCH_LIBS for hstrerror in resolv.
	* configure: Regenerated.

2004-10-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note xreadlink fix.

2004-10-26  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "lib/yesno.h" to project.
	* cvsnt.dep: Regenerate for "cvsnt.dsp" change.

2004-10-26  Derek Price  <derek@ximbiot.com>

	* NEWS: Note GSSAPI error message fix.

2004-10-25  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add yesno.

2004-10-23  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dep: Regenerate for "lib/libcvs.dsp" change.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* cvsnt.dsp: Add "windows-NT/stdint.h" to project.
	* cvsnt.dep: Regenerated.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* configure: Regenerated.

2004-10-22  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "lib/strftime.h" to project.
	* cvsnt.dep: Regenerate for "cvsnt.dsp" change.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* gnulib-update (MODULES): Add stdint.
	* Makefile.in, aclocal.m4, config.h.in, configure, gnulib.txt:
	Regenerated.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.am (proxycheck): Add new test target.
	* Makefile.in: Regenerated.

2004-10-22  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add md5.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Backout addition of rpmatch & yesno.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* srclist.txt (error): Update from GNULIB.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add rpmatch & yesno.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add getpagesize.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add xsize module explicitly.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove outdated comment.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_GNU_STRFTIME.
	* gnulib-update (MODULES): Add strftime module.
	* srclist.txt: Remove GNULIB strftime module.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to jm_REALLOC.
	* gnulib-update (MODULES): Add realloc module.
	* srclist.txt: Remove GNULIB realloc module.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to jm_MALLOC.
	* gnulib-update (MODULES): Add malloc module.
	* srclist.txt: Remove GNULIB malloc module.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* TODO (22, 31): Remove completed items.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove ls assertion failure bug.

2001-10-21  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dep: Regenerated for "../zlib/lib.dsp" change.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* NEWS: Note `cvs ls filename' fix.

2004-10-20  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in (ccvs_FUNC_SELECT): Work around Solaris 7 select()
	hang.
	* Makefile.in, aclocal.m4, config.h.in, configure:
	Regenerate for new configure.in.

2004-10-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Note validate_repo change.

2004-10-19  Derek Price  <derek@ximbiot.com>

	* NEWS: Note resurrection fix.

2004-10-19  Derek Price  <derek@ximbiot.com>

	* HACKING (Portability): Note assumption of sys/stat.h.

2004-10-16  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "lib/vasprintf.h" to project.
	* cvsnt.dep: Regenerate for "cvsnt.dsp" change.
	* cvsnt.mak: Regenerate for "cvsnt.dsp" change.

2004-10-15  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add vasprintf.

2004-10-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new import branch verification.

2004-10-10  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_STRERROR.
	* gnulib-update (MODULES): Add strerror.
	* srclist.txt (strerror): Remove list generated by gnulib-update.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_LSTAT.
	* gnulib-update (MODULES): Add lstat.
	* srclist.txt (lstat): Remove list generated by gnulib-update.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_STAT.
	* gnulib-update (MODULES): Add stat.
	* srclist.txt (stat): Remove list generated by gnulib-update.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_NANOSLEEP.
	* gnulib-update (MODULES): Add nanosleep.
	* srclist.txt (nanosleep): Remove list generated by gnulib-update.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_MEMMOVE.
	* gnulib-update (MODULES): Add memmove.
	* srclist.txt (memmove): Remove list generated by gnulib-update.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add minmax.
	* srclist.txt (minmax): Remove list generated by gnulib-update.

2004-10-07  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_TIME_R, gl_FUNC_MKTIME.
	* gnulib-update (MODULES): Add restrict, time_r, & mktime.
	* srclist.txt (restrict, time_r, mktime): Remove lists generated by
	gnulib-update.

2004-10-07  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_TZSET_CLOBBER.
	* gnulib-update (MODULES): Add tzset.
	* srclist.txt (tzset): Remove list generated by gnulib-update.

2004-10-07  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_GLIBC_UNLOCKED_IO.
	* gnulib-update (MODULES): Add unlocked-io.
	* srclist.txt (unlocked-io): Remove list generated by gnulib-update.

2004-10-07  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_GETTIME.
	* gnulib-update (MODULES): Add gettime.
	* srclist.txt (gettime): Remove list generated by gnulib-update.

2004-10-07  Derek Price  <derek@ximbiot.com>

	* HACKING, NEWS: Note new Autoconf & Automake version requirements.
	* Makefile.am (SUBDIRS): Remove m4.
	(EXTRA_DIST): Distribute m4/ChangeLog.
	* configure.in (AM_INIT_AUTOMAKE): Require Automake 1.9.2.
	(AC_PREREQ): Require Automake 2.59.

2004-10-07  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "lib/getpass.h" and "lib/strcase.h" to project.
	* cvsnt.dep: Regenerate for "cvsnt.dsp" change.
	* cvsnt.mak: Regenerate for "cvsnt.dsp" change.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_TIMESPEC.
	* gnulib-update (MODULES): Add timespec.
	* srclist.txt (timespec): Remove list generated by gnulib-update.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to AC_FUNC_GETTIMEOFDAY_CLOBBER.
	* gnulib-update (MODULES): Add gettimeofday.
	* srclist.txt (gettimeofday): Remove list generated by gnulib-update.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_GETPASS.
	* gnulib-update (MODULES): Add getpass.
	* srclist.txt (getpass): Remove list generated by gnulib-update.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add strcase.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_GETHOSTNAME.
	* gnulib-update (MODULES): Add gethostname.
	* srclist.txt (gethostname): Remove list generated by gnulib-update.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove calls to AM_FUNC_GETLINE, gl_GETNLINE,
	& gl_GETNDELIM2.
	* gnulib-update (MODULES): Add getline, getnline, & getndelim2.
	* srclist.txt (getline, getnline, getndelim2): Remove lists now
	generated by gnulib-update.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to AM_STDBOOL_H.
	* gnulib-update (MODULES): Add stdbool.
	* srclist.txt (stdbool): Remove list now generated by gnulib-update.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_GETOPT.
	* gnulib-update (MODULES): Add getopt.
	* srclist.txt (getopt): Remove list now generated by gnulib-update.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to UTILS_FUNC_MKSTEMP.
	* gnulib-update (MODULES): Add mkstemp.
	* srclist.txt (mkstemp): Remove list now generated by gnulib-update.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_FUNC_FNMATCH_POSIX.
	* gnulib-update (MODULES): Add fnmatch & fnmatch-posix.
	* srclist.txt (fnmatch, fnmatch-posix): Remove list now generated by
	gnulib-update.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add extensions.
	* srclist.txt (extensions): Remove list now generated by gnulib-update.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_EXITFAIL.
	* gnulib-update (MODULES): Add exitfail.
	* srclist.txt (exitfail): Remove list now generated by gnulib-update.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* gnulib-update (MODULES): Add exit.
	* srclist.txt (exit): Remove list now generated by gnulib-update.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* srclist.txt (xalloc): Remove list since it is now generated by
	gnulib-update.

2004-10-05  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "lib/save-cwd.h" and "lib/xgetcwd.h" to project.
	* cvsnt.dep: Regenerated for "cvsnt.dsp" change.
	* cvsnt.mak: Regenerated for "cvsnt.dsp" change.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to gl_DIRNAME.
	* gnulib-update (MODULES): Add dirname.
	* srclist.txt: Remove auto-updated GNULIB modules.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* gnulib.txt: New file.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* gnulib-update: Keep track of file changes.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Consolidate some GNULIB macro calls into a call to the
	autogenerated gl_INIT.
	* gnulib-update: New script.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Rename some GNULIB macro calls.
	* srclist.txt (gettext, vasnprintf, shared): Add new files.
	* config.rpath: Import new version from GNULIB.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_SAVE_CWD.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_XGETCWD.
	* srclist.txt (xgetcwd): New module.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* srclist.txt (pathmax): Remove dependency on onceonly_2_57.m4.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* srclist.txt (unlocked-io): Remove dependency on onceonly_2_57.m4.

2004-10-05  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "lib/dirname.h" and "src/parseinfo.h" to project.
	* cvsnt.dep: Regenerated for "cvsnt.dsp" change.
	* cvsnt.mak: Regenerated for "cvsnt.dsp" change.

2004-10-04  Derek Price  <derek@ximbiot.com>

	* TODO: Item 180 is now done (cvs edit should report editors).
	It reports editors as long as it can successfully contact the
	server.  (Part of advisary locks patch originally from Noel Yap
	<yap_noel@yahoo.com>, originally ported forward and enhanced by Matthew
	Ogilvie <mmo9317bd@mailcan.com>.)

2004-10-01  Derek Price  <derek@ximbiot.com>

	* configure.in (getpass): Don't define twice.
	(Report and original patch from Martin Neitzel
	<neitzel@sco.gaertner.de>.)

2004-09-25  Derek Price  <derek@ximbiot.com>

	* configure.in: Use doc/mkman.pl as source for doc/mkman.

2004-09-23  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: Fix spelling.
	(Reported by Shane Turner <shane.turner@infointeractive.com>.)

2004-09-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Correct file cache note.
	* configure.in (--enable-trust-file-cache): Remove option.

2004-09-16  Derek Price  <derek@ximbiot.com>

	* HACKING: Correct obsolete note about configure not remembering -Wall.

2004-09-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note potential new Log keyword expansion behaviors.

2004-09-13  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: Note change to contrib/cvs_acls and addition of
	contrib/cvs_acls.html

2004-09-09  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dep: Regenerated for "cvsnt.dsp" changes made 2004-09-08.
	* cvsnt.mak: Regenerated for "cvsnt.dsp" changes made 2004-09-08.

2004-09-08  Conrad T. Pino  <Conrad@Pino.com>

	* cvsnt.dsp: Add "windows-NT/JmgStat.c" to project.  Add
	"windows-NT/JmgStat.h" to project.  Add "src/ms-buffer.h" to project.

2004-09-07  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Windows DST fix.
	* srclist.txt: Add Windows stat files.

2004-09-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new commit message format.

2004-09-03  Derek Price  <derek@ximbiot.com>

	* HACKING: Codify backwards compatibility conventions.  Remove outdated
	reference to very old MSVC++ releases.

2004-08-11  Derek Price  <derek@ximbiot.com>

	* NEWS: Mention Juniper's funding for other items.

2004-08-10  Derek Price  <derek@ximbiot.com>

	* configure.in: Enable proxy support by default.
	* NEWS: Note this.

2004-08-10  Derek Price  <derek@ximbiot.com>

	* configure.in: s/SECONDARY_SUPPORT/PROXY_SUPPORT/.

2004-08-10  Derek Price  <derek@ximbiot.com>

	* NEWS: Note recent attempts at improving I/O efficiency.
	* configure.in (--enable-file-cache-trust): New option.

2004-08-10  Derek Price  <derek@ximbiot.com>

	* NEWS: Credit Juniper Networks funding for writeproxy code and add a
	few other details.

2004-08-05  Derek Price  <derek@ximbiot.com>

	* configure.in (--enable-proxy): Switch to turn off writeproxy support.

2004-06-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new scripting hooks and new loginfo behavior.

2004-06-28  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Note minmax imported from GNULIB.

2004-06-10  Derek Price  <derek@ximbiot.com>

	* Note addition of write proxy functionality.

2004-08-30  Derek Price  <derek@ximbiot.com>

	* NEWS: Note compliance of log_accum.pl with Perl 5.8.5.

2004-08-27  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Note minmax imported from GNULIB.

2004-08-27  Derek Price  <derek@ximbiot.com>

	* configure.in (--enable-file-cache-trust, --enable-proxy): New
	options.

2004-08-25  Derek Price  <derek@ximbiot.com>

	* TODO (232): New item.

2004-08-24  Derek Price  <derek@ximbiot.com>

	* TODO (24, 49, 92, 113): Remove completed/obsolescent items.

2004-08-24  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove release subdir note.  This was fixed with the commit on
	2004-02-25, based on Matthew Ogilvie's patch.

2004-08-24  Derek Price  <derek@ximbiot.com>

	* NEWS: Note r* . fix.
	* BUGS: Remove r* . note.

2004-08-24  Derek Price  <derek@ximbiot.com>

	* NEWS: Note invalid tag fix.

2004-08-24  Derek Price  <derek@ximbiot.com>

	* NEWS: Note error message corrections.

2004-08-24  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: Note that modules -a bugfix has a change in behavior.

2004-06-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new scripting hooks and val-tags behavior.

2004-07-17  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: Add note about new ImportNewFilesToVendorBranchOnly
	option.

2004-07-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Note PAM session management support.

2004-07-16  Derek Price  <derek@ximbiot.com>

	* configure.in: Generate contrib/pam/Makefile.
	* NEWS: Note distribution of sample PAM configs.
	(Thanks to a report from Brian Murphy <brian@murphy.dk>.)

2004-07-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Note improved time zone handling.  Attribute previous change.

2004-07-12  Derek Price  <derek@ximbiot.com>

	* configure.in: Update copyright year.

2004-06-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note client/server sending short repositories.

2004-06-24  Derek Price  <derek@ximbiot.com>

	* cvsnt.dsp: Add "./lib/xsize.h" to Header file list.
	* cvsnt.dep: Regenerated for "./cvsnt.dsp" change.
	(Patch submitted by Conrad T. Pino <Conrad@Pino.com>.)

2004-06-22  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Conrad's Windows fix.

2004-06-21  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Ignore GPG signature files for distributions.

2004-06-10  Derek Price  <derek@ximbiot.com>

	* NEWS: Note manual update.

2004-06-09  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Stefan & Sebastian's security fixes.
	* acinclude.m4 (gl_SIZE_MAX, gl_XSIZE): Import from GNULIB.
	* configure.in: Call gl_XSIZE.

2004-06-09  Derek Price  <derek@ximbiot.com>

	* NEWS: Note CAN-2004-0414 fix.

2004-06-02  Derek Price  <derek@ximbiot.com>

	* TODO (231): New item.

2004-05-20  Derek Price  <derek@ximbiot.com>

	* configure.in: Add calls to gl_FUNC_TZSET_CLOBBER &
	gl_FUNC_GNU_STRFTIME.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.
	* srclist.txt (strftime): New module.

2004-05-20  Derek Price  <derek@ximbiot.com>

	* srclist.txt (tzet): New GNULIB module.
	* configure: Regenerated.

2004-05-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Add `cvs ls' to localtime item.  1.12.9, not 1.12.8.

2004-05-19  Derek Price  <derek@ximbiot.com>

	* TODO (224): Remove completed item.
	(Patch from Bart Robinson <lomew@pobox.com>.)

	* NEWS: Note new local time output.

2004-05-19  Derek Price  <derek@ximbiot.com>

	* NEWS: Note generation of windows-NT/config.h.in.
	* configure.in: Use new plhead.pl for windows-NT/fix-msvc-mak.  Add
	windows-NT/mkconfig target.
	* configure: Regenerated.

2004-05-19  Derek Price  <derek@ximbiot.com>

	* NEWS: Note CAN-2004-0396 fix.

2004-05-17  Derek Price  <derek@ximbiot.com>

	* cvsnt.dsp: Add "lib/xtime.h" to project header files.
	* cvsnt.dep: Regnerated for "cvsnt.dsp" file change.

2004-05-17  Derek Price  <derek@ximbiot.com>

	* BUGS: Note assertion failure of r* commands.

2004-05-17  Derek Price  <derek@ximbiot.com>

	* BUGS: Note current `cvs ls' assertion failure.  Remove out of date
	comment about out of date Windows build files and several bug reports
	that are so old, without similar recent reports, that I'm assuming that
	the problems have been fixed.

2004-05-15  Derek Price  <derek@ximbiot.com>

	Back out getdate.y update.
	* NEWS: Remove note about half-hour time zones.

2004-05-15  Derek Price  <derek@ximbiot.com>

	* cvsnt.dsp: Move "lib/*.c" to project "lib/libcvs".  Header file list
	updated for GNULIB updates.
	* cvsnt.dep: Regenerated for "cvsnt.dsp" change.
	* cvsnt.mak: Regenerated for "cvsnt.dsp" change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-05-11  Derek Price  <derek@ximbiot.com>

	* NEWS: Note commit output suppression.

2004-05-03  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Note bison.m4 forked from GNULIB.
	* aclocal.m4, configure: Regenerated.

2004-05-02  Derek Price  <derek@ximbiot.com>

	* configure.in: Call AC_FUNC_STRERROR_R.
	* srclist.txt (error): New module, kinda.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-30  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that man page is generated from cvs.texinfo now.
	* configure.in: Build doc/mkman.
	* configure, Makefile.in: Regenerated.

2004-04-29  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove AC_PROG_YACC invocation in favor of gl_BISON.
	* configure: Regenerated.

2004-04-29  Derek Price  <derek@ximbiot.com>

	* configure.in: s/jm_FUNC_GLIBC_UNLOCKED_IO/gl_FUNC_GLIBC_UNLOCKED_IO/.
	* aclocal.m4, configure: Regenerated.

2004-04-28  Derek Price  <derek@ximbiot.com>

	* ylwrap: Add from Automake to support YACC.
	* Makefile.in: Regenerated.

2004-04-28  Derek Price  <derek@ximbiot.com>

	* NEWS: Note half-hour timezone strings handled.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_GETDATE and remove obsoleted cruft.
	* srclist.txt (getdate): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_FUNC_MKTIME.
	* srclist.txt (mktime): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_TIME_R.
	* srclist.txt (time_r): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_FUNC_NANOSLEEP.
	* srclist.txt (nanosleep): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_GETTIME.
	* srclist.txt (gettime): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Call AC_FUNC_GETTIMEOFDAY_CLOBBER.
	* srclist.txt (gettimeofday): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_TIMESPEC.
	* srclist.txt (timespec): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Replace calls to AC_AIX, AC_MINIX, & AC_GNU_SOURCE
	with gl_USE_SYSTEM_EXTENSIONS.
	* srclist.txt (extensions): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* srclist.txt (dirname): Mark as not forked.
	* aclocal.m4: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	Add dirname module from GNULIB.

	* configure.in: Use gl_DIRNAME.
	* srclist.txt (dirname): New module.
	* Makefile.in, aclocal.m4, config.h.in, configure: Regenerated.

2004-04-26  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that :ext: no longer relies on an external transport with
	a GNU argument processor.

2004-04-26  Derek Price  <derek@ximbiot.com>

	* cvsnt.dsp: Add ls.c & stdbool.h as dependencies.
	* cvsnt.dep, cvsnt.mak: Regenerated.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new cvs ls subcommand.
	(Thanks for patches from Mark D Baushke <mdb@cvshome.org>
	& Alexander Taler <dissent@cvshome.org>.)

2004-04-23  Derek Price  <derek@ximbiot.com>

	* cvsnt.dep, cvsnt.mak: Back out previous change.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* cvsnt.dep, cvsnt.mak: Regenerated.

2004-04-21  Derek Price  <derek@ximbiot.com>

	Add stdbool module from GNULIB.

	* HACKING: Note availability of stdbool, fnmatch, alloca & GNULIB
	substitutes in general.
	* configure.in: Call AM_STDBOOL_H.
	* srclist.txt: Add stdbool.
	* aclocal.m4, configure, config.h.in, Makefile.in: Regenerated.

2004-04-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Note XP directory deletion fix.

2004-04-19  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Regenerated for "zlib/libz.dsp" change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-17  Derek Price  <derek@ximbiot.com>

	* cvsnt.dsw, cvsnt.dsp: Rename "lib/lib.*" to "lib/libcvs.*" and
	"zlib/zlib.*" to "zlib/libz.*".
	* cvsnt.dep, cvsnt.mak: Regenerated.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-16  Derek Price  <derek@ximbiot.com>

	* NEWS: Correct CVS name for piped checkout issue now that we have one.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* cvsnt.dsp: Set PROP BASE directories to projet standard,
	synchronize ADD BASE statements with ADD counter part,
	remove child note property overrides which taken together
	reduce file size and "Reset" function uses project defaults.
	Place project libraries first in link library order.
	* cvsnt.mak: Regenerated for cvsnt.dsp change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-15  Derek Price  <derek@ximbiot.com>

	* cvsnt.dep: Regenerated for lib/lib.dsp change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-15  Derek Price  <derek@ximbiot.com>

	* NEWS: Retroactively add CVE issue name for the piped etc issue.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* NEWS: Retroactively add CVE issue name for the trojan server issue.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* cvsnt.dsp: Set default configuration on generated make files to
	Win32 Debug.
	(Patch from Conrad T. Pino <conrad@pino.com>.)
	* cvsnt.dep, cvsnt.mak: Regenerated.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* NEWS: Note MSVC++ project file regeneration.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add cvsnt.dep.
	* Makefile.in: Regenerated.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* cvsnt.dep: New generated file.
	* cvsnt.mak: Regenerated.
	(Original patch from Conrad T. Pino <conrad@pino.com>.)

2004-04-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note use of POSIX.2 fnmatch.

2004-04-14  Derek Price  <derek@ximbiot.com>

	* HACKING: s/cvsntfix.pl/fix-msvc-head.pl/.

2004-04-14  Derek Price  <derek@ximbiot.com>

	* configure.in: Generate windows-NT/fix-msvc-mak.
	* configure, Makefile.in: Regenerated.

2004-04-14  Derek Price  <derek@ximbiot.com>

	* INSTALL (Building from source code under Unix): Move Autoconf &
	Automake notes...
	* HACKING (Regenerating Build Files (UNIX)): ...here.
	(Regenerating Build Files (Windows)): New section.

2004-04-14  Derek Price  <derek@ximbiot.com>

	Update to current fnmatch module from GNULIB.

	* configure.in: Call gl_FUNC_FNMATCH_POSIX.
	(AC_CHECK_HEADERS): Don't bother checking for fnmatch.h - we can assume
	it.
	* srclist.txt: Note origins of fnmatch.
	* aclocal.m4, config.h.in, configure, Makefile.in: Regenerated.

2004-04-14  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Remove cvsnt.dep.
	* Makefile.in: Regenerated.

2004-04-13  Derek Price  <derek@ximbiot.com>

	* NEWS: Note validation of paths passed to the client.

2004-04-13  Derek Price  <derek@ximbiot.com>

	* NEWS: Note restriction of modules to within $CVSROOT.

2004-04-07  Derek Price  <derek@ximbiot.com>

	* NEWS: Clarify relative-path up-reference article.

2004-04-07  Derek Price  <derek@ximbiot.com>

	Update regex module from GNULIB.

	* NEWS: Note update.
	* configure.in: Call gl_REGEX.
	* srclist.txt: Note origins of regex module.
	* Makefile.in, configure, config.h.in, aclocal.m4: Regenerated.

2004-04-06  Derek Price  <derek@ximbiot.com>

	* NEWS: Note web proxy support.

2004-04-06  Derek Price  <derek@ximbiot.com>

	* TODO (196, 217, 219, 220, 222, 226): Remove completed items.
	(230): New item.

2004-04-06  Derek Price  <derek@ximbiot.com>

	* NEWS: Note this change.
	* configure.in: Do not try and use TMP, TEMP, or TMPDIR as default
	temporary directories.
	* configure: Regenerated.

2004-04-05  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Note new location for GNULIB CVS repository.

2004-04-04  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Cygwin handles paths like X:\.

2004-04-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Windows ISDIRSEP fix.

2004-04-02  Derek Price  <derek@ximbiot.com>

	* INSTALL: Instruct users to use the Workspace file and not the project
	file for MSVC++.
	(Patch from Conrad T. Pino <conrad@pino.com>.)

2004-04-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Make some notes as to client/serverness of changes.

2004-04-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note relative path fix.

2004-04-01  Derek Price  <derek@ximbiot.com>

	* NEWS: Record run race removal.

2004-03-31  Derek Price  <derek@ximbiot.com>

	* NEWS: Note contrb script renames.
	* configure.in: Rename contrib scripts.
	* configure: Regenerated.

2004-03-31  Mark D. Baushke  <mdb@cvshome.org>

	* cvs.spec.in (BuildRequires): Do not fail if info DIR file does
	not exist. (Not everyone has an install-info that generates the
	dir file that we want deleted.)
	(Report from Geoff Beier <geoff@caradas.com>.)

2004-03-29  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Regenerated with VC++ 5.0.
	(Original sent by Dennis Jones <djones@oregon.com>.)
	* cvsnt.dep: Removed.

2004-03-28  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Print "Debug" when defaulting to Debug.

2004-03-28  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Default to using debugging symbols so that folks who don't
	know enough to remove the debugging symbols might still be able to send
	us stack traces after encountering problems.

2004-03-28  Derek Price  <derek@ximbiot.com>

	* cvsnt.dep, cvsnt.mak: Regnerated.  Remove system specific
	dependency reference.

2004-03-27  Derek Price  <derek@ximbiot.com>

	* cvsnt.dep, cvsnt.mak: Regnerated.

2004-03-26  Derek Price  <derek@ximbiot.com>

	* INSTALL: Note that build files have been regenerated with MSVC 6.0.

2004-03-26  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Windows build file regeneration.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* NEWS: Note failure of Cygwin to convert back slashes to slashes.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* cvs.spec.in (BuildRoot): Use a more unique directory name.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add cvsnt.dep.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* cvsnt.dep: New files created by Visual C++ 6.0.
	* cvsnt.dsp, cvsnt.dsw, cvsnt.mak: Updated by Visual C++ 6.0.
	* .cvsignore: Add and remove files for new MSVC++ setup.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Windows memory allocation fix.

2004-03-22  Derek Price  <derek@ximbiot.com>

	* INSTALL: Note compilation & --without-gssapi requirement for HPPA
	with HP-UX 11.11.
	(Report from Nicolas Vervelle <nicolas.vervelle@steria.com>.)

2004-03-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Note resurrection fixes.

2004-03-18  Derek Price  <derek@ximbiot.com>

	* NEWS: Back out previous NEWS change at Larry Jones' suggestion.

2004-03-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Note spelling fix.

2004-03-17  Derek Price  <derek@ximbiot.com>

	* configure.in (--enable-password-authentication-client): Correct
	error message text.
	* NEWS: Note this change.
	* configure: Regenerated.

2004-03-15  Derek Price  <derek@ximbiot.com>

	* NEWS: Note cvs release + Kerberos fix.

2004-03-15  Derek Price  <derek@ximbiot.com>

	* configure.in: Correct grammar in help text.
	* configure: Regenerated.

2004-03-15  Derek Price  <derek@ximbiot.com>

	* macintosh/.cvsignore: Complete pruning of directory started in 1999.

2004-03-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note resurrection fix.

2004-03-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note error & status message corrections.

2004-03-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note diff of added files against arbitrary revisions fix.

2004-03-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Remove header comment fix note, per GNU coding standards.

2004-03-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note sanity.sh client/server message fix.

2004-03-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note add.c message changes.

2004-03-13  Derek Price  <derek@ximbiot.com>

	* NEWS: Note server.c header comment fix.

2004-03-13  Derek Price  <derek@ximbiot.com>

	* NEWS: Restore since 1.12.5 section since 1.12.6 distcheck failed.

2004-03-11  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak (alloca.obj, alloca.h): New targets.
	(CLEAN): Clean generated headers.
	(vasnprintf.c): Add dependency on alloca.h.

2004-03-11  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Note unfork of lib/xsize.h.

2004-03-07  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak (asnprintf, vasnprintf, printf-args, printf-parse):
	New targets.
	* srclist.txt: Note fork of lib/xsize.h.
	* NEWS: Note that CVSROOT/*info scripts may not work as expected under
	Windows.

2004-03-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that directories and files named `CVS' are now also
	rejected by import.

2004-02-26  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak (cvs.exe): Build xmalloc.obj, not xalloc.obj.

2004-02-26  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak (xmalloc.obj, xstrdup.obj): s/windows-NT/lib/.

2004-02-25  Derek Price  <derek@ximbiot.com>

	* NEWS: Note `checkout -d' behavior change.

2004-02-25  Derek Price  <derek@ximbiot.com>

	* NEWS: Update dying gasp note.

2004-02-25  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak (exitfail.obj): s/windows-NT/lib/.

2004-02-25  Derek Price  <derek@ximbiot.com>

	* NEWS: Note `cvs release' Entries corruption fix.

2004-02-24  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Add xstrdup, xalloc, exitfail.

2004-02-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that the dying gasp check has now been completely removed.

2004-02-20  Derek Price  <derek@ximbiot.com>

	Import xalloc module from GNULIB, as well as its remaining unimported
	dependency, the exitfail module.

	* NEWS: Note addition of xalloc & vasnprintf modules from GNULIB.
	* configure.in: Call gl_XALLOC & gl_EXITFAIL.
	* cvsnt.mak: Add new objects & sources.
	* srclist.txt (exitfail, xalloc): New GNULIB modules.
	* Makefile.in, aclocal.m4, configure: Regenerated.

2004-02-20  Larry Jones  <lawrence.jones@ugsplm.com>

	* configure.in: Don't use grep -w, it's not portable.
	* configure: Regenerated.

2004-02-19  Larry Jones  <lawrence.jones@ugsplm.com>

	* configure.in: Move the wint_t size check after all the base type
	size checks and include the relevant header file, use "short" rather
	than "short int" (ala "long" and "long long"), add a size check for
	intmax_t, remove "CVSROOT/*" since it ends up embedded in a C
	comment where the "/*" looks like an attempt to have a nested comment.
	* config.h.in, configure: Regenerated.

2004-02-19  Derek Price <derek@ximbiot.com>

	* configure.in: AC_REQUIRE some HAVE_TYPE functions to avoid using
	post-C89 constructs in the new format_cmdline stuff when they are not
	available.  Update comments.  s/_LONG_INT\>/_LONG/i;
	s/\<long int\>/long/.  Don't check size of types that are not
	available.  Check size of size_t and ptrdiff_t.
	* config.h.in, configure:  Regenerated.

2004-02-18  Derek Price <derek@ximbiot.com>

	* configure.in: Don't require AC_C_INLINE, now that m4/xsize.m4 does
	this itself.
	* aclocal.m4, configure:  Regenerated.

2004-02-17  Derek Price <derek@ximbiot.com>

	* configure.in:  added macros to set the UNIQUE_*_TYPE_* flags and
	HAVE_STDINT_T (for intmax_t) for some stuff involving varargs in
	format_cmdline() in src/run.c.  UNIQUE_X_TYPE_Y means that
	type Y (e.g. INT, SHORT_INT, or DOUBLE) is the first type, according
	to an arbitrary order of precedence within type group X (e.g. INT or
	FLOAT), that has a particular size, in bytes.  Added
	SUPPORT_OLD_INFO_FMT_STRINGS in order to make configurable whether to
	support the old style info file command line format strings.  The idea
	is to deprecate the use of the old strings until one day this can be
	switched to off.  This option can be enabled/disabled with
	--enable-old-info-format-support and --disable-old-info-format-support.
	* HACKING (Run-time behaviors): Remove reference to Parse_Info not
	accepting a void * argument.

	* config.h.in:  Regenerated.
	* configure:  Ditto..

2004-02-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Note spec file fix.
	* cvs.spec: Update to avoid the error checking algorithm's of more
	recent version of RPM.

2004-02-17  Derek Price  <derek@ximbiot.com>

	* NEWS: Note recent commenting of src/checkout.c and Mark's leak fixes.

2004-02-16  Larry Jones  <lawrence.jones@ugsplm.com>

	* configure.in: Add AC_C_INLINE for vasnprintf and friends.
	* config.h.in, configure: Regenerated.

2004-02-15  Derek Price  <derek@ximbiot.com>

	Import vasnprintf module from GNULIB.
	* configure.in: Call gl_FUNC_VASNPRINTF.
	* srclist.txt: Add vasnprintf module.

2004-02-15  Derek Price  <derek@ximbiot.com>

	Import xsize module from GNULIB for vasnprintf().
	* configure.in: Call gl_XSIZE.
	* srclist.txt: Add xsize module.

2004-02-15  Derek Price  <derek@ximbiot.com>

	Import alloca module from GNULIB for vasnprintf().
	* configure.in: Use gl_FUNC_ALLOCA.
	* srclist.txt: Add alloca module.

2004-02-15  Derek Price  <derek@ximbiot.com>

	* NEWS: Note GNULIB updates.

2004-02-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Mark D. Baushke's recent memory leak plugs.

2004-02-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Ville Skyttä's other recent man page patch.

2004-02-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Note lock wait seg fault fix.

2004-02-11  Derek Price  <derek@ximbiot.com>

	* NEWS: Note :fork: segfault avoidance.

2004-02-11  Derek Price  <derek@ximbiot.com>

	* NEWS: Note readability improvements.

2004-02-10  Derek Price  <derek@ximbiot.com>

	* NEWS: Note dying gasp check.

2004-02-10  Derek Price  <derek@ximbiot.com>

	* NEWS: Note flow control pipe race fix.

2004-02-10  Derek Price  <derek@ximbiot.com>

	* BUGS: Note problems building with MSVC++ under Windows and
	workaround.
	* INSTALL: Ditto.

2004-02-10  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Add stack.c and stack.h in order to compile under Windows.
	* README: Update copyright notice.

2004-02-09  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new tests in sanity.sh.

2004-02-06  Derek Price  <derek@ximbiot.com>

	* README: Undo accidental overwrite.

2004-02-04  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that alias module recursion is now more comprehensive.

2004-02-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note case insensitive client directory case preservation.

2004-02-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Correct "error message" from two commits back to read
	"status mesage".

2004-02-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new join-rm tests.

2004-02-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note update error message correction.

2004-02-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that the server no longer claims to support the "Case"
	request.

2004-02-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Ammend last note to specify the continued lack of any server
	support for case insensitive clients more clearly.

2004-02-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that client handling of case insensitivity is restored.

2004-01-30  Derek Price  <derek@ximbiot.com>

	* NEWS: Note man page fix.

2004-01-30  Derek Price  <derek@ximbiot.com>

	* NEWS: Note contrib/log_accum tidy.

2004-01-25  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Kerberos 4 fix.

2004-01-22  Derek Price  <derek@ximbiot.com>

	* NEWS: Note recent infinite alias loop fix.

2004-01-22  Derek Price  <derek@ximbiot.com>

	* INSTALL: Remove a note about an Automake bug that has been fixed for
	quite awhile.

2004-01-22  Derek Price  <derek@ximbiot.com>

	* INSTALL: s/Automake 1.7.5/Automake 1.7.9/.

2004-01-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Larrys recent mktemp.sh inclusion, documentation reorg,
	and zlib code fix.

2003-12-23  Larry Jones  <lawrence.jones@ugsplm.com>

	* Makefile.am: Add mktemp.sh to EXTRA_DIST.
	* Makefile.in: Regenerated.

	* configure.in: Get mktemp.sh from $srcdir.
	* configure: Regenerated.
	(Reported by Matt Selsky <selsky@columbia.edu>.)

2003-12-18  Derek Price  <derek@ximbiot.com>

	* NEWS: Add since 1.12.5 section.
	* configure.in: Update for dev 1.12.5.1.
	* configure: Regenerated.

2003-12-18  Derek Price  <derek@ximbiot.com>

	* configure.in: Update for release 1.12.5.
	* configure: Regenerated.

2003-12-18  Derek Price  <derek@ximbiot.com>

	*  NEWS: Note Mark and Rob Clevenger's recent Windows build fixes.

2003-12-18  Derek Price  <derek@ximbiot.com>

	* NEWS: Note syslog of root attempts.

2003-12-18  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that pserver can no longer run as root.

2003-12-12  Derek Price  <derek@ximbiot.com>

	* cvs.spec.in (%post): Do the same for cvsclient.info.

2003-12-12  Derek Price  <derek@ximbiot.com>

	* cvs.spec.in (%post): Remove info's uncompressed info file cache after
	installing the new gzipped files.

2003-12-10  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in(AC_FUNC_FSEEKO): Add. Include handling for fseeko
	and ftello with AC_LIBOBJ.
	(AC_REPLACE_FUNCS): Remove fseeko and ftello.
	* config.h.in, configure: Regenerated.

2003-12-10  Mark D. Baushke  <mdb@cvshome.org>

	* cvsnt.mak (CLEAN, CPP_SBRS): Add ftello, fseeko, exithandle and
	getndelim2.
	(ftello.c, fseeko.c, exithandle.c, getndelim2): Add new source
	file definitions.
	(Patch from Rob Clevenger <rob@robsite.org>.)

2003-12-09  Derek Price  <derek@ximbiot.com>

	* NEWS: Add section for 1.12.4.

2003-12-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Update for release 1.12.4.1.
	* configure: Regenerated.

2003-12-09  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new promotable read locks.
	* configure.in (--enable-lock-compatibility): New option.
	* configure, config.h.in: Regenerated.

2003-12-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Reorder enables slightly and improve commenting.
	* configure: Regenerated.

2003-12-09  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in (fseeko, ftello): Add to AC_REPLACE_FUNCS list.
	* configure, config.h.in: Regenerated.

2003-12-08  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in (AC_SYS_LARGEFILE). Add.
	* configure, config.h.in: Regenerated.
	* NEWS: Document.

2003-12-07  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in (AC_SYS_LARGEFILE): Remove. More work is needed
	before AC_SYS_LARGEFILE will work on all platforms.
	* configure, config.h.in: Regenerated.
	* NEWS: Remove last note.

	* configure.in (AC_SYS_LARGEFILE): Add. The history file on
	Solaris boxes can grow beyond 2GB.
	* configure, config.h.in: Regenerated.
	* NEWS: Note addition of --disable-largefiles option.

2003-12-05  Derek Price  <derek@ximbiot.com>

	* configure.in: Update to require Automake 1.7.9.

2003-12-05  Derek Price  <derek@ximbiot.com>

	* NEWS: Add since 1.12.3 section.
	* configure.in: Update for dev version 1.12.3.1.
	* configure: Regenerated.

2003-12-04  Derek Price  <derek@ximbiot.com>

	* configure.in: Update for release 1.12.3.
	* configure: Regenerated.

2003-12-03  Derek Price  <derek@ximbiot.com>

	* configure.in (--enable-case-sensitivity): Restore this option.
	Always AC_LIBOBJ(fncase) when filenames are found to be case
	insensitive.
	* configure, config.h.in: Regenerated.

2003-11-26  Derek Price  <derek@ximbiot.com>

	* configure.in (--enable-case-sensitivity): Remove this option.
	* NEWS: Note removal of case sensitivity support.

	* config.h.in, configure: Regenerated.

2003-11-26  Derek Price  <derek@ximbiot.com>

	* NEWS: Note recase tests.

2003-11-26  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new test suite functionality.

2003-11-25  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in (RSH_DFLT): Macro substitution for configured CVS_RSH.
	* Makefile.in, configure: Regenerated.

2003-11-19  Derek Price  <derek@ximbiot.com>

	* srclist.txt (getline): Update to match new module definitions and
	imports.
	* aclocal.m4, configure: Regenerated.

2003-11-19  Derek Price  <derek@ximbiot.com>

	* NEWS: Rename "OTHER ISSUES" to "GENERAL USER ISSUES" and move the
	note about the Autoconf upgrade to a new "DEVELOPER ISSUES" section.
	Add a note about upgrading Automake.
	* aclocal.m4, configure, **/Makefile.in: Regenerated with Automake
	1.7.9.

2003-11-18  Derek Price  <derek@ximbiot.com>

	* NEWS: Subdivide Changes section into "SERVER SECURITY ISSUES" and
	"OTHER ISSUES".  Note module abspath issue in security section.

2003-11-10  Derek Price  <derek@ximbiot.com>

	* BUGS: Add some detail to the last two notes Mark added.

2003-11-10  Mark D. Baushke  <mdb@cvshome.org>

	* BUGS: Note bugs symlinks to files will not work with or without
	LockDir. Note that symlinks to directories will not work with
	LockDir.

2003-11-10  Derek Price  <derek@ximbiot.com>

	* configure.in: Require Autoconf 2.58.
	* INSTALL, NEWS: Note new Autoconf requirements.

	* configure: Regenerated.

2003-11-04  Derek Price  <derek@ximbiot.com>

	* configure.in: Add some more help text for --enable-case-sensitivity.
	* configure: Regenerated.

2003-11-03  Derek Price  <derek@ximbiot.com>

	* configure.in (AM_INIT_AUTOMAKE): Require Automake 1.7.5.

2003-11-03  Derek Price  <derek@ximbiot.com>

	* INSTALL: Add some notes on Autoconf requirements.

2003-11-03  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-11-03  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.am (ACLOCAL_AMFLAGS): autoreconf does not understand
	what to do with $(srcdir) so remove it -- autoreconf needs to be
	done in the srcdir in order to regenerate all the files properly
	in any case.

	* configure.in (AM_GNU_GETTEXT_VERSION): Add to allow autoreconf
	to regenerate files instead of using the incantation:
	'aclocal -I m4 && autoconf && automake && autoheader' to do the
	same thing as 'autoreconf' should do.

2003-11-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that we're better at detecting ZLIB versions now.

2003-11-03  Derek Price  <derek@ximbiot.com>

	* aclocal.m4, configure: Regenerated.

2003-11-03  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that server ignores `-l' rather than rejecting it with a
	fatal error.

2003-10-31  Derek Price  <derek@ximbiot.com>

	* INSTALL: Note Cygwin as an option for building CVS under Windows.

2003-10-31  Derek Price  <derek@ximbiot.com>

	* INSTALL: s/cvsgui/wincvs/.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Move case sensitivity test to the enable-* section and
	allow override via command line switch.
	* NEWS: Update last news item to reflect new command line switch.
	* configure, config.h.in: Regenerated.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Add new test for a case insensitive file system.
	* configure, config.h.in: Regenerated.
	* NEWS: Note the above change.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Update version to 1.12.2.1.
	* NEWS (Changes since 1.12.2): New section.
	* configure: Regenerated.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* configure.in: Update version to 1.12.2.
	* configure: Regenerated.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: /PROTO\.h/d;.

2003-10-24  Derek Price  <derek@ximbiot.com>

	* NEWS: Update recent text about joins to reflect new behavior.

2003-10-24  Derek Price  <derek@ximbiot.com>

	* BUGS: Note that release of a project subdir does not remove the entry
	from `./CVS/Entries'.

2003-10-24  Derek Price  <derek@ximbiot.com>

	* NEWS: Note things like plugging memory leaks and code cleanup and
	reorganization under misc.

2003-10-24  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove obsolete bug report.
	(Patch from Paul Edwards <somewhere in Australia>.)

2003-10-24  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove obsolete bug report.
	(Patch from Paul Edwards <somewhere in Australia>.)

2003-10-23  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: Note behavior change for cvs update -jrev1 -jrev2.

2003-10-23  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that double include of getndelim2.o problem is gone from
	OS X.
	* srclist.txt (getline, getndelim2): Note divergence from GNULIB.
	* aclocal.m4, configure: Regenerated.

2003-10-22  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that we build on systems with gettext installed now.

2003-10-21  Derek Price  <derek@ximbiot.com>

	* NEWS: Note Mark's recent admin -m fix.

2003-10-21  Derek Price  <derek@ximbiot.com>

	* NEWS: Note the @email{} and @url{} fixes as misc documentation fixes.

2003-10-14  Derek Price  <derek@ximbiot.com>

	* NEWS: Note POSIX 1003.1-2001 compatibility of docs and scripts.

2003-10-14  Derek Price  <derek@ximbiot.com>

	Port to pedantic POSIX 1003.1-2001 hosts, such as Debian GNU/Linux
	testing with _POSIX2_VERSION=200112 in the environment.

	* BUGS: Suggest 'diff -C2', not 'diff -c2'.
	* FAQ: Suggest 'sort -k 1.2', not 'sort +0.1'.
	* depcomp: Sync to the depcomp shipped with Automake 1.7.8, as
	it has the bug fixed and that's better than maintaining our
	own depcomp.
	(Patch from Paul Eggert <eggert@twinsun.com>.)

2003-10-14  Derek Price  <derek@ximbiot.com>

	* INSTALL: Add HPPA 2.0 running HP-UX 10.20 for CVS 1.11.9.
	(Report from Tom Kuiper <kuiper@DSNra.JPL.NASA.gov>.)

2003-10-09  Derek Price  <derek@ximbiot.com>

	* HACKING (Other style issues): Note the dev team's preference for
	consistency in the use of the `extern' storage-class identifier.

2003-10-08  Derek Price  <derek@ximbiot.com>

	* NEWS: Note history reporting fix.

2003-10-08  Larry Jones  <lawrence.jones@eds.com>

	* TESTS: Add pointer to debug_check_log script.

2003-10-08  Derek Price  <derek@ximbiot.com>

	* NEWS: Improve syntax and punctuation of my last entry.

2003-10-08  Derek Price  <derek@ximbiot.com>

	* NEWS: Note history fix for clients requesting `P' records.

2003-10-08  Derek Price  <derek@ximbiot.com>

	* NEWS: Note case insensitive file lookup fix.  Note getpass fix.

2003-10-01  Derek Price  <derek@ximbiot.com>

	Add the GNULIB restrict module.

	* configure.in: Add call to gl_C_RESTRICT.
	* srclist.txt: Add m4/restrict.m4.
	* aclocal.m4, configure, config.h.in: Regenerated.

2003-10-01  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove check for getopt function.  Add call to
	gl_GETOPT.
	* srclist.txt: Add entries for GNULIB getopt module.
	* aclocal.m4, config.h.in, configure: Regenerated.

2003-10-01  Derek Price  <derek@ximbiot.com>

	Assume headers in m4/gettext.m4 per notes in HACKING.

	* aclocal.m4: Regenerated.

2003-10-01  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove call to AC_TYPE_SIZE_T since size_t can be
	assumed via our C89 assumption of stddef.h.  Don't check for errno.h
	or string.h.  We are assuming these headers.
	* HACKING (Portability): Add a few more notes on our header assumptions
	based on some comments from Paul Eggert <eggert@cs.ucla.edu> on the
	GNULIB list.
	* config.h.in, configure.in: Regenerated.

2003-09-30  Derek Price  <derek@ximbiot.com>

	Provide an atexit() function on systems which provide on_exit() but not
	atexit().

	* configure.in: Add a call to gl_FUNC_ATEXIT.
	* srclist.txt: List atexit sources.
	* aclocal.m4, config.h.in, configure: Regenerated.

2003-09-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note recent fix of the potential segfault during a diff.

2003-09-29  Derek Price  <derek@ximbiot.com>

	* HACKING (Indentation style): Put an ANSI function prototype in the
	indentation style example.
	(Portability): Add a few more notes on assuming a freestanding C89
	compiler and what that means.

2003-09-26  Derek Price  <derek@ximbiot.com>

	* BUGS: Note bug in options passed to diff via `cvs diff'.

2003-09-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Move last blurb into an item with more detail.

2003-09-12  Derek Price  <derek@ximbiot.com>

	* NEWS: Add the recent checkoutlist fix as "Other miscellaneous
	bug fixes."

2003-09-08  Derek Price  <derek@ximbiot.com>

	* NEWS: Note removal of the workaround for a bug in GLIBC prior to
	GLIBC 2.0.7 and advise upgrading GLIBC rather than depending on silly
	hacks that don't fix other programs installed on the system.

2003-08-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note removal of CVSROOT/editinfo functionality.

2003-08-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Remove typo in recent getpass() note.

2003-08-27  Larry Jones  <lawrence.jones@eds.com>

	* NEWS: Note client/server messages have real command name, client/
	server updates get logged in history file, history file has "P"
	record type.

2003-08-19  Derek Price  <derek@ximbiot.com>

	* HACKING (Portability): Add further comments about which headers we
	can use.

2003-08-12  Derek Price  <derek@ximbiot.com>

	* aclocal.m4, configure: Regenerated.

2003-07-31  Derek Price  <derek@ximbiot.com>

	* configure.in: Call the newly prescribed gl_FUNC_GETPASS_GNU rather
	than the internal gl_PREREQ_GETPASS.
	* srclist.txt ($GNULIB/modules/getpass): Rename to...
	($GNULIB/modules/getpass-gnu): ...this new module.
	* aclocal.m4, configure: Regenerated.

2003-07-29  Derek Price  <derek@ximbiot.com>

	* configure.in: Replace my recent misuse of AH_VERBATIM with a call to
	AC_DEFINE.
	* config.h.in, configure: Regenerated.

2003-07-29  Derek Price  <derek@ximbiot.com>

	* configure.in: Do not check for getpassphrase.  Define `getpass' to
	`cvs_getpass' in config.h to avoid conflicts with system decls.
	* srclist.txt ($GNULIB/modules/getpass): New entry.
	* NEWS: Note use of GNULIB getpass.

	* config.h.in, configure: Regenerated.

2003-07-25  Derek Price  <derek@ximbiot.com>

	* INSTALL: Note --without-gssapi required to configure on OS X.

2003-07-25  Derek Price  <derek@ximbiot.com>

	* srclist.txt (lstat, stat): Correct typo.

2003-07-25  Derek Price  <derek@ximbiot.com>

	* srclist.txt (getline, getnline, getndelim2): Mark some files sync'd.
	* aclocal.m4, config.h.in, configure: Regenerated.

2003-07-24  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove gethostname from AC_REPLACE_FUNCS call and add a
	call to gl_FUNC_GETHOSTNAME.
	* srclist.txt ($GNULIB/modules/gethostname): Add this source.

	* aclocal.m4, config.h.in, configure: Regenerated.

2003-07-23  Derek Price  <derek@ximbiot.com>

	* HACKING (Indentation style): Note the new C89 literal string
	standard.
	(Portability): Ditto, plus mention the headers we assume from C89.
	* NEWS: Mention that we dropped K&R support.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* configure.in: We can assume <limits.h> and <stdarg.h>, so we no
	longer need to check for <limits.h> or <varargs.h>.
	* srclist.txt (m4/gettext): Note local modifications.

	* aclocal.m4: Regenerate.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* configure.in: Add call to gl_FUNC_STRERROR,
	s/jm_FUNC_MEMMOVE/gl_FUNC_MEMMOVE/, and alphebetize list.
	* srclist.txt: Add GNULIB strerror module.

	* aclocal.m4: Regenerated.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* configure.in: Add call to gl_FUNC_MEMMOVE and remove memmove from the
	call to AC_REPLACE_FUNCS.
	* srclist.txt: Note import of GNULIB memmove module.

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Note GNULIB exit() function support.

2003-07-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Mention experimental PAM support.

2003-07-20  Derek Price  <derek@ximbiot.com>

	* configure.in (--enable-pam): New experimental option to enable PAM
	support on systems that support it.
	(--with-hardcoded-pam-service-name): PAM configuration option.
	(Original patch from Brian Murphy <brian@murphy.dk>.)

	* config.h.in: Regenerated.
	* configure: Ditto.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* srclist.txt: Add a few missed files and reorganize slightly.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* srclist.txt: New file which describes where various external source
	files come from.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* configure.in: Always call gl_GETNDELIM2 as per new API.

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-07-18  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove mention of wrappers -t/-f since they are no longer
	supported.

2003-07-18  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add cvs.spec so that RPMs can be built
	directly from tarballs.
	* Makefile.in: Regenerated.

2003-07-18  Derek Price  <derek@ximbiot.com>

	* TODO (72): Remove mention of the -i/-o in the modules file since they
	have been removed.

2003-07-18  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new keyword expansion mode behavior.
	* TODO (216): Remove completed item.

2003-07-17  Derek Price  <derek@ximbiot.com>

	* configure.in: Use gl_GETNLINE rather than the obsolete
	gl_FUNC_GETNLINE.
	* aclocal.m4: Regenerated.

2003-07-17  Derek Price  <derek@ximbiot.com>

	* configure.in: Use gl_FUNC_GETNLINE rather than the obsolete
	gl_PREREQ_GETNLINE,

	* aclocal.m4: Regenerated.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-07-17  Derek Price  <derek@ximbiot.com>

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* configure.in: Call gl_PATHMAX, not gl_PATH_MAX.

	* config.h.in: Regenerated.
	* configure: Ditto.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove AC_C_PROTOTYPES call.

	* config.h.in: Regenerated.
	* configure: Ditto.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* configure.in: Add calls to new pathmax macro.

	* aclocal.m4: Regenerated.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* configure.in: Add calls to new getline & getnline macros.

	* aclocal.m4: Regenerated.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-07-15  Derek Price  <derek@ximbiot.com>

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-06-27  Larry Jones  <lawrence.jones@eds.com>

	* NEWS: Note LockDir fix.

2003-06-23  Derek Price  <derek@ximbiot.com>

	* configure.in: Debian Woody has -lkrb4, so check for that.
	(Patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* config.h.in: Regenerated.
	* configure: Ditto.

2003-06-23  Derek Price  <derek@ximbiot.com>

	* INSTALL: Add some OS X platforms to the compile list. Correct link to
	cvsgui.org -> wincvs.org.

2003-06-20  Derek Price  <derek@ximbiot.com>

	* configure.in: Compile kerberos4-client.[ch] if needed.
	(Patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* configure: Regenerated.

2003-06-14  Derek Price  <derek@ximbiot.com>

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-06-13  Derek Price  <derek@ximbiot.com>

	* configure.in: Call UTILS_FUNC_MKSTEMP for lib/mkstemp.c.

	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* config.h.in: Ditto.

2003-06-13  Derek Price  <derek@ximbiot.com>

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-06-11  Derek Price  <derek@ximbiot.com>

	* HACKING: Update note on reentrancy.
	(Original patch from Ken Lorber <keni@his.com>.)

2003-06-11  Derek Price  <derek@ximbiot.com>

	* configure.in: Call AM_GNU_GETTEXT.
	* ABOUT-NLS: New file for GNU gettext support.
	* config.guess: Ditto.
	* config.rpath: Ditto.
	* config.sub: Ditto.

	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-06-10  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: New LocalKeyword and KeywordExpand options.

2003-06-09  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Rename win32.c to woe32.c in accordance with the GNU
	convention to avoid implying that we consider the Microsoft Windows
	Operating Environment any sort of "win".

2003-06-09  Derek Price  <derek@ximbiot.com>

	* NEWS: Note short patch fix.

2003-06-09  Derek Price  <derek@ximbiot.com>

	* TODO (45): Combine this with...
	(30): ...this item (as #30).  Remove reference to diff since the
	modules file is only consulted for the r* commands.

2003-06-02  Derek Price  <derek@ximbiot.com>

	* NEWS: Note empty diff change text fix.

2003-05-31  Derek Price  <derek@ximbiot.com>

	* TESTS: Note new $SPROG & $testcvs_server_support variables.

2003-05-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Note removal of global -l option.

2003-05-28  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Add lib\PROTO.h to appropriate DEPS.

2003-05-27  Derek Price  <derek@ximbiot.com>

	* AUTHORS: Give Mark an email address.

2003-05-27  Derek Price  <derek@ximbiot.com>

	* cvs.spec.in: Add some files to doc.  Remove redundant %defattr.

2003-05-27  Derek Price  <derek@ximbiot.com>

	* README (Credits): Move...
	* AUTHORS: ...here and update.

2003-05-26  Derek Price  <derek@ximbiot.com>

	* configure.in: Update CVS version to 1.12.1.1.

	* configure: Regenerated.

2003-05-25  Derek Price  <derek@ximbiot.com>

	* configure.in: Update CVS version to 1.12.1.

	* configure: Regenerated.

2003-05-25  Derek Price  <derek@ximbiot.com>

	* BUGS: Note current intermittant BSDI failures.

2003-05-22  Derek Price  <derek@ximbiot.com>

	* TODO (230): Remove this completed item.

2003-05-22  Derek Price  <derek@ximbiot.com>

	* NEWS: Note new --with-external-zlib option.
	* configure.in (AC_PREREQ): 2.57.

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-05-22  Larry Jones  <lawrence.jones@eds.com>

	* NEWS: Note recent administrative file changes.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* INSTALL: Mention new Automake version.
	* NEWS: Ditto.

	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* configure.in: Add call to AC_GNU_SOURCE & jm_FUNC_GLIBC_UNLOCKED_IO.

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* configure.in: Add call to jm_FUNC_REALLOC.

	* config.h.in: Regenerated.
	* configure: Ditto.
	* aclocal.m4: Ditto.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* INSTALL: Using Autoconf version 2.57.
	* NEWS: Ditto.  Reorder NEWS items to put the stuff which it is likely
	that only developers care about last.
	* configure: Regenerated with Autoconf 2.57.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove note about build being broken on windows.  That was
	fixed a few commits back.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* configure.in: Add call to ACX_WITH_SYSTEM_VLIB.
	* Makefile.am: Macro substitution for "zlib" subdir.
	(Original patch from Anthon Pang <apang@telus.net>.)

	* TODO (230): Add note about possible improvements to
	ACX_WITH_EXTERNAL_ZLIB.
	* aclocal.m4: Regenerated
	* config.h.in: Ditto
	* configure: Ditto
	* Makefile.in: Ditto

2003-05-19  Derek Price  <derek@ximbiot.com>

	* configure.in: Add calls to support lib/malloc.c from GNULIB.

	* aclocal: Regenerated.
	* configure: Ditto.
	* config.h.in: Ditto.

2003-05-19  Derek Price  <derek@ximbiot.com>

	* configure.in: Add calls to support lib/lstat.c and lib/stat.c.  Add
	m4/Makefile to AC_OUTPUT.

	* aclocal: Regenerated.
	* configure: Ditto.
	* config.h.in: Ditto.

2003-05-19  Derek Price  <derek@ximbiot.com>

	* Makefile.am (SUBDIRS): Add m4 subdir.
	(ACLOCAL_AMFLAGS): Include m4 subdir when generating aclocal.m4.
	* acinclude.m4: Remove this file, moving contents into two files in the
	m4 subdirectory to ease maintenance.

	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.

2003-05-19  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: added rules and dependencies for log-buffer.[c,obj],
	socket-client.[c,obj], and rsh-client.[c,obj]
	(Patch from Anthon Pang <apang@telus.net>.)

2003-05-18  Larry Jones  <lawrence.jones@eds.com>

	* acinclude.m4 (CVS_FUNC_PRINTF_PTR): New test.
	* configure.in: Use it.
	* aclocal.m4: Regenerated.
	* config.h.in: Ditto.
	* configure: Ditto.

2003-05-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Back out all the S_ISSOCK changes I just made and move
	the equivalent to lib/system.h.

	* configure.in: Regenerated.
	* config.h.in: Ditto.

2003-05-09  Derek Price  <derek@ximbiot.com>

	* acinclude.m4: set cvs_client_objects in order to support optional
	compilation of src/gssapi-client.c.
	* configure.in: AC_SUBST(cvs_client_objects).
	(Original patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.in: Ditto.

2003-05-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Try again, with AC_TRY_LINK this time.

	* configure: Regenerated.

2003-05-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Correct a typo in my last patch.

	* configure: Regenerated.

2003-05-09  Derek Price  <derek@ximbiot.com>

	* configure.in: Add some checks for S_ISSOCK to avoid a problem on
	SCO OpenServer 5.0.6a.
	(Reported by Boyd Lynn Gerber <gerberb@zenez.com>.)

	* config.h.in: Regenerated.
	* configure: Ditto.

2003-05-07  Derek Price  <derek@ximbiot.com>

	* BUGS: Add rsh-client.{h,c} to the note that I probably just broke the
	Windows build by comitting Alexey Mahotkin's patches.

2003-05-06  Derek Price  <derek@ximbiot.com>

	* BUGS: Note that I probably just broke the Windows build by comitting
	Alexey Mahotkin's patch.

2003-05-01  Derek Price  <derek@ximbiot.com>

	* TODO (149): Remove reference to defunct RELATIVE_REPOS macro.

2003-04-30  Derek Price  <derek@ximbiot.com>

	* acinclude.m4 (ACX_WITH_GSSAPI): Get rid of $includeopt, using
	$CPPFLAGS as intended by the Autoconf folk.
	* configure.in: Ditto.
	(Original patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.in: Ditto.

2003-04-30  Derek Price  <derek@ximbiot.com>

	* acinclude.m4 (ACX_WITH_GSSAPI): Fix typo in broken conditional.
	(Thanks to Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* configure: Regenerated.
	* aclocal.m4: Ditto.

2003-04-28  Derek Price  <derek@ximbiot.com>

	* NEWS (Changes since 1.11.5): Note removal of Checkin.prog and
	Update.prog functionality.

2003-04-10  Larry Jones  <lawrence.jones@eds.com>

	* aclocal.m4 (AM_MAINTAINER_MODE): New macro to support
	--enable-maintainer-mode.
	* configure.in: Use it.
	* configure: Regenerated.
	* Makefile.in: Regenerated.
	* noautomake.sh: Removed; no longer needed.
	* INSTALL: Remove reference to noautomake.sh, add reference to
	--enable-maintainer-mode.
	* Makefile.am: Remove noautomake.sh.
	* NEWS: Add note about --enable-maintainer-mode and noautomake.sh.
	* README: Remove noautomake.sh.

2003-04-01  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove a pcl-cvs bug.  pcl-cvs is no longer part of the CVS
	source distribution.

2003-04-01  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove reference to cvs admin SEGV bug Larry Jones fixed
	on 2003-02-19.

2003-04-01  Derek Price  <derek@ximbiot.com>

	* BUGS: Remove obsolete bug.
	* configure.in: Tail the BUGS file for status.

	* configure: Regenerated.

2003-03-31  Derek Price  <derek@ximbiot.com>

	* NEWS (Changes since 1.11.5): Note symlinked CVSROOT now works.

2003-03-28  Derek Price  <derek@ximbiot.com>

	* configure.in (--with-editor): Quit with an error message when no
	editor is found.  Allow --with-editor to override $EDITOR from the
	user's environment.  Add vim to the list of defaults.

	* configure: Regenerated.

2003-03-26  Derek Price  <derek@ximbiot.com>

	* configure.in (--with-editor): Quit with an error message when
	--without-editor is specified.
	(Report from Jim Salter <jsalterjim@earthlink.net>.)

	* configure: Regenerated.

2003-03-24  Derek Price  <derek@ximbiot.com>

	* configure.in: Add copyright notice.
	* Makefile.am: Update copyright notice.

	* Makefile.in: Regenerated.
	* configure: Ditto.

2003-03-19  Mark D. Baushke  <mdb@cvshome.org>

	* configure.in (WITH_RSH): Add --with-rsh configure option. The
	default is still "rsh" but it will look for "ssh" if "rsh" is not
	found on the system.

	* configure: Regenerated.
	* config.h.in: Ditto.
	* Makefile.in: Ditto.

2003-03-19  Derek Price  <derek@ximbiot.com>

	* configure.in: AC_SUBST HAVE_PUTENV and create a dynamic config file
	for src/sanity.sh.

	* Makefile.in: Regenerated.
	* configure: Ditto.

2003-03-16  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS (changes since 1.11.5): Mention CVSREADONLYFS environment
	variable and new `-R' cvs global option for read-only file-system
	repository mode.

2003-03-07  Mark D. Baushke  <mdb@cvshome.org>

	* NEWS: (Changes since 1.11.5): Mention rcsinfo template updates.

	* TESTS: Document some new global variables.

	* TESTS: Remove some obsolete global variables.

2003-03-07  Derek Price  <derek@ximbiot.com>

	* TESTS: Document some more global variables.

2003-03-04  Mark D Baushke <mdb@cvshome.org>

	* NEWS (Changes since 1.11.5): Mention CVS_LOCAL_BRANCH_NUM
	environment varaible.

2003-02-28  Larry Jones  <lawrence.jones@eds.com>

	* TODO (206): Done in 1.11.3.
	(226): Add comment about deadlock.
	(228, 229): New items.

2003-02-26  Derek Price  <derek@ximbiot.com>

	* mktemp.sh: Add copyright notice, some comments, and attempt to return
	success and error codes.

2003-02-25  Derek Price  <derek@ximbiot.com>

	* configure.in (WITH_KRB4): Import KRB4 patch from Redhat 8.0's CVS
	1.11.2-5 SRPM.  It's not the right fix, but it will work until I get
	around to merging some of the code with WITH_GSSAPI and seperating the
	bits into separate M4 files.

	* configure: Regenerated.
	* config.h.in: Ditto.

2003-02-25  Derek Price  <derek@ximbiot.com>

	* configure.in: Remove the forced nondetection of mktemp I was using
	to test the scripts.

	* configure: Regenerated.

2003-02-25  Derek Price  <derek@ximbiot.com>

	* configure.in: Add checks for mktemp and sendmail.
	* mktemp.sh: New file.

	* Makefile.in: Regenerated.
	* configure: Ditto.

2003-02-25  Derek Price  <derek@ximbiot.com>

	* NEWS (Changes since 1.11.5): Mention UserAdminOptions.

2003-02-06  Derek Price  <derek@ximbiot.com>

	* NEWS (Changes since 1.11.5): Note error message corrections and
	documentation corrections.

2003-01-31  Derek Price  <derek@ximbiot.com>

	* configure.in: Check for varargs.h.  Use the AC_C_PROTOTYPES macro
	to check for handling of prototypes.

	* configure: Regenerated.
	* config.h.in: Regenerated.

2003-01-31  Derek Price  <derek@ximbiot.com>

	* acinclude.m4 (ACX_WITH_GSSAPI): Move the checkin from 1/23 to here.
	* configure.in: Update version to 1.12.10.1.

	* aclocal.m4: Regenerated.
	* configure: Regenerated.

2003-01-30  Larry Jones  <lawrence.jones@eds.com>

	* FAQ: Update URL for tkCVS info.

	* NEWS (Changes from 1.11.2 to 1.11.3): Add note about fixing watch
	in server mode.

2003-01-28  Derek Price  <derek@ximbiot.com>

	* INSTALL: Remove a reference to options.h.
	(Thanks to Jenn Vesperman <jenn@anthill.echidna.id.au> for the report.)

2003-01-28  Larry Jones  <lawrence.jones@eds.com>

	* NEWS: Update for 1.11.5, add notes about bug fixes in older
	versions.

2003-01-23  Derek Price  <derek@ximbiot.com>

	* aclocal.m4 (WITH_GSSAPI): Check for libcrypt before libroken to
	satisfy a FreeBSD 4.6 dependency.
	(Thanks to Jan Ruzicka <jan.ruzicka@comtechmobile.com> for the bug
	report and a partial fix.)

	* configure: regenerated.

2003-01-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Update the news for the last release to mention that client
	builds are not affected by the security vulnerability.

2003-01-20  Derek Price  <derek@ximbiot.com>

	* configure.in: Update to dev version 1.11.5.1.
	* configure: Regenerated.

2003-01-16  Derek Price  <derek@ximbiot.com>

	* NEWS: Add 1.11.4 entry in regards to
	<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0015>.
	The Common Vulnerabilities and Exposures project (cve.mitre.org)
	has assigned the name CAN-2003-0015 to this issue.
	* configure.in: Update to CVS version 1.11.5.

	* configure: Regenerated.

2002-01-16  Derek Price  <derek@ximbiot.com>

	* configure.in (--with-editor): Look for nano, the GNU GPL pico clone.
	(Reported by Robin Cook <rcook@wyrms.net>.)

	* configure: Regenerated.

2002-01-16  Derek Price  <derek@ximbiot.com>

	* configure.in: Update to dev version (1.11.4.1).
	* configure: Regenerated.

2002-12-28  Derek Price  <derek@ximbiot.com>

	* NEWS: Add since 1.11.3 entry.
	* configure.in: Update to version 1.11.4.
	* configure: Regenerated.

2002-12-27  Derek Price  <derek@ximbiot.com>

	* NEWS: Add dummy entry for since 1.11.3.
	* configure.in: Update to dev version 1.11.3.1.
	* configure: Regenerated.

2002-12-27  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Add bz2.
	* NEWS: Add note about options.h.
	* configure.in: Set version to 1.11.3.
	* cvs.spec.in: No longer need to remove config.cache between runs
	of configure.

	* configure: Regenerated.

2002-12-20  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Make previous rule more like Visual Studio expects.

2002-12-19  Derek Price  <derek@ximbiot.com>

	* cvsnt.mak: Add lib/fnmatch.h.in -> lib/fnmatch.h rule.

2002-12-19  Derek Price  <derek@ximbiot.com>

	* INSTALL: Remove references to options.h.
	* cvsnt.mak: Ditto.
	* FAQ: Ditto, plus some references to installing RCS & DIFF.  Wow.
	That was _really_ out of date.
	* configure.in: Define MY_NDBM here rather than in src/options.h.

	* config.h.in: Regenerated.
	* configure: Ditto.

2002-12-16  Derek Price  <derek@ximbiot.com>

	* INSTALL: Add a platform to the tested platforms list.
	(Thanks to Johan Vermeire <Johan.Vermeire@skynet.be>.)

2002-12-04  Derek Price  <derek@ximbiot.com>

	* configure.in: Add --with switch for specifying CVS_ADMIN_GROUP.

	* config.h.in: Regenerated.
	* configure: Ditto.

2002-11-21  Larry Jones  <lawrence.jones@eds.com>

	* configure.in: Add contrib/check_cvs.
	* configure: Regenerated.

2002-11-12  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Update autom4te ignore pattern for version number
	included in path name by new versions of autom4te.

2002-10-28  Derek Price  <derek@ximbiot.com>

	* configure.in: Flesh out some comments in regards to Sun Interactive
	UNIX (ISC).

2002-09-24  Derek Price  <derek@ximbiot.com>

	* configure.in (WITH_KRB4): Update WITH_KRB4 output to use
	AC_MSG_CHECKING and AC_MSG_RESULT for consitency.
	(with-editor): Update comment.

	* configure: Regenerated.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* configure.in (--enable-password-authenticated-client): New option.
	(--enable-encryption): Increase the readability of the help text.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* configure.in (enable-encryption): Move to a more sensible location
	and print a warning if it is specified with neither the client or the
	server enabled.
	(--with-editor): Move to a closer resemblance to alphabetical order.
	(enables and withs): Reformat help strings for consistency.
	* acinclude.m4: Ditto.

	* configure: Regenerated.
	* aclocal.m4: Ditto.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* configure.in (enable-force-editor): New option.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* acinclude.m4 (ACX_WITH_GSAPI): Use AC_MSG_CHECKING & AC_MSG_RESULT
	instead of AS_MESSAGE for consistent appearance of the output even
	though it makes the code look a little clunky.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* INSTALL: Document --with-umask.
	* configure.in (--with-umask): New option.
	(--with-tmpdir): Move to something more closely resembling alphabetical
	order of the --with- arguments.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* INSTALL: Note new Automake version.
	* NEWS: Ditto.
	* configure.in (AC_ISC_POSIX): Remove this obsolete call and comment
	out some related code with an explanation.

	* Makefile.in: Regenerated using Automake 1.6.3.
	* aclocal.m4: Ditto.
	* configure: Regenerated.

2002-09-24  Larry Jones  <lawrence.jones@eds.com>

	* aclocal.m4: Remove no longer needed definition of AC_ISC_POSIX
	from gettext-0.10.40.
	* configure.in: Remove warnings about obsolete AC_STRUCT_ST_BLKSIZE
	and AC_STRUCT_ST_RDEV, add check for geteuid().
	* configure, config.h.in: Regenerated.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* TODO (227): New item.

2002-09-24  Larry Jones  <lawrence.jones@eds.com>

	* configure.in (--enable-server-flow-control): Fix nonportable code.
	* configure: Regenerated.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* INSTALL: Explain --with-tmpdir.
	* configure.in (--with-tmpdir): New configure argument.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* INSTALL: Explain --with-editor.
	* configure.in (--with-editor): New configure argument.

	* Makefile.in: Regenerated.
	* configure: Ditto.
	* config.h.in: Ditto.

2002-09-24  Larry Jones  <lawrence.jones@eds.com>

	* TODO (226): New item.

	* configure.in: Remove PATCH_PROGRAM.
	* configure: Regenerated.
	* config.h.in: Ditto.

2002-09-20  Derek Price  <derek@ximbiot.com>

	* INSTALL: Explain --enable-server-flow-control.
	* configure.in (--enable-server-flow-control): New configure argument.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-09-20  Derek Price  <derek@ximbiot.com>

	* configure.in: Set PATCH_PROGRAM as possible, autodetecting with
	a user override.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-09-20  Derek Price  <derek@ximbiot.com>

	* configure.in: Use AC_HELP_STRING to create pretty help strings.
	Reformat some lines for legibility.
	(with-krb4): Fix help strings and logging.

	* configure.in: Regenerated.

2002-08-16  Derek Price  <derek@ximbiot.com>

	* configure.in: Make CVS_BADROOT a configure option.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-08-12  Derek Price  <oberon@umich.edu>

	* configure.in: Move ftruncate from AC_CHECK_FUNC to AC_REPLACE_FUNC.
	(Symptoms reported by
	Andrey Aristarkhov <Aristarkhov@bitechnology.ru>.)
	* aclocal.m4: Regenerated.
	* configure: Ditto.

2002-07-09  Larry Jones  <lawrence.jones@eds.com>

	* NEWS (Changes since 1.11.2): Note lock message times now UTC.

2002-06-28  Derek Price  <oberon@umich.edu>

	* INSTALL (Building [on] other platforms): Don't reference the Mac
	README file since it has been missing for several releases.  Mention
	the UNIXness of Mac OS X and correct references to wincvs.org to point
	to the new cvsgui.org .
	(Reported by Sarah Gonzales <slindahl@rice.edu>.)

2002-05-22  Larry Jones  <lawrence.jones@eds.com>

	* TODO (173, 202): Update to reflect current state of affairs.
	(207): Defunct as of 1.11.2.

	* NEWS (Changes from 1.11.1p1 to 1.11.2): Note new RereadLogAfterVerify
	config option.

2002-05-15  Larry Jones  <lawrence.jones@eds.com>

	* NEWS (Changes from 1.11.1p1 to 1.11.2): Note log/rlog changes.

2002-05-08  Derek Price  <oberon@umich.edu>

	* configure.in: Add code to use lib/fnmatch.h.in redirection when
	necessary to avoid namespace conflicts in #includes.
	* configure: Regenerated.

2002-05-08  Derek Price  <oberon@umich.edu>

	* TODO (215): Add note.

2002-05-08  Derek Price  <oberon@umich.edu>

	* TODO (214): Clarify item.

2002-05-02  Derek Price  <oberon@umich.edu>

	* configure.in: Add check for fnmatch.h so we can avoid namespace
	conflicts on systems where the fnmatch function is broken.  Not sure
	this applies to any systems but Mac OS X.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-05-02  Derek Price  <oberon@umich.edu>

	* .cvsignore: Remove config.cache and add autom4te.cache.

2002-05-02  Derek Price  <oberon@umich.edu>

	* noautoconf.sh: Update this script for operation with the new autotools.
	* stamp-h1.in: Remove this obsolete file.

2002-05-01  Derek Price  <oberon@umich.edu>

	* TODO (224): Comment on this item.

2002-05-01  Larry Jones  <lawrence.jones@eds.com>

	* TODO (215 - 225): New items.

2002-05-01  Derek Price  <oberon@umich.edu>

	* TODO (214): Add note about moving options.h options into the configure
	script.
	* configure.in: Remove last few references to options.h.
	* configure: Regenerated.

2002-04-30  Derek Price  <oberon@umich.edu>

	* acconfig.h: Remove this file, it is deprecated.

	* Makefile.am (AUTOMAKE_OPTIONS): Move these into configure.in.
	* acinclude.m4: Some minor updates for compatibility with the new
	Autotools, some reformatting for readability, and a minor bugfix or
	two.
	* configure.in: Add new AC_DEFINE arguments and replace some direct
	assignments to LIBOBJS with calls to AC_LIBOBJ.  Call AC_INIT and
	AM_INIT_AUTOMAKE with the new APIs.  Call AC_PACKAGE_NAME,
	AC_PACKAGE_TARNAME, AC_PACKAGE_VERSION, and AC_PACKAGE_STRING to
	subst/define the corresponding variables.  Call AC_CONFIG_FILES with
	the old AC_OUTPUT args and call AC_OUTPUT without args.  Remove
	references to version.h.
	* cvs.spec.in: Use the new substs.

	* INSTALL: Mention new versions of Automake & Autoconf.
	* NEWS: Ditto.

	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.
	* configure: Ditto.
	* config.h.in: Ditto.

2002-04-28  Derek Price  <oberon@umich.edu>

	* TODO (208, 209, 210, 211, 212, 213): New items.

2002-04-27  Derek Price  <oberon@umich.edu>

	* configure.in: Set LIBOBJ for fnmatch.c and fnmatch.h using the
	correct functions.  Add checks for some functions whose names conflict
	with functions on Mac OS X 10.1 with the most recent dev packages.
	This should be removable after the Mac dev packages are fixed.

	* configure: Regenerated.
	* config.h.in: Ditto.

2002-04-18  Derek Price  <oberon@umich.edu>

	* NEWS: Add a dummy entry so automake will let me update the version.
	* configure.in: Update the version number.
	* configure: Regenerated.

2002-04-17  Derek Price  <oberon@umich.edu>

	* configure.in: Update version number.
	* configure: Regenerated.

2002-04-03  Derek Price  <oberon@umich.edu>

	* cvs.spec.in: Use a lowercase "cvshome.org".  Add some RedHat safety
	features to avoid "rm -rf /".  No need to rebuild the docs in the
	distribution.  Don't strip the binary.

2002-03-26  Derek Price  <oberon@umich.edu>

	* configure.in: Add a FIXME comment.

2002-03-21  Derek Price  <oberon@umich.edu>

	* aclocal.m4: Regenerate with recent version of Autoconf.  It looks
	like things changed because of some RedHat patches or the like which
	didn't change the Autoconf version number, but the differences look
	like useful changes so I'm going to use them for consistency.
	* config.h.in: Ditto.
	* configure: Ditto.

2002-03-19  Larry Jones  <larry.jones@sdrc.com>

	* NEWS (Changes since 1.11.1p1): Note -S flag for [r]log.

2002-02-08  Larry Jones  <larry.jones@sdrc.com>

	* NEWS (Changes since 1.11.1p1): Note read-only tag fix.

2002-02-01  Larry Jones  <larry.jones@sdrc.com>

	* NEWS (Changes from 1.9 to 1.10): Note -t/-f wrappers disabled.

2001-12-12  Larry Jones  <larry.jones@sdrc.com>

	* NEWS (Changes from 1.10 to 1.11): Note update -C.

2001-12-03  Larry Jones  <larry.jones@sdrc.com>

	* TODO (206, 207): New items.

	* NEWS (Changes since 1.11.1p1): Note -F flag for [r]annotate.
	(Changes from 1.11 to 1.11.1): Note :: for log.

2001-10-18  Derek Price  <dprice@collab.net>

	* TESTS: Remove outdated note about tests that don't use the dotest
	function and add some notes on writing tests.
	* HACKING: Reference TESTS file in note about submitting test cases
	with patches.

2001-09-28  Larry Jones  <larry.jones@sdrc.com>

	* noautomake.sh: Protect wildcards from shell expansion.
	(Patch submitted by Stephen Cameron <smcameron@yahoo.com>.)

2001-09-22  Derek Price  <dprice@collab.net>

	* INSTALL (Building from source code under Unix): Continue
	noautoconf.sh note, stressing source checked out from CVS.

2001-09-22  Derek Price  <dprice@collab.net>

	* noautomake.sh: Correct usage.

2001-09-13  Derek Price  <dprice@collab.net>

	* Makefile.am (AUTOMAKE_OPTIONS): Updated to require Automake 1.5.
	* NEWS (Changes since 1.11.1p1): Added note about standardizing on
	Automake 1.5.
	* INSTALL (Building from source code under UNIX): It's Automake version
	`1.5', not `2.5'.
	(Detailed information about your interaction with "configure"): Added
	note about using `configure --help'.
	* README (Installation): Add noautoconf.sh to the list of build and
	installation commands.

	* Makefile.in: Regenerated.

2001-09-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with automake 1.5.
	* aclocal.m4: Ditto.
	* configure: Ditto.

2001-09-04  Derek Price  <dprice@collab.net>

	* INSTALL (Building from source code under UNIX): Add a comment about
	the noautomake.sh script and autotool versions.

2001-08-20  Derek Price  <dprice@collab.net>

	* configure.in (AC_OUTPUT): Add src/version.h.
	(Patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* configure: Regenerated.

2001-08-20  Derek Price  <dprice@collab.net>

	* .cvsignore: Add cvs.spec.

2001-08-14  Derek Price  <dprice@collab.net>

	* configure.in (AC_OUTPUT): Add cvs.spec.
	* Makefile.am (EXTRA_DIST): Remove cvs.spec.in and cvs.spec.
	(Original patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* cvs.spec.in: Use @PACKAGE@ from configure.
	* cvs.spec: Remove this file.

	* configure: Regenerated.
	* Makefile.in: Ditto.

2001-08-14  Derek Price  <dprice@collab.net>

	* DEVEL-CVS: Update mailing list addresses.
	* HACKING: Ditto.

2001-08-09  Derek Price  <dprice@collab.net>

	* cvsnt.mak: Add entry for annotate.c.

2001-08-07  Derek Price  <dprice@collab.net>

	* build.com: correct name of build .com for zlib.
	(Patch from Mike Marciniszyn <Mike.Marciniszyn@sanchez.com>.)

2001-08-06  Derek Price  <dprice@collab.net>

	* configure.in: Remove some redundant macros (they appear to be run
	automatically by AC_INIT).

	* configure: Regenerated.

2001-08-06  Derek Price  <dprice@collab.net>

	* configure.in: Add AC_EXEEXT to get things right when under Windows.
	(Report and patch from manklu@web.de.)

	* configure.in: Reorder some macros to prevent Autoconf warnings.

	* configure: Regenerated.
	* Makefile.in: Ditto.

2001-07-26  Larry Jones  <larry.jones@sdrc.com>

	* NEWS: Fix format, add note about tag -B.

2001-07-16  Derek Price  <dprice@collab.net>

	* compile: New Automake file.
	* configure.in: Add AM_PROG_CC_C_O to work around problems with some
	compilers.

	* aclocal.m4: Regenerated.
	* Makefile.in: Ditto.
	* config.h.in: Ditto.
	* configure: Ditto.
	(Thanks to Stephen Cameron <smcameron@yahoo.com> and
	Tom Tromey <tromey@redhat.com>.)

2001-07-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with new Automake release candidate 1.4h.
	* aclocal.m4: Ditto.

2001-07-04  Derek Price  <dprice@collab.net>

	* configure.in: Tidy and add some comments.

	* configure: Regenerated.

2001-07-03  Derek Price  <dprice@collab.net>

	* HACKING (Source): Add a note about where to obtain the development
	sources.
	(Thanks to Bear Giles <bear@coyotesong.com>.)

2001-07-03  Derek Price  <dprice@collab.net>

	* configure.in: Test for mmap.

	* configure: Regenerated.
	* config.h.in: Ditto.

2001-06-28  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with new version of Automake.
	* aclocal.m4: Ditto.
	* configure: Regenerated.

2001-06-28  Derek Price  <dprice@collab.net>

	* mdate-sh: New file to support doc/version.texi.

2001-06-27  Larry Jones  <larry.jones@sdrc.com>

	* TESTS: Note environment variables to select certain tools,
	potential problems with big environments.

	* TODO: Add note about non-canonical paths.  Reformat long lines.

	* NEWS (Changes since 1.11): Note new loginfo format string expansion.
	Reformat some long lines.

2001-06-11  Derek Price  <dprice@collab.net>

	* cvsnt.dsp: Add src/annotate.c to source file list.
	(Thanks to Jerzy Kaczorowski <kaczoroj@hotmail.com>.)

2001-05-30  Derek Price  <dprice@collab.net>

	* configure.in (AC_OUTPUT): Change contrib/pvcs2cvs to contrib/pvcs2rcs.

	* configure: Regenerated.

2001-05-29  Derek Price  <dprice@collab.net>

	* configure.in (AC_OUTPUT): Add pvcs2cvs.

	* configure: Regenerated.

2001-05-21  Derek Price  <dprice@collab.net>

	* NEWS (Changes since 1.11): It's "noautomake.sh", not "noautoconf.sh".
	* Makefile.am (EXTRA_DIST): Include noautomake.sh.
	(AUTOMAKE_OPTIONS): Update required Automake version to 1.4e.
	(Reported by Alexey Mahotkin <alexm@hsys.msk.ru>).

2001-05-21  Derek Price  <dprice@collab.net>

	* Makefile.am (EXTRA_DIST): Add noautoconf.sh.

2001-05-17  Larry Jones  <larry.jones@sdrc.com>

	* depcomp: Yet another newer (unofficial) version from Automake.

2001-05-10  Larry Jones  <larry.jones@sdrc.com>

	* configure.in (AC_OUTPUT): Remove -f from chmod -- not portable.
	* configure: Regenerated.

2001-05-03  Derek Price  <dprice@collab.net>

	* TODO (204): New item.

2001-05-02  Derek Price  <dprice@collab.net>

	* acinclude.m4 (ACX_WITH_GSSAPI): Make krb5.h a requirement for GSSAPI.
	krb5.h shouldn't be required, but CVS's GSSAPI implementation is
	broken.
	(Reported by Stephen Rasku  <stephen@tgivan.com>.)

	* aclocal.m4: Regenerated.
	* configure: Ditto.

2001-04-29  Derek Price  <dprice@collab.net>

	* Makefile.am (distcheck-hook): Undo last change.
	(localcheck): New target.

	* Makefile.in: Regenerated.

2001-04-29  Derek Price  <dprice@collab.net>

	* Makefile.am: Add remotecheck to distcheck-hook.

	* Makefile.in: Regenerated.

2001-04-27  Derek Price  <dprice@collab.net>

	* TODO (202): Remove my claim.
	(203): New item.

2001-04-27  Derek Price  <dprice@collab.net>

	* configure.in: Update version number.

	* configure: Regenerated.
	* cvs.spec: Ditto.

2001-04-27  Derek Price  <dprice@collab.net>

	* configure.in: Update version number.
	* NEWS (new since 1.11.1): Broke read-only fix.
	(new since 1.11): Diff fix.

	* configure: Regenerated.
	* cvs.spec: Ditto.

2001-04-26  Derek Price  <dprice@collab.net>

	* cvs.spec.in: Don't include %{_infodir}/dir.
	(krb5): Remove krb5-config from dependencies.

	* cvs.spec: Regenerated.

2001-04-25  Derek Price  <dprice@collab.net>

	* configure.in: Update version to 1.11.1.

	* Makefile.in: Regenerated with AM 1.4e as of today at 18:10 -0400
	(EDT).
	* aclocal.m4: Ditto.
	* configure: Ditto.

2001-04-25  Derek Price  <dprice@collab.net>

	* NEWS: Correct punctuation.

2001-04-25  Larry Jones  <larry.jones@sdrc.com>

	* depcomp (aix, sgi): Correct previous fixes.

2001-04-24  Larry Jones  <larry.jones@sdrc.com>

	* depcomp (sgi): Remove stray HP-UX code.

2001-04-18  Derek Price  <dprice@collab.net>

	* noautoconf.sh: New shell script to touch Makefile.in files and
	prevent unecessary AUtomake rebuilds after updates.
	* NEWS: Note this new scipt.

2001-04-16  Larry Jones  <larry.jones@sdrc.com>

	* depcomp (aix): Remove stray HP-UX code.

2001-04-12  Larry Jones  <larry.jones@sdrc.com>

	* mkinstalldirs: Newer version from Automake.

2001-04-12  Larry Jones  <larry.jones@sdrc.com>

	* depcomp: Newer version from Automake.

2001-04-04  Larry Jones  <larry.jones@sdrc.com>

	* depcomp: Don't count on $? being set in then or else clauses.

2001-03-30  Larry Jones  <larry.jones@sdrc.com>

	* NEWS: Note new rlog and rannotate commands.

2001-03-14  Derek Price  <derek.price@openavenue.com>

	* configure.in (AC_CHECK_FUNCS): Look for gettimeofday.

	* config.h.in: Regenerated:
	* configure: Ditto.
	* stamp-h1.in: Ditto.

2001-03-14  Derek Price  <derek.price@openavenue.com>

	New version of Automake (1.4e).  With luck it works with the quirky BSD
	Make.

	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.in: Ditto.
	* stamp-h1.in: Ditto.

2001-02-28  Derek Price  <derek.price@openavenue.com>

	* acinclude.m4 (ACX_WITH_GSSAPI): Move the -L linker option back into
	LIBS where it should be.  LDFLAGS is a user variable.

	* aclocal.m4: Regenerated.
	* configure: Regenerated.

2001-02-23  Derek Price  <derek.price@openavenue.com>

	* configure.in: Comment definition of PR_PROGRAM.

	* configure: Regenerated.

2001-02-22  Derek Price  <derek.price@openavenue.com>
	    Pavel Roskin  <proski@gnu.org>

	* configure.in: Define PR_PROGRAM if `pr' has been found.

	* config.h.in: Regenerated.
	* configure: Regenerated.

2001-02-20  Derek Price  <derek.price@openavenue.com>

	* acconfig.h (HAVE_GSSAPI): Removed.  Entries in acconfig.h aren't
	necesary when the full functionality of AC_DEFINE is used.
	(HAVE_GSS_C_NT_HOSTBASED_SERVICE): Ditto.
	* acinclude.m4 (ACX_WITH_GSSAPI): New file with GSSAPI configure code.
	* configure.in: Use ACX_WITH_GSSAPI instead of writing GSSAPI code in
	place.

	* aclocal.m4: Regenerated.
	* config.h.in: Regenerated.
	* configure: Regenerated.

2001-02-15  Derek Price  <derek.price@openavenue.com>

	* configure: Regenerated without beta automake macros.

2001-02-14  Derek Price  <derek.price@openavenue.com>

	* configure.in (AC_CHECK_FUNCS): Alphebetize & reorganize.  Add
	cascading search for nanosleep, usleep, & select, in that order.
	* config.h.in: Regenerated.
	* configure: Regenerated.
	* cvsnt.mak: List xtime.h & xselect.h dependancies.

2001-02-14  Larry Jones  <larry.jones@sdrc.com>

	* cvsnt.dsp: Remove references to rtag.c & rtag.obj.
	* cvsnt.mak: Ditto.

2001-02-13  Derek Price  <derek.price@openavenue.com>

	* TODO: Add note about merging rdiff & diff.

2001-02-13  Derek Price  <derek.price@openavenue.com>

	* TODO: Add note about cvs_temp_file.

2001-02-07  Derek Price  <derek.price@openavenue.com>

	* cvs.spec.in (build): Remove the info 'dir' file so it doesn't get
	installed accidentally.
	(post): Install info files _into_ system dir file
	(preun): uninstall info files from dir file
	* cvs.spec: regenerated

2001-01-31  Derek Price  <derek.price@openavenue.com>

	* TODO: Add a note about 'cvs add' w/o write access

2001-01-29  Derek Price  <derek.price@openavenue.com>

	* NEWS: Rewrite the comment on the new ~/.cvspass functionality
	* TODO: Add a note about testing login/logout

2001-01-29  Derek Price  <derek.price@openavenue.com>

	* configure.in: Rewrite args to AC_TRY_COMMAND in a form that is
	acceptable to both Autoconf 1.13 and the new 1.49 beta.

	* configure: regenerated

2001-01-29  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Check for syslog.h.
	* configure, config.h.in: Regenerated.

2001-01-17  Derek Price  <derek.price@openavenue.com>

	* configure.in: add machinery to check for the BSD VPATH bug
	and check for texi2dvi.
	* doc/Makefile.am: use the machinery
	* diff/Makefile.in: changes to support 'make dist' from a build dir
	* emx/Makefile.in: changes to support 'make dist' from a build dir
	* os2/Makefile.in: changes to support 'make dist' from a build dir
	* zlib/Makefile.in: changes to support 'make dist' from a build dir

	* Makefile.in: regenerated
	* aclocal.m4: regenerated
	* configure: regenerated
	* contrib/Makefile.in: regenerated
	* doc/Makefile.in: regenerated
	* lib/Makefile.in: regenerated
	* man/Makefile.in: regenerated
	* src/Makefile.in: regenerated
	* tools/Makefile.in: regenerated
	* vms/Makefile.in: regenerated
	* windows-NT/Makefile.in: regenerated
	* windows-NT/SCC/Makefile.in: regenerated

2001-01-10  Derek Price  <derek.price@openavenue.com>
	    Rex Jolliff  <Rex_Jolliff@notes.ymp.gov>

	* NEWS (new since 1.11): Add comment about VMS wildcards

2001-01-05  Derek Price  <derek.price@openavenue.com>

	* configure.in (AC_OUTPUT): Move some script targets here
	* contrib/Makefile.am (EXTRA_DIST, SUFFIXES, .pl:, .csh:): Move some
	script targets to configure.in
	* src/Makefile.am (cvsbug, cvsbug_EXTRA_DIST, EXTRA_DIST): move cvsbug
	target to configure.in

	* aclocal.m4: Regenerated due to change in Automake installation

	* Makefile.in: Regenerated
	* configure: ditto
	* contrib/Makefile.in: ditto
	* doc/Makefile.in: ditto
	* lib/Makefile.in: ditto
	* man/Makefile.in: ditto
	* src/Makefile.in: ditto
	* tools/Makefile.in: ditto
	* vms/Makefile.in: ditto
	* windows-NT/Makefile.in: ditto
	* windows-NT/SCC/Makefile.in: ditto

	* cvs.spec: updated timestamp
	* stamp-h1.in: ditto
	* doc/CVSvn.texi: ditto
	* src/stamp-h2.in: ditto
	* src/version.c: ditto

	* contrib/clmerge.in: Rename from clmerge.pl
	* contrib/cln_hist.in: Rename from cln_hist.pl
	* contrib/commit_prep.in: Rename from commit_prep.pl
	* contrib/cvs_acls.in: Rename from cvs_acls.pl
	* contrib/log.in: Rename from log.pl
	* contrib/log_accum.in: Rename from log_accum.pl
	* contrib/mfpipe.in: Rename from mfpipe.pl
	* contrib/rcslock.in: Rename from rcslock.pl
	* contrib/sccs2rcs.in: Rename from scc2rcs.csh
	* src/cvsbug.in: Rename from cvsbug.sh

	* contrib/clmerge.pl: Rename to clmerge.in
	* contrib/cln_hist.pl: Rename to cln_hist.in
	* contrib/commit_prep.pl: Rename to commit_prep.in
	* contrib/cvs_acls.pl: Rename to cvs_acls.in
	* contrib/log.pl: Rename to log.in
	* contrib/log_accum.pl: Rename to log_accum.in
	* contrib/mfpipe.pl: Rename to mfpipe.in
	* contrib/rcslock.pl: Rename to rcslock.in
	* contrib/sccs2rcs.csh: Rename to sccs2rcs.in
	* src/cvsbug.sh: Rename to cvsbug.in

2001-01-03  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (remotecheck): depend on 'all'
	* Makefile.in: regenerated

2001-01-03  Derek Price  <derek.price@openavenue.com>

	* Makefile.in (DEP_FILES): Regenerated with new version of Automake
	(DEP_FILES_conditional patch for BSD make compatibility)
	* contrib/Makefile.in: ditto
	* doc/Makefile.in: ditto
	* lib/Makefile.in: ditto
	* man/Makefile.in: ditto
	* src/Makefile.in: ditto
	* tools/Makefile.in: ditto
	* vms/Makefile.in: ditto
	* windows-NT/Makefile.in: ditto
	* windows-NT/SCC/Makefile.in: ditto

2000-12-28  Derek Price  <derek.price@openavenue.com>

	* INSTALL (BUILDING FROM SOURCES): Added a couple more platforms to the
	build and test list.
	(Building ... under Unix): Added note about BSD make and
	--disable-dependency-tracking
	(Building ... under Windows ...): Added note about using MSVC++ 6.0
	(Building [on] other platforms): Added note about wincvs.org and
	cvsnt.org.  Added more complete note about BSD make and
	--disable-dependency-tracking than the above

2000-12-27  Derek Price  <derek.price@openavenue.com>

	* NEWS: Fix comments about the changes to ~/.cvspass

2000-12-26  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (EXTRA_DIST): Add cvs.spec.in
	(cvs.spec): new target
	* Makefile.in: Regenerated
	* aclocal.m4: update timestamp
	* configure: Regenerated
	* configure.in (AC_OUTPUT): Remove cvs.spec, doc/CVSvn.texi,
	& src/version.c
	* stamp-h1.in: update timestamp
	* contrib/Makefile.in: ditto
	* lib/Makefile.in: ditto
	* man/Makefile.in: ditto
	* tools/Makefile.in: ditto
	* vms/Makefile.in: ditto
	* windows-NT/Makefile.in: ditto
	* windows-NT/SCC/Makefile.in: ditto

2000-12-22  Derek Price  <derek.price@openavenue.com>

	* configure.in (AC_OUTPUT): Stretched
	* configure: Regenerated

2000-12-22  Derek Price  <derek.price@openavenue.com>

	* aclocal.m4: Regenerated due to Automake update

2000-12-22  Derek Price  <derek.price@openavenue.com>

	* Makefile.in: Regenerated
	* aclocal.m4: Regenerated due to a change to AM_PROG_ETAGS
	* configure: Regenerated

2000-12-21  Derek Price  <derek.price@openavenue.com>

	* .cvsignore: removed newly unused files, added new stamp file,
	and alphabetized.
	* AUTHORS: Added this file to please Automake.  Apparently, its
	presence is mandated by the GNU coding standards.
	* Makefile.am: New file needed by Automake
	* Makefile.in: Regenerated
	* NEWS: Add a comment about the Automake conversion
	* aclocal.m4: Added this file for Automake
	* config.h.in: Regenerated
	* configure: Regenerated
	* configure.in: Some changes to support Automake and support for
	missing roff & ps2pdf programs.
	* cvs.spec: Regenerated
	* cvs.spec.in: New file leveraging Automake support
	* depcomp: New Automake file
	* install-sh: Newer version from Automake
	* missing: New Automake file
	* mkinstalldirs: Newer version from Automake
	* stamp-h.in: Remove unused file
	* stamp-h1.in: New Automake generated stamp file

2000-11-30  Derek Price  <derek.price@openavenue.com>
	    Stephen Kennedy  <Stephen.Kennedy@havok.com>

	* cvs.spec (krb5): Require krb5-devel for a build of the krb5 target

2000-11-29  Derek Price  <derek.price@openavenue.com>
	    Stephen Kennedy  <Stephen.Kennedy@havok.com>

	* cvs.spec (build, post, preun): remove an old, commented out
	line and replace hardcoded paths with _infodir and _bindir as
	appropriate
	(files): replace file list with more generic and succinct one

2000-11-15  Derek Price  <derek.price@openavenue.com>

	* TODO (198): added note about deprecating cvs_temp_name
	* configure.in (AC_CHECK_FUNCS): added mkstemp to support
	new cvs_temp_file function.
	* config.h.in: regenerated
	* configure: regenerated

2000-11-08  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Check for getgroups function.
	* configure, config.h.in: Regenerated.

2000-11-07  Larry Jones  <larry.jones@sdrc.com>

	* Makefile.in (FLAGS_TO_PASS): Add INSTALL, INSTALL_DATA, and
	INSTALL_PROGRAM.
	(Reported by Christian Brechbuehler <christian@arsdigita.com>.)

2000-11-03  Derek Price  <derek.price@openavenue.com>

	* cvs.spec (build): pass in --without-gssapi when configuring the main
	package so that the Kerberized version of CVS doesn't get built when
	the user happens to have Kerberos installed in the default location.

2000-10-31  Derek Price  <derek.price@openavenue.com>

	* NEWS: Mention zlib was updated to 1.1.3.

2000-10-30  Derek Price  <derek.price@openavenue.com>

	* cvs.spec: Fixed trapping for gssapi so that the RPM can be built
	on a machine without Kerberos.  Should now build standard RPM on a
	machine without Kerberos and the standard RPM + the Kerberos RPM on
	a machine with the Kerberos devel libraries.

2000-10-26  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Get path to pr for diff.
	(Patch submitted by Urs Thuermann <urs@isnogud.escape.de>.)
	* configure: Regenerated.

2000-10-18  Derek Price  <derek.price@openavenue.com>

	* .cvsignore: Added .fname & .version, two temporary files used in spec
	file creation.
	* Makefile.in (distclean-local): clean .fname & .version
	* cvs.spec: Replaced with a new version based on RedHat 6.2's spec file
	for cvs 1.10.7.  Edited heavily to include a krb5 subpackage for the
	gssapi binary and fixed RedHat's info and man file placement.

2000-10-17  Derek Price  <derek.price@openavenue.com>

	* NEWS: added a comment about the new CVSROOT format for pserver.

2000-10-17  Derek Price  <derek.price@openavenue.com>

	* NEWS: added a comment about the new format of ~/.cvspass

2000-10-09  Derek Price  <derek.price@openavenue.com>

	* cvsnt.mak: Some minor changes to allow CVS to compile correctly
	under NT and Visual C++ 6.0.

2000-09-07  Larry Jones  <larry.jones@sdrc.com>

	* Makefile.in: Use @bindir@, @libdir@, @infodir@, and @mandir@
	from autoconf.

	* acconfig.h: Copy HAVE_CRYPT, HAVE_GETSPNAM, REGEX_MALLOC, and
	_REGEX_RE_COMP from config.h.in to here, where they should have
	been in the first place.
	* config.h.in: Regenerated.

2000-08-30  Larry Jones  <larry.jones@sdrc.com>

	* NEWS: Note additional history enhancements.

2000-08-01  Larry Jones  <larry.jones@sdrc.com>

	* configure.in, config.h.in: Add check for getpassphrase (Solaris).
	* configure: Regenerated.

2000-07-11  Larry Jones  <larry.jones@sdrc.com>

	* configure.in, config.h.in: Add checks for mknod() and st_rdev
	since some systems (notably Plan 9) don't have them.
	* configure: Regenerated.

2000-07-10  Larry Jones  <larry.jones@sdrc.com>

	* NEWS: Note the new "version" command.

2000-07-06  Larry Jones  <larry.jones@sdrc.com>

	* NEWS: Note that admin -t works in client/server.

2000-06-19  Larry Jones  <larry.jones@sdrc.com>

	* configure.in (AC_DEFINE): Define REGEX_MALLOC and _REGEX_RE_COMP
	to configure lib/regex.c the way we want without messing with the
	code.
	* config.h.in: Ditto.
	* configure: Regenerated.

2000-05-16  Jim Kingdon  <kingdon@redhat.com>

	* TODO (186): Remove paragraph about Eric Raymond's interest.
	This is still on the future projects on his site, it just seems to
	brief (and too long ago updated) that I don't really see the need
	to mention it.

2000-05-05  Larry Jones  <larry.jones@sdrc.com>

	* TESTS: Add notes about required tools and where to get them.

2000-05-02  Donald Sharp <sharpd@cisco.com>
	and Larry Jones  <larry.jones@sdrc.com>

	* NEWS: Note history output format change.

2000-02-17  Larry Jones  <larry.jones@sdrc.com>

	* NEWS: Note that PreservePermissions is disabled.
	* configure.in: Don't define PRESERVE_PERMISSIONS_SUPPORT.
	* configure: Regenerated.

2000-02-01  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Try again to handle systems that need both libsocket
	and libnsl.
	* configure: Regenerated.

1999-12-09  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Correctly handle systems that need both libsocket
	and libnsl.
	* configure: Regenerated.

1999-12-06  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Update to autoconf 2.13; use new AC_SEARCH_LIBS
	to handle getspnam, connect, gethostbyname, and crypt correctly;
	use new AC_FUNC_FNMATCH instead of doing it by hand.
	* configure: Regenerated with autoconf 2.13.

1999-12-06  Larry Jones  <larry.jones@sdrc.com>

	* INSTALL (Tested platforms): Update info.

1999-11-04  Jim Kingdon  <http://developer.redhat.com/>

	* README (Installation): Yet another prep.ai.mit.edu -> gnu.org
	change (can't believe we still haven't gotten them all).

1999-11-04  Karl Fogel  <kfogel@red-bean.com>

	* NEWS: added item about anon cvs no longer needing password.

1999-10-28  Larry Jones  <larry.jones@sdrc.com>

	* TESTS: Add note about not running as root.  Remove note about
	Solaris sort since sanity.sh was changed to avoid the problem.

1999-07-12  Larry Jones  <larry.jones@sdrc.com>

	* TESTS: Remove suspicion that setting LC_COLLATE has fixed the
	problem with Solaris sort -- people are still reporting it.

1999-05-17  Jim Kingdon  <http://www.cyclic.com>

	(These changes were run by devel-cvs; feedback was "They look fine"
	from Jim Meyering and "I concur" from Noel Cragg).
	* HACKING (Submitting patches): Rewrite parts to try to sketch out
	a process which is less centralized and hopefully describes the
	status quo better (for example, I've mostly removed the word
	"submit" because it describes a process of sending your patch to a
	central authority rather than to whoever wants it).  Update to
	reflect some of the current practices/thinking regarding quality
	and other matters.  Try to be more concise where feasible.

1999-05-13  Jim Kingdon  <http://www.cyclic.com>

	* BUGS: Remove item about RELATIVE_REPOS not working with
	client/server CVS; it must have been fixed because the testsuite
	is working fine with RELATIVE_REPOS.

1999-05-07  Jim Kingdon  <http://www.cyclic.com>

	* TESTS: Add note about send-expect style interaction.

1999-04-26  Jim Kingdon

	* cvsnt.mak: Revert to the version before today's changes
	(modulo one "because the IDE feels like it" change).  I
	couldn't get O'Connor's cvsnt.mak to work with MSVC 4.0 at
	all (I tried the IDE, which tried to wrap the makefile and
	wouldn't build even with the wrap, and the command line NMAKE).
	* .cvsignore: Add back cvsnt.mdp WinDebug WinRel, accordingly.

1999-04-26  Jim Kingdon  <http://www.cyclic.com>

	* Makefile.in (DISTFILES): Add cvsnt.dsw.

1999-04-26 (submitted 1999-03-24) John O'Connor  <john@shore.net>

	* cvsnt.dsw: new file.  The workspace file used by MSVC 5+ to
	manage multiple projects.  It contains three projects: cvsnt,
	zlib and diff.

	* cvsnt.dsp: Fixed problem where CVS wouldn't build because of
	file name conflicts.  Removed all the files from zlib and diff
	directories and moved to separate project files.

	* cvsnt.mak: Re-generated due to the changes in cvsnt.dsp.

	* .cvsignore: Removed un-used entries related to MSVC.  Added
	entries	to cover all files generated by the NT build: *.ncb,
	*.opt, *.plg, Debug and Release.

1999-04-09  Jim Kingdon  <http://www.cyclic.com>

	* HACKING: Add a sentence about sending patches somewhere other
	than bug-cvs, while still granting permission for people to use
	them under the GPL.

1999-04-08  Jim Kingdon  <http://www.cyclic.com>

	* configure.in (AC_OUTPUT): Remove macintosh/Makefile (overlooked
	in change of 1999-02-26; thanks to Erik Bertelsen for reporting it).
	* configure: Regenerated.

1999-02-26  Jim Kingdon  <http://www.cyclic.com>

	* macintosh: Remove this subdirectory and all its contents.  It
	contained MacCVS 2.x, but pretty much everyone has moved on to
	MacCVS 3.x, MacCVS Pro, or MacCVSClient.
	* Makefile.in (SUBDIRS): Remove macintosh.

1999-02-25  Mehul N. Sanghvi (and Jim Kingdon)

	* INSTALL: Add MkLinux on PowerPC.

1999-02-18  Jim Kingdon

	* cvsnt.mak: Remove vasprintf.  Plus of course the usual
	"because the IDE feels like it" changes.

1999-02-09  Jim Kingdon  <http://www.cyclic.com>

	* configure.in (AC_REPLACE_FUNCS): Remove vasprintf; see
	lib/ChangeLog for rationale.
	* configure: Regenerated.

1999-01-31  Assar Westerlund of sics.se
	    and Jim Kingdon

	* configure.in: The GSSAPI code in CVS requires krb5.h which
	Solaris 2.7 doesn't have.  Check for it.
	* configure: Regenerated.

1999-01-12  Jim Kingdon  <http://www.cyclic.com>

	* COPYING, COPYING.LIB: Remove obsolete snail address of the Free
	Software Foundation.

1998-12-01  Jim Kingdon

	* TODO (195): Check in a few clarifications from Andrew Tridgell,
	the rsync author.

1998-11-11  Jim Kingdon

	* HACKING: Change prep.ai.mit.edu to gnu.org.

1998-10-26  Jim Kingdon

	* INSTALL: Add information for Sequent DYNIX/ptx4.0, from a report
	by Marco Franzen.

1998-10-14  Jim Kingdon

	* configure.in (AC_OUTPUT): Remove contrib/elib/Makefile.
	* configure: Regenerated using autoconf 2.10.

1998-10-13  Jim Kingdon

	* TODO (149): Update since -d doesn't rewrite CVS/Root any more.

1998-10-03  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO (31): Mention the ,foo.c, and SIGINT issue.

1998-09-25  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Update from FAQ-O-Matic.  This features fewer blank lines
	and a few more minor formatting changes (not sure whether the
	FAQ-O-Matic changed or whether this is because I upgraded Lynx).
	I read through the diffs, and the real changes are: (A) In
	/Advanced_Topics_/Setting_up_and_Manag/, #1, describe "cvs init",
	don't describe committing modules file twice
	(no longer needed now that mkmodules is not a separate program),
	don't mention "cvs import" here. (B)
	/Advanced_Topics_/Setting_up_and_Manag/, #5, describe special
	issues with pserver and repository permissions,
	(C), /Advanced_Topics_/Tricks_of_the_Trade/, renumber the question
	"Why do timestamps sometimes get set to the date of the revision"
	from #17 to #9.  Renumber the questions between #9 and #17
	accordingly, (D) /User_Tasks_/Less_Common_User_Tas/, "8. How do I
	split a file into pieces, retaining revision histories?", include
	a script which may help with this, (E)
	/What_is_CVS_/How_does_CVS_differ_/, correct the name of SABLIME,
	(F) /What_is_CVS_/Where_do_I_find_CVS_/, "2. Is there an archive
	of CVS material?", note that http://www.delos.com/cvs doesn't
	exist any more.

	* NEWS: Mention :fork:.

1998-09-24  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL (Tested platforms): Update SCO OpenServer information,
	from a report by Robert Lipe@DIGI.

1998-09-22  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Add items about multiple roots and -d not updating
	CVS/Root.

1998-09-09  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_OUTPUT): Remove tools/pcl-cvs/Makefile.
	* configure: Regenerated using autoconf 2.10.

1998-09-07  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Add item about LockDir.

1998-08-31  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL (Tested platforms): Add Solaris x86 (reported by Jeremy of
	exit109.com) and Irix 6.4 (reported by Russ Allbery).

	* INSTALL (Tested platforms): Add Solaris 2.6 (reported by Russ
	Allbery).

1998-08-28  Noel Cragg  <noel@swish.red-bean.com>

	* TODO (196): new item.

1998-08-26  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Update comments concerning Solaris sort and LC_COLLATE.

1998-08-17  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update Irix, Ultrix, and NetBSD/Alpha with test results
	from Noel.

1998-08-14  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Add NetBSD/mac68k (reported by Hauke Fath of melog.de).
	Add alpha-dec-osf4.0 and update SunOS and linux entries (reported
	by Jim Kingdon and Noel Cragg).

1998-08-06  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update for SCO OpenServer 5 (reported by Jeffery
	Cann).

1998-08-01  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Add Unixware 7 (reported by Phillip Porch).

1998-07-29  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsnt.mak: For rcscmds.c, also include files from the diff
	directory.  Plus of course the usual voluminous "because Visual
	C++ 4.0 feels like it" changes.

Tue Jul 28 22:16:48 1998  Noel Cragg  <noel@swish.red-bean.com>

	* Makefile.in (dist): unset the GZIP shell variable before calling
 	gzip to avoid invocation problems.

Sun Jul 26 16:22:21 1998  Noel Cragg  <noel@swish.red-bean.com>

	* NEWS: add info about TopLevelAdmin.

1998-07-20  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update entries for HPUX and AIX (based on a submission
	from Andreas Ley).

1998-06-25  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.VMS: We generally don't need GNU patch any more.

1998-06-03  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Don't mention the version of Solaris; Mark Borges says
	that it applies to Solaris 2.5 as well as 2.6.

1998-06-02  Assar Westerlund  <assar@sics.se>

	* configure.in: Test for GSS_C_NT_HOSTBASED_SERVICE in gssapi.h.
	* acconfig.h: Add undef for HAVE_GSS_C_NT_HOSTBASED_SERVICE.
	* configure, config.h.in: Rebuild.

1998-06-01  Assar Westerlund  <assar@sics.se>
	and Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Check for GSSAPI headers individually.  Use a
	different set of GSSPI libraries if gssapi.h rather than
	gssapi/gssapi.h is found.  Adds Heimdal support.
	* configure, config.h.in: Rebuild.

1998-05-25  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.spec (%description): Rewrite to be slightly more verbose
	about the basic features.  Don't try to mention what CVS lacks.

1998-05-23  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Remove items about binary file bugs which were fixed
	approximately 6 months ago.

1998-04-28  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Add note about Solaris sort program (reported by Mark
	D. Baushke).

1998-03-16  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Simplify test for shadow password support since
	the code now handles the case where shadow passwords are supported
	but are not in use.
	* configure: Regenerated.

1998-03-07  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Remove note about SGI's XFS.  Someone reports that it
	works (I would assume due to the 13 Feb 1998, and earlier, changes
	to sanity.sh).

	* NEWS: Add item about PreservePermissions.  Fix unclear wording
	in gserver item.

1998-03-04  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* acconfig.h, configure.in: Add PRESERVE_PERMISSIONS_SUPPORT and
	always define it.
	* configure, config.h.in: Regenerated.

Tue Feb 17 18:32:36 1998  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Add memmove back to AC_REPLACE_FUNCS list.
	* configure: Rebuild.

1998-02-16  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO (190): Remove "failed to check out" from commit.c from
	lists of error messages suppressed by -q; it no longer is.

4 Feb 1998  Jim Kingdon

	* cvsnt.mak: The usual "because Visual C++ feels like it"
	changes.  These ones seem to have to do with reordering
	files and release versus debug configurations, mainly.

Fri Jan 30 10:37:40 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update which version of CVS was tested with EMX.

15 Jan 1998  W. L. Estes  <wlestes@hamlet.uncg.edu>
	and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.spec, Makefile.in: Fix some problems with the spec file
	distributed with cvs.  RPM chokes on a build root of slash, so
	that is gone now.  CVS is relocatable (as far as I know) so I
	added a prefix tag.  The source location was incorrect and in
	fixing that I had to add a `g' flag to one of the sed commands in
	the Makefile.in so the spec file gets generated correctly.

13 Jan 1998  Jim Kingdon

	* cvsnt.mak: Add lib/fncase.c.  Plus of course the usual
	"because Visual C++ feels like it" changes.

Tue Jan 13 16:49:38 1998  Ian Lance Taylor  <ian@cygnus.com>

	* acconfig.h (USE_SETMODE_STDOUT): Add undef line.
	(HAVE_SETMODE): Likewise.
	* configure.in: If cygwin32, define USE_SETMODE_STDOUT and
	HAVE_SETMODE.
	* configure, config.h.in: Regenerate.

	* acconfig.h (UTIME_EXPECTS_WRITABLE): Add undef line.
	* configure.in: If cygwin32, define UTIME_EXPECTS_WRITABLE.
	* configure, config.h.in: Regenerate.

	* configure.in: Add test for cygwin32, and set LIBOBJS and LIBS
	accordingly.
	* configure: Regenerate.

Sun Jan 11 11:43:55 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Add example of indentation for switch statement.  I
	always have to look this one up, and it seems worthwhile to
	specify it here rather than be unsure which switch statement in
	CVS to use as an example.

Wed Jan  7 09:41:08 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Revise item 149 (concerning changing CVS/Root and such).
	"This whole area is a rather bad pile of individual decisions which
	accumulated over time, some of them probably bad decisions with
	hindsight."

Wed Dec 31 09:25:20 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Re-import from FAQ-O-Matic.  Features a change regarding
	removing directories.

Tue Dec 23 08:28:44 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.VMS, INSTALL, HACKING, BUGS, README: Change bug-cvs
	address from prep.ai.mit.edu to gnu.org per email from Martin
	Hamilton.  When referring to bug-reporting procedure refer to
	Cederqvist not README.

Tue Dec 16 13:13:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Re-import from FAQ-O-Matic.  The content is the same, but
	instead of being from Mosaic, it is from "lynx -dump -nolist".
 	This output is somewhat better (for example, it is formatted for
	80 columns or so, rather than Mosaic which is rather
	inconsistent), and also lynx is free and still maintained whereas
	NCSA Mosaic is proprietary and no longer maintained.

	* FAQ: Re-import from FAQ-O-Matic.  Features an update to the
	Sablime question.

	* NEWS: Add item about GSSAPI.

Fri Dec 12 14:00:57 1997  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Add --with-gssapi option, and look for gssapi.h
	and GSSAPI Kerberos v5 libraries.
	* acconfig.h: Add HAVE_GSSAPI.
	* configure, config.h.in: Regenerate.

Thu Dec 11 15:58:06 1997  Eric Mumpower  <nocturne@cygnus.com>

	* configure.in: Let --with-krb4 override the system Kerberos
	header files and libraries, if any.
	* configure: Regenerate.

Thu Dec  4 20:01:02 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_CHECK_FUNCS): Remove mempcpy per change to
	src/rcs.c.
	* configure: Regenerated (never was regenerated after getwd change).

1997-12-04  Jim Meyering  <meyering@na-net.ornl.gov>

	* configure.in (AC_CHECK_FUNCS): Add mempcpy.

Thu Dec  4 10:42:32 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Update for kfogel .cvswrappers fix.

Tue Dec  2 22:14:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* MINOR-BUGS: Update per info-cvs mail from Steve Cameron.

1997-11-29  Jim Kingdon

	* cvsnt.mak: Remove lib/getwd.c (see lib/ChangeLog for rationale).

	* cvsnt.mak: The usual "because Developer Studio feels like
	it" changes.

Sat Nov 29 22:10:32 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_REPLACE_FUNCS): Remove getwd (see lib/ChangeLog
	for rationale).

Mon Nov 24 10:36:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update QNX information per email from Michael Hunter of
	QNX.

Wed Nov 19 17:44:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Add Sequent entry per bug-cvs report.

1997-11-17  Karl Fogel  <kfogel@floss.red-bean.com>

	* BUGS: Remove item about exporting binary files to non-unix
	clients; this is fixed.

Mon Nov 17 09:07:44 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add yet another binary files problem.

1997-11-14  Karl Fogel  <kfogel@floss.red-bean.com>

	* cvsnt.mak: updated for diff/ subdir.

Fri Nov 14 12:25:10 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Remove item about dying gasps message.  At least one known
	cause has been fixed.

Wed Nov 12 20:24:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Re-import from FAQ-O-Matic.  Features a wording fix to
	"What do I do first? How do I create a Repository?" and a
	formatting fix (makes it clear which bullets are under what)
	to "What is a module?"

	* NEWS: Add item about RCS library.  Remove item about RCSBIN in
	CVSROOT/config.
	* INSTALL: Simplify instructions to reflect the fact that one need
	not any longer install RCS and GNU diff.
	* PROJECTS: Remove item about RCS library; it is done.

Mon, 10 Nov 1997  Jim Kingdon

	* cvsnt.dsp: For diff/diff.c, also look for include files in
	diff directory.  This means we get diff/system.h not lib/system.h.

Sun Nov  9 16:16:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO (#195): New item, about rsync and such issues.

Thu Nov  6 14:29:14 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO (#194): New item, about separated metadata.

	* TODO (#186): Rewrite paragraph on CVSclusters to be clearer
	about what this can do and why I think it is a cool idea.

Sun Nov  2 19:34:30 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* DEVEL-CVS: Wording fix: want to specify that new developers are
	granted checkin access and the ability to send to devel-cvs, not
	specify whether this is implemented via an "account" (whatever
	that is) (editorial change, not run by devel-cvs).

Fri Oct 31 16:30:57 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention admin -o rev1::rev2.

Wed Oct 29 08:40:05 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Add item 193, about alternatives to timestamps in CVS/Entries.

Tue Oct 28 19:59:48 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO (190): "rcs failed" message is no longer affected by global
	-q option.

1997-10-28  Jim Kingdon

	* .cvsignore: Add Visual C++ files du jour, namely
	{diff,vc50}.{pdb,idb,pch}.

	* cvsnt.dsp: Add files for diff library.  The custom build
	stuff for diff/version.c and diff/diff.c was to deal with
	there also being a src/version.c and src/diff.c.  There
	might be an easier way.

Mon Oct 27 11:21:15 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Re-import from FAQ-O-Matic.  Features an edit from Larry
	Jones regarding CVS on Windows.

Mon Oct 20 15:23:17 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add item about spaces in login names.

Mon Oct 20 10:25:42 1997  Hannes R. Boehm  <hannes@boehm.org>

	* INSTALL (Tested platforms): Add Red Hat Linux 4.2.

Wed Oct 15 10:55:20 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO (#192): Also mention issue with opening connections to new
	servers if CVSROOT changes.

	* TODO (#191): Add thoughts on external difference programs.

1997-10-11  Noel Cragg  <noel@swish.red-bean.com>

	* BUGS: remove note about the `-d' flag bug that was just fixed.

	* TODO: new item 192.

Thu Oct  9 12:59:28 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Revise item #182 to be clearer and to point to the
	unofficial patch.

Thu Sep 25 14:48:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* build.com: Also recurse into diff directory.

Wed Sep 24 10:35:50 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Don't check for system-supplied regex matcher; see
	comment for rationale.
	* configure: Regenerated.

Tue Sep 23 16:00:25 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add item about cvs add and -k wrappers.

Mon Sep 22 11:21:11 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Revise item #191 in response to xdelta 1.10 release and a
	few other random thoughts.

Sun Sep 21 17:56:28 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Instead of checking for memchr, just define
	HAVE_MEMCHR and HAVE_STRCHR.
	Add comment about AC_FUNC_VFORK and vfork in general.
	* acconfig.h: Add HAVE_MEMCHR and HAVE_STRCHR.
	* configure, config.h.in: Regenerated.

	* config.h.in: Regenerate using autoheader from autoconf 2.10.

Sat Sep 20 01:17:10 1997  Tim Pierce  <twp@twp.tezcat.com>

	[notes: (1) includes the patches to config.h.in which he sent
	(presumably generated), (2) I have omitted a change, which was
	sent without a ChangeLog entry, to change re_exec to
	re_compile_pattern in configure.in, (3) Also adds diff/Makefile in
	AC_OUTPUT -kingdon]

	* Makefile.in (USOURCE_SUBDIRS, check, remotecheck, installcheck):
	Add diff.

	Note that AC_CHECK_FUNCS(vfork)
	has been replaced by AC_FUNC_VFORK... libdiff wants the more
	specific test, and it seems unlikely to break CVS.

	* configure.in: Add AC_FUNC_CLOSEDIR_VOID, AC_FUNC_VFORK,
	AC_STRUCT_ST_BLKSIZE.
	(AC_CHECK_HEADERS): Add limits.h and sys/file.h.
	(AC_REPLACE_FUNCS): Add memchr.
	(AC_CHECK_FUNCS): Remove vfork.

Fri Sep 19 09:59:33 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Add item #191, concerning how to store binary files.

Wed Sep 17 16:13:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Add ideas about ability to pass spaces in arguments, and
	stdin, to the program under test, as something to consider for the
	different test frameworks.

Tue Sep 16 00:14:55 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add item about importing binary files.

	* TODO: Adjust item #150 to reflect the fact that the client is
	not quite so mean about tossing the log message as it was.

Fri Sep 12 13:04:31 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update Windows entries per email from Greg Strockbine
	<gstrock@dpc.com>.

Thu Sep 11 15:03:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: New item #190, about meaning of -q and -Q global options.

Wed Sep 10 18:48:41 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: A few more thoughts on "cvs message" (item 150).

Tue Sep  9 22:20:15 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.VMS (Notes regarding compiling on VAX/VMS): Add item
	about mode_t and pid_t.

Sun Sep  7 17:34:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Re-import from FAQ-O-Matic.  The metavariables are back.

	* FAQ: Re-import from FAQ-O-Matic.  Features comment from
	julian@whistle about update -r branch:date.  It also clobbered the
	metavariables (confusion about "<" as data vs. HTML tag I would
	guess), which I plan on fixing in a moment.

	* configure.in: Add comment about re_exec and regexp syntax.

	* configure.in (AC_REPLACE_FUNCS): Remove strdup; CVS was long
	ago converted to use its own routine xstrdup.
	* configure: Regenerated.

Sat Sep  6 00:08:20 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Re-import from FAQ-O-Matic.  In particular: GIC info
	updated, binary files updated (e.g. -kb not -ko), rename database
	and rCVS info updated (refer to TODO), tweaks to section on
	contributing (HACKING, DEVEL-CVS, &c), Cyclic info updated
	(e.g. remove Indiana address), usenet info updated
	(e.g. comp.software.config-mgmt not gnu.*).

Fri Sep  5 20:46:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: Add another introductory paragraph which talks about out of
	date material from 1995 FAQ.

	* FAQ: Re-import from FAQ-O-Matic.  This was mainly as a proof of
	concept that I could edit the Cygnus question and have the diffs
	come out looking right (which worked), but I also discovered that
	the previous checkin was truncated partway through.

	* FAQ: Replace file with an introductory paragraph plus a
	downloaded copy of Molli's FAQ-O-Matic.  I believe the content
	closely matches the 1995 Grubbs FAQ but because everything is
	re-ordered it would be painstaking work to verify this.

Thu Sep  4 17:33:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add item about -w global option and client/server.

Wed Sep  3 23:03:34 1997  Noel Cragg  <noel@harvey.cyclic.com>

	* TODO: Verbosify verbiage in item #189.

Wed Sep  3 14:14:54 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Add item #189, concerning renames.

Sat Aug 30 03:26:57 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Fix typo in Noel's change.

Sat Aug 30 03:17:36 1997  Noel Cragg  <noel@harvey.cyclic.com>

	* TODO: Add a header so emacs chooses the correct editing mode.
  	Made several entries more verbose (expanded some of the less
 	well-known acronyms and/or added pointers to further
 	documentation).

Wed Aug 20 09:51:52 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Remove "SparcClassing" typo that has been there for
	a while.

Wed Aug 20 09:51:52 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>
			  and Loren James Rittle <rittle@comm.mot.com>

	* INSTALL: Update information for SunOS4, Solaris, Digital Unix,
	and HPUX.

Fri Aug 15 16:42:12 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Remove the "CVS 1.6" crud; it really isn't needed.  Add
	paragraph about the meaning of the last three arguments to cvs
	import.

Thu Aug 14 14:42:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>
			  and Loren James Rittle <rittle@comm.mot.com>

	* INSTALL: Update information for SunOS4 and Solaris.

Mon Aug  4 00:02:24 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Be specific about wrappers not working client/server.

Sat Aug  2 09:23:50 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: In step 4, be more generic (the CVS sources are just an
	example, and people might not have them handy).

Fri Jul 25 17:02:30 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Refer to cvs.texinfo as the Cederqvist manual; that
	seems to be the description which best applies no matter how it
	was obtained.  Be a little more explicit about the "$" prompt
	convention and setting environment variables.  Use double quotes
	because they work on both DOS and Unix.

Thu Jul 24 12:22:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Also mention SystemAuth.

	* INSTALL (MIPS): Add more detailed report concerning Irix 6.2,
	as reported by larry.jones@sdrc.com (Larry Jones).

Tue Jul 22 17:35:31 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL (PowerPC): Add item for Lynx 2.5.

21 Jul 1997  Jim Kingdon

	* Makefile.in (DISTFILES): Add cvsnt.dsp.

Mon Jul 21 09:40:10 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Adjust comment regarding version of autoconf which
	introduced --bindir.

Fri Jul 18 09:47:12 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Remove item 161 (the comments in cvs.texinfo have a much
	more complete discussion of date format issues).  In item 30,
	change "patch" to "rdiff" and expand discussion slightly.  Remove
	item 64 (the performance issues in initial checkout have probably
	changed quite a bit since that was written and in any event it
	isn't particularly useful without specifics of what is slow and
	ideas for speeding it up).

	* INSTALL: Reorganize to separate out building/installing CVS
	executables from what to do once you have them.  Adjust Visual C++
	instructions to deal with Visual C++ 5.x.  Add brief mentions of
	platforms other than unix and Windows.

Thu Jul 17 21:13:16 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: In item 39, talk about how PRCS 1.2 as a possible model.

Sat Jul 12 15:43:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Rewrite paragraph on arbitrary limits to reflect the
	fact that the known arbitrary limits are gone.

8 Jul 1997  Jim Kingdon

	* cvsnt.dsp: Turn on browse information.

Thu Jul  3 10:07:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Sending exact suggested text is almost as good as a diff.

	* INSTALL (i386 family): Add lines about Watcom and EMX on OS/2.

	* TODO: Add notes about popt and option parsing in general.

Wed Jul  2 13:11:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Update item 149 to reflect CVS/Root.

	* TODO: Add item 187, about usage errors vs. help messages.

Mon Jun 23 18:24:13 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Adjust mention of read-only access in the light of
	changes to cvs.texinfo.

	* TODO: Add item 186, concerning multisite.

Sun, 22 Jun 1997  Jim Kingdon

	* cvsnt.dsp: New file.  This apparently is what Visual C++ 5.0
	uses in lieu of a .mak file (or so it seems).
	* .cvsignore: Add cvsnt.opt cvsnt.dsw cvsnt.plg.  These seem to
	be the generated files du jour for Visual C++ 5.0.

Thu Jun 19 17:16:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Add item about CVSROOT/config.

Wed Jun 18 00:00:02 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention pserver --allow-root.

Mon Jun 16 19:07:34 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (SUBDIRS): Add emx.
	* configure.in (AC_OUTPUT): Add emx.
	* configure: Regenerated.

Sun Jun  8 23:44:00 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_CHECK_FUNCS): Remove mkfifo; not used anywhere.
	* configure, config.h.in: Regenerated.

Thu May 29 15:53:06 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* DEVEL-CVS: Add "Policy regarding checkout-only access" to
	replace parenthetical remark about checkout-only access.  This is
	more of a cosmetic/editorial change than a new policy.

Wed May 21 17:02:29 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add item about wrappers.

Fri May 16 13:43:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add item about "cvs export" and binary files.

Sun May 11 11:38:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.VMS: Remove information about "direct TCP".  Noone has
	been complaining about it being broken (the code bitrotted not long
	after it was written), nor has anyone complained
	that contrib/listener.c was omitted from the distribution (because
	it wasn't mentioned in contrib/Makefile.in DISTFILES).  If there
	is a desire to resurrect such a feature, it should use port 2401
	as now discussed in doc/cvsclient.texi.

Thu May  8 12:14:40 1997  Larry Jones  <larry.jones@sdrc.com>
	and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update MIPS/SGI Irix 6.2
	* TESTS: Add note about TESTDIR and SGI Irix 6's XFS.

Wed May  7 12:01:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Fix keywords accidentally expanded in previous checkin.

	* TODO: Add item #185, concerning keyword expansion and merges.

Sun May  4 19:46:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Replace section on reporting bugs with a reference to
	the bug-reporting section in cvs.texinfo.

Fri May  2 22:50:04 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Remove item about importing binary files; the bug is fixed.

Sun Apr 27 19:54:34 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Refer to doc/DIFFUTILS-2.7-BUG.

	* INSTALL: Don't mention GREP; CVS no longer uses it.

	* configure.in: Add comment about --bindir.

Thu Apr 24 15:21:17 1997  Norbert Kiesel  <nk@cosa.de>

	* configure.in (AC_CHECK_FUNCS): added tempnam and mktemp
	* config.h.in, configure: Regenerated with autoconf 2.10.

21 Apr 1997  Jim Kingdon

	* cvsnt.mak: Visual C++, as usual, wants to fiddle with this.
	This time it would appear to be chiefly the dependencies.

Mon Apr 21 01:06:31 1997  Ian Lance Taylor  <ian@cygnus.com>

	* NEWS: Document that the client no longer needs an external patch
	program.

Thu Apr 17 14:28:20 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Combine items 150 and 181 since they are basically the same.

Tue Apr 15 12:32:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* FAQ: The URL of yahoo's Configuration Management category has
	changed.  As it might change again, just cite their top-level page
	rather than the entire URL.

8 Apr 1997  Jim Kingdon

	* cvsnt.mak: Add windows-NT/sockerror.c.

Wed Mar 26 15:51:33 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Further note on import -kb bug.

Tue Mar 25 17:51:32 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs-format.el: Add comment concerning c-label-offset.

Wed Mar 19 14:06:40 1997  Jim Meyering  <meyering@totoro.cyclic.com>

	* configure.in (test for shadow passwords): Use AC_MSG_RESULT
 	rather than echo, so configure obeys --quiet.
	Use yes and no in message rather than yup and nope.

19 Mar 1997  Jim Kingdon

	* cvsnt.mak: Now Visual C++ wants to add a bunch of dependencies
	for the Release configuration as well as the Debug one.  Why it
	didn't do this before, I have no idea.

13 Mar 1997  Jim Kingdon

	* cvsnt.mak: Recent changes have added a number of getline.h
	dependencies.

Thu Mar 13 08:43:04 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_C_CROSS): Add comment about obsolescence
	thereof.
	* config.h.in, configure: Regenerated with autoconf 2.10.

Thu Mar 13 05:50:29 1997  Philippe De Muyter  <phdm@info.ucl.ac.be>

	Here are the fixes I needed to make to cvs-1.9 to get it to
	compile and successfully pass 'make check' on m68k-motorola-sysv.
	* lib/getwd.c (getwd): Added declaration for getcwd().
	* lib/wait.h (WIFSTOPPED et al.): Macro defined if not defined.
	* lib/waitpid.c (waitpid): Use wait, not wait3, if !HAVE_WAIT3.
	* src/admin.c (admin): Added declaration for getgrnam().
	* src/server.c (fcntl.h): Do not include file twice.  Already included
	from system.h from cvs.h.
	* src/sanity.sh (imported-f*): Renamed from imported-file*, that were
	too long for sysv.
	* configure.in (wait3): Added to AC_CHECK_FUNCS list.

Wed Mar 12 14:32:50 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add "failed assertion `rev == NULL || isdigit (*rev)'" bug.

	* TODO: Remove item 135; this is solved by %v and %V in loginfo.

	* configure.in (AC_CHECK_FUNCS): Don't check for setvbuf;
	HAVE_SETVBUF is no longer used.
	* config.h, configure: Regenerated with autoconf 2.10.

	* TODO: Add item 184, concerning MD5-based password hash.
	Remove item 14, concerning "pathname stripper".  I think that was
	a reference to the late unlamented strip_path.

Sat Mar  8 21:22:54 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: NT 4.0 is client and local (like other NT 3.51 & Win95).

Fri Mar  7 16:51:13 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Just talked to a NT 4.0 user; add it to the list.

Sun Mar  2 22:01:23 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Add item about "cvs admin" vs. "cvs admin .".

	* TODO: Remove item #169.  It doesn't really explain what an
	"archive library" is or in general what the feature they discuss is
	supposed to do--I mean, CVS _can_ be used to store .o's, if
	that is what they are talking about.

	* TODO: Add item #183, about greater documentation/visiblity for
	Entries.Static and CVS/Tag.

	* INSTALL (footnote 5): Add note about how /usr/tmp vs. /var/tmp
	shouldn't be an issue anymore

Thu Feb 20 13:53:19 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Update Cray entry per mail from John Bowman
	<bowman@ipp-garching.mpg.de>

	* configure.in: Add comments about autoconf version.

Mon Feb 17 09:55:35 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure: Regenerated.

Sat Feb 15 15:37:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_OUTPUT): Add windows-NT/SCC/Makefile.

Sun Dec 15 13:12:30 1996  Michael Douglass <mikedoug@texas.net>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention "cvs logout".

1997-02-12  Jim Kingdon

	* cvsnt.mak: Visual C++ seems to want to make some cosmetic
	changes (reordering *.obj files), perhaps prodded by "Save
	All".  I hope that putting in these changes will make it
	happy...

1997-02-11  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Replace with version from Visual C++ 4.0.  If someone
	wants the 2.x one back, I suppose we can put them side by side,
	but I won't be able to update the 2.x one any more as I won't be
	having access to 2.x.

Tue Feb 11 16:43:43 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* .cvsignore: Add cvsnt.mdp and cvsnt.ncb.  They seem to be files
	created by Visual C++ 4.x which were not created by Visual C++ 2.x.

Tue Feb  4 11:42:30 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: OS/2 port is client only.

	* Rename devel-cvs (which had only been in the repository, not the
	distribution) to DEVEL-CVS.  Add "Charter for the devel-cvs
	mailing list:" heading, "CVS Development Policies" title, and
	one-sentence introduction (editorial changes, not run by
	devel-cvs).  Revise paragraph concerning membership in the list to
	reflect policy change to make read-only membership different from
	the ability to send to the list (the new wording was approved by
	devel-cvs, as was the rename and including it in the
	distribution).
	* Makefile.in (DISTFILES): Add DEVEL-CVS.
	* HACKING: Add "Mailing lists" section.

Tue Jan 28 10:41:05 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Remove AC_CHECK_SIZEOF; no longer needed with
	lib/md5.c changes.
	* acconfig.h: Add HAVE_CONNECT.  This is needed so that autoheader
	2.10 works; I think this has been broken since 2 Dec 1996.
	* config.h.in: Regenerated with autoheader 2.10.
	* configure: Regenerated with autoconf 2.10.

	* HACKING: Revise criterion for whether something goes in NEWS
	again (now "user-visible change worth mentioning"--the language
	from the GNU coding standards).

Mon Jan 27 23:05:24 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Criterion for whether something goes in NEWS is not
	whether it is user-visible; it is whether it is a bugfix or a
	feature.

Tue Jan 21 10:21:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Warn people against pre-5.x RCS; describe how to find
	out what version of RCS you have.

Wed Jan  8 14:50:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in, NEWS, README, TODO, configure.in: Remove CVSid; we
	decided to get rid of these some time ago.

Wed Jan  8 00:17:13 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README (Credits): Refer to NEWS not ChangeLog; the ChangeLog in
	question got renamed a bit but ended up as the bottom of the NEWS
	file.  Eliminate use of first person in a few places where it is
	unclear who it refers to.  Explicitly say that the lists
	of contributors are not comprehensive.

Thu Jan  2 12:59:45 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README, Makefile.in: Remove paragraph about writing to the Free
	Software Foundation at 675 Massachusetts Avenue.  (1) They are no
	longer at that address; (2) the Free Software Foundation are not
	the ones to write to concerning CVS licensing.  bug-cvs would be a
	more appropriate choice; (3) there is probably little need for
	this paragraph anyway.

Thu Jan  2 09:46:37 1997  Karl Fogel  <kfogel@ynu38.ynu.edu.cn>

        * NEWS: mention read-only repository access feature.

Wed Jan  1 18:47:08 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.spec: Don't include ChangeLog and ChangeLog.zoo in %doc.
	There is no point in including them without src/ChangeLog,
	src/ChangeLog-96, etc., but more to the point they really belong
	in the source distribution rather than a binary distribution anyway.

Mon Dec 30 16:55:54 1996  Abe Feldman  <feldman@harvey.cyclic.com>

	* NEWS: Add entry for changes to checkout command (creating CVS
	directory at top of working directory)

Tue Dec 17 13:13:30 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Add entry for verifymsg.

Tue Dec 10 19:22:20 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs-format.el: Revise comments to explain how to use it and
	general minor tidying of comments.

Mon Dec  2 13:05:44 1996  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Don't call AC_CHECK_FUNCS(connect) a second time,
	because the value will have been cached; instead, check whether
	the library was found with connect defined.
	* configure: Rebuild with autoconf 2.12.

Sat Nov 30 23:04:52 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add note about mysterious failure in test 187a3.

Fri Nov 29 10:19:50 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_CHECK_FUNCS): Also check for readlink.
	* config.h.in: Regenerated using autoheader 2.10.

Fri Nov 22 16:30:27 1996  Brendan Kehoe  <brendan@cygnus.com>

	* configure.in: Check for -lsocket, etc., before checking for
	Kerberos libraries.
	* configure: Rebuild.

1996-11-19  Jim Kingdon

	* cvsnt.mak: Remove strippath.c.

Sun Nov  3 21:54:18 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Move detailed information on compatibility to
	the manual; simply point to it here.

Thu Oct 31 07:20:45 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add note about cvs import of binary files on non-unix.

Tue Oct 29 13:59:14 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Add note about "dying gasps" message.

Sat Oct 26 16:17:09 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* configure.in (AC_CHECK_FUNCS): Check for tzset.

Fri Oct 25 10:27:08 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention new loginfo features.

Thu Oct 24 08:21:48 1996  Lars.Henriksen@netman.dk

	* INSTALL: Update to "DEC Alpha running OSF/1 version 3.2 (1.9)"

Tue Oct 22 10:34:21 1996  Noel Cragg  <noel@gargle.rain.org>

	* configure.in: don't check for the existence of the /etc/security
 	directory, because it's possible to have PAM installed without
 	using shadow passwords.
	* configure: regenerated.

Sat Oct 19 18:34:29 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Say that the remote protocol is not interoperable before
	CVS 1.5.

Sat Oct 19 13:06:53 1996  Mark H. Wilkinson  <mhw@minster.york.ac.uk>
			  and Jim Kingdon  <kingdon@cyclic.com>

	* configure.in, INSTALL: New options for configure to enable or
	disable client and server code, overriding configure's defaults.
	* confiugre: Regenerated.

Sat Oct 19 13:06:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Add note about what to do if you got a binary
	distribution of CVS.  Add VAX/VMS entry.

Thu Oct 17 15:38:03 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS, README: Reinstate 30 Sep 96 changes concerning US letter
	vs. A4 paper.

Wed Oct 16 16:59:57 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* configure.in: Simplify code to check for crypt.  Check for
	-lcrypt first, and then check for the crypt function.  The old
	code did slightly funky things with cache variables, which JimK's
	last change disturbed.  Let's just keep it simple.
	* configure: Rebuilt.

Wed Oct 16 15:01:59 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Don't call unset.  It isn't portable to Ultrix,
	but perhaps more to the point, seems like we should be using the
	cached values (there was no comment explaining why we should
	ignore the cached values, and none of the CVS developers were
	able to	provide an explanation when I asked).
	* configure: Regenerated.

	* NEWS: Add item regarding export and "cvs history".

Tue Oct 15 07:40:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Mention the fact that expr is only for the tests, not for
	CVS itself.  At least one person was unclear on this.

Mon Oct 14 12:13:03 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Add "Submitting patches (strategy)" section and
	sentence about test cases.  These changes have been run by
	devel-cvs and there was no objection.

Sat Oct 12 19:43:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.VMS: Add notes about some build problems on VAX/VMS.

Thu Oct 10 09:20:25 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Remove item about & in modules file and client/server; the
	bug is fixed.

	* README.VMS: Rewrite sections about wildcard expansion and
	calling editors to suggest technical approaches and to make it
	clear that fixes will only happen if someone gets around to them.

Sat Oct  5 15:01:22 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* Version 1.9 released.

Tue Oct  1 14:32:44 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS, README: Revert changes regarding -D, -g, and A4.  They
	are for new features which are not appropriate at this stage of
	the release process.

Mon Sep 30 14:51:36 1996  Greg A. Woods  <woods@most.weird.com>

	* INSTALL (sun3): 1.8.86+ builds and runs make check.

	* NEWS: describe -D and -g; DIFFBIN and GREPBIN

	* MINOR-BUGS: yet another couple of annoyances...

Mon Sep 30 08:33:51 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Mention "cvs add -m" client/server bug.

	* NEWS: Document change from A4 to US letter.  It may seem minor,
	but it affects a *lot* of people.

	* README: Revise discussion of US letter vs. A4 to reflect recent
	change to cvs.texinfo.

Sun Sep 29 16:32:47 1996  Greg A. Woods  <woods@most.weird.com>

	* MINOR-BUGS: describe a minor annoyance or two

	* BUGS: describe a couple of new bugs

Sun Sep 29 14:09:49 1996  Noel Cragg  <noel@gargle.rain.org>

	* configure.in: check for shadow password files as well as for
 	getspnam.  Some systems (like Linux) have getspnam in the C
 	library, but aren't necessarily using shadow passwords.
	* configure, config.h.in: Regenerate.

Fri Sep 27 16:49:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (TSUBDIRS): Remove comment about order of
	directories mattering.  That was only for an old set of hacks,
	since gone, which tried to combine several tag files into one
	(before emacs could use several tag files at once).

Wed Sep 25 10:35:06 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Add note about "cvs log -d" date formats changing.  See
	comment I added to cvs.texinfo for more whining about this situation.

	* BUGS: Remove item about ~/.cvsignore on NT; it is fixed.

Wed Sep 25 10:22:00 1996  Larry Jones  <larry.jones@sdrc.com>

	* configure.in: Add hack for ISC crypt (the version in the posix C
	library doesn't work -- why am I not surprised).  Add check for
	libsec.a for shadow password functions.

	* Makefile.in: Make zlib along with lib in the check targets.

Wed Sep 25 08:34:01 1996  Jim Blandy  <jimb@floss.cyclic.com>

	Fix from Mark A. Solinski <markso@mcs.com>:
	* cvsnt.mak: The debug configuration adds the zlib directory to
	the include path but it is missing from the release configuration.
	Add it to the "ADD CPP" and "CPP_PROJ" lines.

Tue Sep 24 11:32:20 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Add VMS entry.  Clarify what "tested" means.

	* README: Replace section about what CVS is with the blurb from
	cvs.spec (which is also the paragraph we use in the release
	announcements).
	Change location of pcl-cvs from contrib/pcl-cvs to tools/pcl-cvs.

	* BUGS: Remove item about version numbers; we now have version
	numbers.  Remove item about server using /usr/tmp; this has been
	changed.  Remove item about deadlocks between server and client
	and file contents being interpreted as commands; I believe this
	refers to the case which was fixed by Ian's 7 Aug 96 change to
	receive_partial_file.  Remove item about server temp directory
	becoming full; I'm not sure all bugs related to that have been
	fixed, but I think the ones mentioned have been.  Remove item
	about .# files; this is a documented behavior.  Refer to
	platform-specific documentation.  Add bug with & in modules file
	and client/server CVS.  Move bug about weird use of long file
	names to end; the bug report is so long people won't want to read
	past it.  Refer to README concerning reporting bugs.  Add
	introduction.  Reword some bug descriptions.  Add bug concerning
	~/.cvsignore on NT.
	* MINOR-BUGS: Add introduction.  Reword some bug descriptions.
	Remove item about "premature end of file"--we've improved that
	error message as much as we can figure out how.  Remove item about
	filenames getting truncated (with rcs2log?)--I think this is a fixed
	bug although I couldn't quickly find a ChangeLog entry for the fix.

Tue Sep 17 12:46:37 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* .cvsignore: Add cvs-*.spec.

Mon Sep 16 17:42:30 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: In 180, mention issue of network being down.  Add item
	182, about inclusiveness of "cvs log -r foo -r bar".

	* HACKING: Also mention arbitrary limits and reentrancy.
	User-visible changes should be documented in cvs.texinfo as well
	as NEWS.

Thu Sep 12 16:06:33 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.VMS: Put authorship info at end.  Add disclaimer.  Say
	that patch is mandatory not optional.  Don't mention gzip; we
	don't require it any more.  Remove section on filename case; the
	bugs described there are fixed.  Miscellaneous tweaks and updates.

Wed Sep 11 11:08:39 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* configure.in (AC_OUTPUT): Don't forget to create vms/Makefile.

Tue Sep 10 19:55:07 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (DISTFILES): Add build.com and README.VMS.
	(SUBDIRS): Add vms.
	* build.com: Also recurse into zlib directory.

	* NEWS: Mention Win95.

Fri Sep  6 11:43:26 1996  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Add AC_ARG_ENABLE for encryption.
	* acconfig.h: Add ENCRYPTION.
	* configure, config.h.in: Regenerate.
	* NEWS: Modify the entry on encryption to mention that you must
	configure with --enable-encryption.
	* INSTALL: Mention the --with-krb4 and --enable-encryption
	configure options.

Thu Sep  5 11:30:45 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Revise access method item to mention both :ext: and
	:server:.

	* README.VMS: Change bug reporting address to bug-cvs.  In
	discussing filenames, don't mention a hypothetical behavior
	involving folding to lowercase (I'm not sure what is meant, and it
	doesn't sound right to me) and do mention that things might be
	different now (as a result of recent changes to case sensitivity
	code).

Wed Sep  4 1996  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Add windows-NT/ChangeLog.

Wed Sep  4 13:55:11 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (DISTFILES): Add cvs.spec.

Mon Aug 26 15:30:13 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Add item suggesting "cvs message" command.

Tue Aug 20 12:22:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_C_INLINE): Removed; see src/ChangeLog.
	* config.h.in, configure: Regenerated.
	* os2/config.h, windows-NT/config.h: Remove #define of inline.

	* configure.in (AC_C_CHAR_UNSIGNED): Removed; it is not used
	anywhere.
	* config.h.in, configure: Regenerated.
	* os2/config.h, vms/config.h, windows-NT/config.h: Likewise,
	remove __CHAR_UNSIGNED__.

Fri Aug 16 13:37:19 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.spec (%description): Replace description with one that
	resembles the release announcements we have been sending out.  The
	previous one was out of date and not really focused on describing
	what CVS does.
	(%build): Don't define SERVER_FLOWCONTROL; if we are ready to make
	this is the default it should be for all kinds of builds, not just
	those via RPM.

Fri Aug 16 16:09:59 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* cvs.spec: new file.  This is a template for a RPM specification
	file (which is used by 'make spec').

	* Makefile.in (installdirs-local): new (empty) target
	(all install uninstall installdirs): add installdirs to list of
	targets which are done for all subdirs
	(spec): new target to create a rpm specification file (which can
	be used to create RPM source and binary packages)
	(dist): depend on spec (which now also creates .fname)

Wed Aug 14 13:59:11 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* configure.in (AC_REPLACE_FUNCS): add getspnam for reading shadow
	password entries
	* configure: regenerated
	* config.h.in: regenerated

Mon Aug 12 14:15:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (config.status): When running config.status
	--recheck, preserve the value of CFLAGS.

Fri Aug  9 14:11:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Also mention dejagnu advantages.

Thu Aug  8 16:00:55 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS (ABOUT STDOUT AND STDERR): New section.
	(ABOUT TEST FRAMEWORKS): Add sed/cmp/diff (a la C News) as an option.

	* NEWS: Change entry regarding "cvs log" not invoking "rlog" so
	that it emphasizes user-visible behaviors.

Tue Aug  6 17:01:23 1996  Ian Lance Taylor  <ian@cygnus.com>

	* TODO: Remove item #167 (cvs log doesn't understand symbolic
	branch names).  It works now.

	* NEWS: Mention that "cvs log" no longer invokes "rlog".

Wed Jul 31 16:06:03 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Mention rule about _ vs - in file names.

Wed Jul 24 19:10:38 1996  Ian Lance Taylor  <ian@cygnus.com>

	* NEWS: Mention that Kerberos encryption is now supported.

Mon Jul 22 23:48:39 1996  Ian Lance Taylor  <ian@cygnus.com>

	* NEWS: Mention that the commit message has changed slightly when
 	committing changes on a branch.

Fri Jul 19 16:10:04 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Say that GNU expr is part of sh-utils.

Thu Jul 18 18:16:33 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention -k wrappers option.

	* TESTS: In list of what we would like in a test framework, only
	mention portable once, and other wording cleanups.

Mon Jul 15 1996  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Add src/ChangeLog (lets us edit it from within
	the integrated development environment).

Sun Jul 14 1996  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Add src/zlib.c.  Add zlib group containing the .c
	files in zlib.  Add /I "zlib" compiler options.

Sun Jul 14 10:26:21 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Expand zlib item to emphasize user-visible (and
	CVS-installer-visible) consequences.

Sat Jul 13 21:11:50 1996  Ian Lance Taylor  <ian@cygnus.com>

	* NEWS: Mention that -z now uses zlib.

Fri Jul 12 18:54:21 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (USOURCE_SUBDIRS): Add zlib.
	* configure.in (AC_OUTPUT): Add zlib/Makefile.
	* configure: Regenerate.

	* zlib/*: Import zlib 1.0.3.  Remove zlib/Makefile.  Modify
	zlib/Makefile.in for use with CVS.

Fri Jul 12 1996  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Add src/buffer.c

Wed Jul 10 18:44:58 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Say that rlog is deprecated.

Tue Jul  9 14:37:41 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* PROJECTS: Refer to comment in rcscmds.c regarding RCS library.

	* HACKING: Expand comments on portability.

Sun Jul  7 23:21:02 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_REPLACE_FUNCS): Remove memmove; it was used by
	a very old version of the CVS server for nefarious purposes and it
	has been long gone.
	* configure: Regenerated.

Tue Jul  2 22:36:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TESTS: Add discussion of test frameworks.

Fri Jun 28 20:27:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Describe "cvs diff -q" removal and new diff options.

Thu Jun 13 17:29:30 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Remove item #67 about having cvs import create CVS
	directories; I don't think it is wise to have cvs import mess with
	the directory it is working in at all.  Remove item #69 about
	having import edit modules--in many cases there is no need for an
	entry in modules.  Remove item #76 about running on top of SCCS;
	we are clearly not evolving in that direction.  Remove item #91
	about documenting how to import sources from SCCS or RCS; this is
	now documented in cvs.texinfo.  Remove item #129 about "U CFTS/";
	without more information it is impossible to know what behavior is
	being discussed.  Remove item #157 concerning module names in cvs
	release; cvs release takes a directory name, not a module name.
	Remove item #159 about checking access times; this is as likely to
	be an annoyance as a help, and people who are into that can just
	look at the result from "cvs update" (directly or with a script).
	Remove item #164 concerning variables in *info files; it is done.
	Remove item #35 (it just says "cvs admin" is cheesy, which isn't
	specific enough to be useful).  Rewrite #39 to be specific about
	what would be nice in having branches track each other.  Remove
	item #46--I'm not sure what it means and if it means that one
	should check in with "cci" or some such instead of "cvs ci" then
	that is an installation hassle and a minimal convenience.  Add
	item #180.

	* config.h.in: Regenerated.

Thu Jun 13 1996  Ian Lance Taylor  <ian@cygnus.com>
		 and Jim Kingdon  <kingdon@cyclic.com>

	* configure.in: Put -L${krb_libdir} in LDFLAGS temporarily when
	looking for -ldes.
	* configure: Regenerated.

Mon Jun 10 13:13:35 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention NT local.

Fri Jun  7 18:02:36 1996  Ian Lance Taylor  <ian@cygnus.com>
			  and Jim Kingdon  <kingdon@cyclic.com>

	* NEWS: Mention new annotate options.

Thu Jun  6 14:08:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* lib/savecwd.c: Revert CVS_* patch.  The include files where
	CVS_* is defined were not included, and the code in question was
	inside HAVE_FCHDIR which isn't defined on the Mac anyway.

	* src/filesubr.c: Revert CVS_* patch in this one file.  The mac
	port should have its own copy of filesubr.c instead.

Wed Jun 05 10:03:10 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* lib/{system.h,savecwd.c}, src/{add.c,checkout.c,client.c,
	commit.c,create_adm.c,diff.c,edit.c,entries.c,fileattr.c,
	filesubr.c,find_names.c,history.c,ignore.c,import.c,lock.c,
	login.c,logmsg.c,mkmodules.c,modules.c,myndbm.c,no_diff.c,
	parseinfo.c,patch.c,rcs.c,recurse.c,release.c,remove.c,root.c,
	rtag.c,server.c,tag.c,update.c,vers_ts.c,wrapper.c}:
	Under non-UNIX operating systems (MS-DOS, WinNT, MacOS), many
	filesystem calls take only one argument; permission is handled
	very differently on those systems than in UNIX.  On MacOS,
	the naming scheme for volumes and subdirectories is quite
	different.  This patch leaves hooks in the form of CVS_ACCESS,
	CVS_CHDIR, CVS_CREAT, CVS_FOPEN, CVS_MKDIR, CVS_OPEN, CVS_OPENDIR,
	CVS_RENAME, CVS_RMDIR, CVS_STAT, and CVS_UNLINK to accomodate
	these differences.

Thu Jun  6 11:11:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Say "changes from 1.7 to 1.8" not "changes since 1.7".

Wed Jun  5 1996  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Visual C++ 2.1 seems to want to reformat the line
	breaks.  No substantive changes, I think.

Thu May 30 15:35:57 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (DISTFILES): add TESTS.

Tue May 28 13:10:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* src/server.c: Add comment regarding out-of-order bug.
	* TESTS: Explain out-of-order bug.

	* INSTALL: Remove $CVSId$.  More strongly encourage people to skip
	the tests if they don't have the time to look at the results.
	Move most of the discussion of tests to new file TESTS, and add
	some information on interpreting check.log output.
	* README: In brief summary of install, don't spell out details of
	"make check" or "cvs init" steps.

Sun May 26 17:59:46 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Change "up-to-date" to "not locally modified"; the file
	need not match the head revision it only need match some revision.

Sun May 26 17:02:49 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* NEWS: document new option "-c" for tag

Thu May 23 21:49:33 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Remove footnote 10.  The only kind of change suitable
	for listing here is fairly easy portability stuff.

Fri May 17 11:49:11 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Refer to cvs.texinfo and say "filesystem" not "fs".

Thu May 16 17:13:56 1996  Noel Cragg  <noel@gargle.rain.org>

	* NEWS: Mention all access methods.

Wed May 15 23:38:15 1996  Noel Cragg  <noel@gargle.rain.org>

	* NEWS: add info about access methods and document behavior change
 	for "cvs login."

Mon May 13 10:37:09 1996  Greg A. Woods  <woods@most.weird.com>

	* INSTALL: updated for Sun-3 SunOS 4.1.1_U1 (1.8.2)

Fri May 10 09:39:49 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Document that -d overrides CVS/Root.

Mon May  6 06:00:10 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* Version 1.8.1

Sun May  5 17:38:21 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	Integrated changes submitted by Ian Taylor <ian@cygnus.com>

	* update.c (update_dirent_proc): cvs co -p doesn't print
	anything when run from an empty directory.

        * import.c (import_descend_dir): Check for a file in the
        repository which will be checked out to the same name as the
        directory.

Sun May  5 15:49:00 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* configure.in: autoconf 2.9 handles AC_CHECK_LIB in a
	way that it can not be used to check for main().  Check
	for printf() instead. (Reported by ian@cygnus.com)

	* configure: Regenerated.

Thu May  2 13:34:37 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* Version 1.7.88

Thu May  2 10:42:13 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Clarify what happened to examples directory.

Thu May  2 02:06:49 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* INSTALL: Updated for NeXTSTEP 3.3 (1.7)

Thu May  2 01:40:55 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* Compatibility fixes affecting QNX, NetBSD, and SCO

	* configure.in (AC_CHECK_FUNCS): Added check for initgroups(),
          (ac_cv_func_crypt) Added check for crypt() in -lcrypt;
          define AUTH_SERVER_SUPPORT only if crypt() is found.

	* configure: Regenerated.

	* src/server.c (HAVE_INITGROUPS): Use initgroups() only if
        located by configure.

Wed May  1 15:38:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Remove item about reserving all-uppercase tag names.

Wed May 01 00:18:01 1996  noel  <noel@BOAT_ANCHOR>

	* cvsnt.mak: remove all of those unnecessary libraries!  We only
 	need advapi32.lib and wsock32.lib.

Wed Apr 24 16:48:35 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Document that -d overrides CVS/Root.

Fri Apr 19 11:22:35 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* Version 1.7.86

Sun Apr 14 11:06:44 1996  Karl Fogel  <kfogel@floss.red-bean.com>

        * configure.in (AC_OUTPUT): generate contrib/elib/Makefile,
        tools/Makefile, and tools/pcl-cvs/Makefile.  Do not any longer
        generate contrib/pcl-cvs/Makefile.

        * Makefile.in: deal w/ above changes.

        * configure: regenerated.

        * Added `tools' subdir (pcl-cvs will live there, as will other
        things maintained along with the CVS distribution).

Wed Apr 10 17:15:25 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Mention documentation and A4 paper in particular.

Thu Mar 28 12:31:38 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Add "cvs annotate".

Tue Mar 26 10:46:59 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: In example, change tag name to avoid using a tag name
	reserved to CVS.

	* NEWS: Document reservation of some tag names.

Fri Mar 22 10:45:23 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Clarify that RCS is only for server or local.

Mon Mar 18 10:15:18 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Mention info@cyclic.com where we mention support
	contracts, not at the end where people might be tempted to view it
	as a generic help line.

Thu Mar 14 16:34:26 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (stamp-h): Don't run ./config.status --recheck.

Thu Mar 14 1996  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Regenerate dependencies.

Thu Mar 14 13:45:11 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* configure.in (AC_OUTPUT): Don't create examples/Makefile; we're
	not using the examples directory any more.

Wed Mar 13 17:02:00 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Refer to cvs.texinfo rather than out-of-date cvsinit
	instructions.  Instead of telling everyone to update modules
	whenever adding directories (which is optional), refer to the
	manual regarding all administrative files.  Revise "make check"
	instructions to be even less encouraging about submitting bug
	reports.

	* examples/*: Removed.
	* Makefile.in (SUBDIRS): Remove examples.
	* cvsinit.sh: Removed.
	* Makefile.in: Remove all cvsinit and PROGS stuff.
	* NEWS: Mention cvsinit -> cvs init change.

Mon Mar 11 13:12:35 1996  Samuel Tardieu  <sam@inf.enst.fr>

	* BUGS: removed previous description from Greg Woods (3/6/96)
	since the bug seems to be corrected

Wed Mar  6 10:35:32 1996  Greg A. Woods  <woods@most.weird.com>

	* BUGS: describe a weird core-dump with 'cvs co -c'.  Now I can't
	even get a stack backtrace again -- dbx dumps core!

Fri Mar  1 09:21:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.VMS: Remove distribution information (since it is no
	longer different for VMS).  Various wording fixes to reflect the
	fact that using rsh is just one of several ways to connect to a
	cvs server, not "the official" one.  Say that the unsuitable rsh
	is the UCX one.  Clarify what rsh uses privileged ports for.

Fri Mar  1 01:26:28 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* README.VMS, build.com: Added for VMS.

Thu Feb 29 10:04:20 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention change to default ignore list.

Thu Feb 29 00:28:08 1996  Peter Wemm  <peter@jhome.DIALix.COM>

	* configure.in: correctly spell FNM_PATHNAME in fnmatch() test,
	the supplied test fails on proposed POSIX.2, lib/fnmatch.*, Linux,
	FreeBSD, etc.
	* configure: Regenerated.

Tue Feb 27 10:43:14 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Change submission address to bug-cvs from info-cvs.
	Encourage submissions to be in the form of diffs to INSTALL.

Sun Feb 25 15:23:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Fix typo.

Fri Feb 23 1996  Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Add login.c and scramble.c.

Fri Feb 23 16:36:11 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Mention comp.software.config-mgmt.  Don't mention old
	cyclic-cvs mailing list.

	* acconfig.h: Add AUTH_SERVER_SUPPORT.  Remove DIFF and GREP (no
	longer used).
	* configure.in: Define AUTH_SERVER_SUPPORT.
	* config.h.in, configure: Regenerated.

Thu Feb 22 22:32:09 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Remove AC_FUNC_ALLOCA.
	* configure: Regenerated.

Mon Feb 19 09:39:21 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Add comments about portability and assert().

Thu Feb 15 16:40:13 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention $USER internal variable.

Thu Feb 15 14:00:00 1996  Gary Oberbrunner  <garyo@avs.com>
			  and Jim Kingdon  <kingdon@cyclic.com>

	* cvsnt.mak: Add vasprintf.c and mkmodules.c

Tue Feb 13 20:05:47 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_REPLACE_FUNCS): Add strtoul.
	* configure: Regenerated.

Mon Feb 12 10:06:27 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Remove mkmodules stuff.
	* NEWS: Add item concerning mkmodules.

	* configure.in (AC_REPLACE_FUNCS): Add vasprintf.
	* configure: Regenerated.

Sun Feb 11 16:43:38 1996  Karl Fogel  <kfogel@floss.red-bean.com>

        * Makefile.in (DISTFILES): added HACKING.

Sun Feb 11 12:38:51 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Revise *info files feature (now user vars, not env vars).

Fri Feb  9 23:51:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention env var in *info files feature.

Fri Feb  9 02:41:50 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in (DISTFILES): Remove config.sub and config.guess from
	the list; they're not distributed any more.

Thu Feb  1 19:47:46 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Remove RM; no longer used.

Thu Feb  1 14:38:04 1996  Karl Fogel  <kfogel@floss.red-bean.com>

        * configure: re-ran autoconf.

        * Makefile.in (USOURCE_SUBDIRS, SUBDIRS): abstract unix source
        subdirs to new var USOURCE_SUBDIRS, for lint's sake and possibly
        etags's someday.
        (lint): run in USOURCE_SUBDIRS only.

Thu Feb  1 13:06:47 1996  Roland McGrath  <roland@baalperazim.frob.com>

	* configure.in (WITH_KRB4): Escape $ in help text.

Wed Jan 31 19:03:37 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* HACKING: Add info about NEWS file and release process.

Tue Jan 30 16:00:00 1996  Jim Kingdon  <kingdon@peary.cyclic.com>

	* cvsnt.mak: Change save-cwd.c to savecwd.c and regenerate
	dependencies to take care of save-cwd.h.
	* windows-NT/README: Update information about Visual C++ 4.0.

Tue Jan 30 16:09:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Rename lib/save-cwd.c to lib/savecwd.c.  Avoiding a hyphen
	seems to be the only way to get Visual C++ 2.1 to generate a
	cvsnt.mak which Visual C++ 4.0 will accept.
	* Rename lib/save-cwd.h to lib/savecwd.h for consistency.
	* os2/Makefile.in, lib/Makefile.in, lib/savecwd.c, src/add.c,
	src/import.c, src/modules.c, src/recurse.c, src/tag.c: Update
	accordingly.

	* INSTALL, os2/options.h, windows-NT/options.h,
	macintosh/options.h, src/options.h.in: Remove SORT; it is no
	longer used.

Mon Jan 29 15:16:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Mention -b.  Don't talk about RCS 5.6.[5-7] beta
	releases; this will be an issue for few if any people.  Remove
	stuff about diff and --with-diffutils which is no longer true.

	* README: Refer to HACKING file.  Refer to cvs.texinfo not
	manpage.  Rewrite section about compatibility between CVS versions.
	* HACKING: New file.
	* INSTALL: Move -Wall section to HACKING; refer to HACKING.

Wed Jan 24 20:26:55 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Remove diff stuff.  Also remove AC_CANONICAL_HOST
	and bindir crud as that was the only place they were used.
	* config.h.in, configure: Regenerated.
	* config.sub, config.guess: Removed.
	* src/options.h.in (DIFF): Change to "diff" and change comment to tell
	people not to use -a.
	* src/sanity.sh: New test binfiles tests for above-fixed bug (see
	comments in patch_file in update.c--passing -a to diff generates a
	patch which patch cannot apply).

	* NEWS: Adjust to reflect existence of 1.7.

Tue Jan 23 14:20:39 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* devel-cvs: New file, not to be included in the distribution.

Thu Jan 18 21:46:56 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* BUGS: Remove all mention of the outdated cyclic-cvs@cyclic.com
	and remote-cvs@cyclic.com addresses.  It turns out that people see
	these addresses and use them.  Mention the proper way to report
	bugs.

Wed Jan 17 16:40:01 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Fix typo (info-cvs-requests -> info-cvs-request).

Fri Jan 12 13:38:12 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in, configure: Revert "Checking user's gender" change.
	Sure, you only live once, but I want mine to be a *long* life, not
	one interrupted by a CVS user who is not amused coming after me
	with an axe.

Fri Jan 12 12:46:23 1996  Karl Fogel  <kfogel@floss.red-bean.com>

        * configure: regenerated.

        * configure.in: print "Checking user's gender... ok".  I mean,
        what the heck, you only live once.

Thu Jan 11 14:00:00 1996  Jim Kingdon  <peary.cyclic.com>

	* cvsnt.mak: Update dependencies.

Thu Jan 11 12:03:10 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* NEWS: document loss of CVS_NOADMIN.  Also, mention the
	  possibility to use "cvs" in .cvsrc.

Wed Jan 10 20:40:23 1996  Karl Fogel  <kfogel@floss.red-bean.com>

        * configure: regenerated.

        * configure.in (AC_OUTPUT): added `macintosh/Makefile'.

        * Makefile.in (SUBDIRS): added `macintosh'.

Wed Jan 10 01:17:18 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Remove URL of obsolete David Zuhn web page.

	* FAQ: Replace entire file with short paragraph explaining the FAQ
	is dead.

	* configure.in: Don't set exec_prefix.  Set bindir from prefix if
	exec_prefix isn't set.
	* configure: Regenerated.

	* INSTALL: Update list of machines for 1.6.85 (further changes to
	the list of machines will not receive ChangeLog entries).

Tue Jan  9 09:02:05 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention changes in default ignore list.

	* INSTALL: check.log is not in /tmp/cvs-sanity.  Mention
	submitting bug reports as a possibility, not a request from us.
	Separate out "make check" a bit to make clear it is optional.

Mon Jan  8 11:42:40 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Remove grep stuff; no longer necessary.
	Don't say that patch must understand unidiffs; no longer true.
	Suggest configuring with -Wall (here until we have a "how to hack
	CVS document").

Wed Jan  3 19:00:00 1996  Jim Kingdon  <kingdon@peary.cyclic.com>

	* .cvsignore: Add cvsnt.vcp.

Mon Jan  1 22:45:50 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* os2/Makefile.in (Makefile), windows-NT/Makefile.in (Makefile):
	New rules.

Sun Dec 31 16:52:49 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * NEWS: add a blurb about password authentication.

Sun Dec 31 16:16:38 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Add "submissions will be distributed under the GPL"
	language (like the newspapers have for letters to the editor).

Thu Dec 21 16:00:00 1995  Jim Kingdon  <kingdon@peary.cyclic.com>

	* cvsnt.mak: Revert to an old version, then add in recent changes
	to lists of files (using Visual C++; not by hand editing--this way
	it can be used as an internal project not just an external one).

Tue Dec 19 17:13:14 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Mention -kb (strictly speaking a bugfix, not a new
	feature, I guess, but it seems worth mentioning anyway).

Tue Dec 19 17:00:00 1995  Jim Kingdon  <kingdon@peary.cyclic.com>

	* TODO: Remove "regular TODO list:" line which accidentally got
	checked in.

Mon Dec 18 18:59:30 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (TAR_VERBOSE): Default to empty, not "v".  I don't
	want that whole long list of files any more than jimb's daily
	update script does.

Sun Dec 17 23:59:11 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_REPLACE_FUNCS): Remove vasprintf.
	* configure: Regenerated.

Sat Dec 16 17:19:45 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in (AC_REPLACE_FUNCS): Add vasprintf.
	* configure: Regenerated.

Mon Nov 20 14:19:47 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Remove items about developer communications; they are done.
	* NEWS: Mention developer communication features.
	* cvsinit.sh: Also add notify file.

Mon Dec 11 22:44:58 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * New subdir "macintosh", for Mike Ladwig's
        <mike@twinpeaks.prc.com> port-in-progress.

Thu Dec  7 14:32:49 1995  Jim Meyering	(meyering@comco.com)

	* Makefile.in (check): Make sure library is built before running
	make in src.
	(remotecheck): Likewise.
	(installcheck): Likewise.

Wed Dec  6 11:40:37 1995  J.T. Conklin  <jtc@slave.cygnus.com>

	* configure.in: Remove leading -l from first argument of
 	AC_CHECK_LIB for -lkrb and -ldes checks.

Mon Dec  4 08:06:31 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h.in: Regenerated.

Sun Dec  3 20:05:10 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* configure.in: Remove grep stuff.
	* configure: Regenerated.

Fri Dec  1 11:16:18 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* configure, config.h.in: re-ran autoconf

	* configure.in (AC_CHECK_HEADERS): add sys/resource.h to list of
	  tested headers

	* Makefile.in (DISTFILES): add config.sub and config.guess

Thu Nov 23 09:01:53 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Remove item about doc describing undoing a change; it
	already does.

Sun Nov 19 18:12:36 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in (dist): Pull out the 'v' in the tar command to a
	variable, so I can disable it in my daily update script.

Tue Nov 14 18:31:36 1995  Greg A. Woods  <woods@most.weird.com>

	* cvsinit.sh:
	- new rcs id
	- new opening comment
	- read only one "word" for CVSROOT
	- add checkoutlist, cvswrappers, taginfo, wrap, & unwrap to
	examples install loop, special handling for latter....
	- don't do any special stuff for loginfo -- always comment out
	everything in the newly installed examples
	- add a wee message to suggest editing newly installed examples
	- tweak some more comments, esp. regarding install of contrib
	scripts....
	- make $CVSROOT/CVROOT/history group writable if it didn't exist
	as it's not very useful otherwise

Tue Nov 14 15:22:25 1995  Greg A. Woods  <woods@most.weird.com>

	* cvsinit.sh: woops!  wasn't installing contrib/log!

Tue Nov 14 12:09:11 1995  Greg A. Woods  <woods@most.weird.com>

	* INSTALL: oops, missed a couple of things about "configure"

	* configure: re-ran autoconf

Tue Nov 14 11:06:25 1995  Greg A. Woods  <woods@most.weird.com>

	* config.guess, config.sub: first time in (from autoconf-2.4)

	* configure.in:
	- updated to work with autoconf-2.4
	- call AC_CANONICAL_HOST to get host OS type right (needs
	config.sub and config.guess)
	- added full support for --with-diffutils and --with-gnugrep
	- fixed the diff search to work almost like the one for RCS-5.7
	- fixed some quoting problems

	* README: mention optional 'make check' step

	* INSTALL:
	- updated notes about working SunOS versions
	- re-wrote notes about RCS, diffutils, etc.
	- added notes about configuring	with GNU diffutils and GNU grep
	- added notes about using 'make	check'
	- changed bug reporiting instructions to mention cvsbug
	- re-wrote notes about setting CVSROOT in shell startups

Fri Nov  3 11:11:16 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README: Fix typo in URL of molli's web site.

Tue Oct 31 19:28:16 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * testing something, please ignore.

Mon Oct 23 18:37:27 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * configure: re-ran autoconf.

        * configure.in (AC_OUTPUT): os2/Makefile.

        * Makefile.in (SUBDIRS): added os2 subdir.

Mon Oct 23 12:02:51 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* cvsnt.mak:  added lib/getline.c

Fri Oct 20 17:04:55 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* cvsnt.mak: added src/expand_path.c, error.[ch] now in src

Thu Oct 19 16:26:32 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Remove note about RCS 5.7 and log messages
	consisting only of whitespace; fixed in CVS on 11 Jul 95.

Tue Oct 17 17:57:23 1995  Warren Jones  <wjones@tc.fluke.com>

	* man/cvs.5, examples/modules: Document -e.

Tue Oct 10 16:34:25 1995  Thorsten Lockert  <tholo@sigmasoft.com>

	* configure.in: More crud looking for kerberos, this time for 4.4BSD.
	* configure: Regenerated.

Sun Oct  8 12:22:19 1995  Peter Wemm  <peter@haywire.DIALix.COM>

	* configure.in: check for POSIX and BSD style reliable signals
	* configure: regenerated by autoconf
	* config.h.in: regenerated by autoheader

Fri Oct  6 21:50:48 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	There is little point in trying to share a file as trivial as
	lib/error.c between programs.  So just admit it is CVS specific:
	* lib/error.c: Move from here...
	* src/error.c: ...to here, and remove CVS_SUPPORT ifdefs.
	* lib/error.h: Move from here...
	* src/error.h: ...to here.  Remove CVS_SUPPORT
	ifdefs; remove unused variable error_message_count.
	* src/Makefile.in (OBJECTS): Add error.o.
	(SOURCES): Add error.c.
	(HEADERS): Add error.h.
	* lib/Makefile.in (OBJECTS): Remove error.o.
	(SOURCES): Remove error.c.
	(HEADERS): Remove error.h.
	* acconfig.h, configure.in: Remove CVS_SUPPORT.
	* configure, config.h.in: Rebuilt using autoconf and autoheader.
	* windows-NT/config.h: Remove CVS_SUPPORT.

Thu Oct  5 17:26:38 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Mention Siemens-Nixdorf RM600.

Tue Oct  3 09:32:19 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* NEWS: Remove item about -f global option; it is old news already
	mentioned elsewhere in the file.

Mon Oct  2 18:12:15 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* FAQ: Updated for CVS 1.5.  And now 1.6 is almost out.  The FAQ
        always lags the package, sigh...

Mon Oct  2 18:10:35 1995  Larry Jones  <larry.jones@sdrc.com>

	* configure, config.h.in: Rebuilt using autoconf and autoheader.

	* configure.in: check for <sys/bsdtypes.h>; used by src/server.c.
	(ISC keeps all the stuff that BSD has in <sys/types.h> here, so
	we need it for the FD_SET stuff for select().)
	Moved check for gethostname() after check for connect() since if
	connect() is not found, we may add librariesd and gethostname()
	may well be in one of those libraries.
	If connect() isn't found, look in -linet (ISC) in addition to
	-lsocket and -lnsl.  Also, ignore the cache since we need to
	update LIBS reguardless of whether it was found before or not and
	the answer may well be different afterwards.
	Define CLIENT_SUPPORT and SERVER_SUPPORT only if connect() is
	found.

	* INSTALL: update info for ISC 4.0.1; renumber footnotes.

Mon Oct  2 17:01:07 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Indicate CVS version tested with Solaris 2.4.

Mon Oct  2 10:42:37 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * (configure): Re-ran autoconf.

Mon Oct  2 10:33:58 1995  Michael Finken  <finken@conware.de>

        * configure.in: AC_REPLACE `strstr'.

Sun Oct  1 23:22:28 1995  Bryan O'Sullivan  <bos@serpentine.com>

	* (INSTALL): noted that CVS works fine on Solaris 2.4 with both
	  gcc and SPARCworks cc.

Sun Oct  1 18:48:19 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * (configure): re-ran autoconf following Peter Wemm's change
        below.

Sun Oct  1 22:24:56 1995  Peter Wemm  <peter@haywire.dialix.com>

	* configure.in: more extensive searching for -lsocket and -lnsl
	as done in Taylor-UUCP 1.06

Sun Oct  1 15:32:01 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * (configure): re-ran autoconf.

Sun Oct  1 11:35:17 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Remove item about setting comment leader automatically;
	RCS 5.7 does this.

Wed Sep 27 15:34:04 1995  Peter Wemm  <peter@haywire.dialix.com>

	* configure.in: correct detection of GNU diff's -a option for
	src/options.h
	* configure: regenerate with autoconf

Fri Sep 22 14:29:31 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: Remove item about reindenting on the way in and out.
	wrappers provide this functionality.

Wed Sep 20 14:27:28 1995  Jim Blandy  <jimb@totoro.cyclic.com>

        * configure.in: #define the symbols DIFF and GREP to be the paths
	to the DIFF and GREP programs; their values will be edited into
	src/options.h (and config.h, coincidentally).
	* acconfig.h (DIFF, GREP): Add these.
	* configure, config.h.in: Rebuilt using autoconf and autoheader.

Sun Sep 10 21:38:05 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* TODO: CVS can already undo a change, suggest documenting how.
	Expand slightly on mode stuff.
	Remove item about not letting people check out into repository (it
	is done).
	Redo item about expanding env vars in *info to reflect current
	thinking.
	Remove item about making it hard to accidentally move tags; it is
	done.
	Add client/server note to suggestion regarding interactive merging.

Fri Sep  1 12:07:02 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* BUGS: Remove items about refetching unpatchable files and options.h.

Fri Sep  1 09:20:09 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in (DISTFILES): Remove cvsnt.vcp; it's been deleted.

Thu Aug 31 13:47:35 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (stamp-h): Rebuild config.status before trying to
	use it to build config.h.

	* Makefile.in: Change "cd foo; make" to "cd foo && make";
	otherwise we get into an infinite loop if an objdir doesn't exist.

Thu Aug 31 11:07:06 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* configure.in: Arrange not to touch options.h if we haven't
	modified it.  AC_CONFIG_HEADER checks if the file is unmodified,
	whereas AC_OUTPUT doesn't, and they're otherwise identical, so...
	(AC_CONFIG_HEADER): ... mention src/options.h here...
	(AC_OUTPUT): ... not here.
	Copy src/options.h to src/options.h-SAVED, don't move it.
	Otherwise, configure will create it again every time.
	Remove the code to compare the new src/options.h with
	src/options.h-SAVED and move it back if it's unchanged; autoconf
	writes that for us now.

Wed Aug 30 18:45:28 1995  Jim Blandy  <jimb@totoro.cyclic.com>

        * .cvsignore: Ignore WinDebug and WinRel directories, used by
	Microsoft Visual C++ to store object files and executables.

	* acconfig.h (CVS_SUPPORT, CLIENT_SUPPORT, SERVER_SUPPORT): New
	symbols, which autoheader will use to build config.h.in from
	configure.in.
	* configure.in (SERVER_SUPPORT, CLIENT_SUPPORT): Remove spaces
	between AC_DEFINEs and opening parens of argument lists.  Oops.
	* configure: Rebuild using autoconf.
	* config.h.in: Rebuild using autoheader.

	* Makefile.in (SUBDIRS): Uncomment windows-NT.

	* INSTALL: Added Windows NT to list of supported platforms.
	Added Windows NT installation instructions.

Tue Aug 29 16:08:01 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* cvsnt.mak: Completed Windows NT port.

	* configure.in (SERVER_SUPPORT, CLIENT_SUPPORT): Arrange for these
	to get #defined.  In the config.h file for the Windows NT port, we
	only #define CLIENT_SUPPORT.
	* config.h.in (SERVER_SUPPORT, CLIENT_SUPPORT): Add #undefs for
        these.

	* configure.in (AC_OUTPUT): Build the Makefile for the windows-NT
	subdirectory too.

	* cvsnt.vcp: Removed.  This doesn't store any information needed
	to compile CVS; it seems to be mostly programmer preference stuff.
	There's no need to distribute it.

	* INSTALL: Added info about Harris Nighthawk from Steve Allen ---
	thanks!

Mon Aug 21 16:08:37 1995  Jim Blandy  <jimb@totoro.cyclic.com>

        Bring the saga to a close:
	* configure.in: Use AC_PROG_MAKE_SET here, to decide whether we
	need to set the MAKE variable in Makefile.
	* Makefile.in: Use @SET_MAKE@ here, to set MAKE when appropriate.

Mon Aug 21 15:26:29 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in: Add comment regarding AC_SET_MAKE.

Sat Aug 19 21:57:51 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* configure.in: Define CVS_SUPPORT, to tell certain library
	functions that they're part of CVS.
	* config.h.in: Add #undef for CVS_SUPPORT, for configure to chew
	on.

Fri Aug 18 22:35:34 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in: Don't set MAKE; apparently all makes set it and GNU
	make, at least, will set it to what make was invoked as (perhaps gmake
	or some such), not just "make" (which might not support VPATH, for
	example).

Sun Aug 13 23:35:47 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* INSTALL: Convert Data General entry to same format as other entries.

Sun Aug 13 13:11:36 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* cvs-format.el: Add note about set-c-style.

Thu Aug  3 16:13:29 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* INSTALL: Fixed mail address for updates.

        * INSTALL: Noted that 1.5 runs on SunOS 4.1.1 -- 4.1.3.

Sun Jul 30 20:12:26 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* cvsinit.sh: Unify code for modules and loginfo with code for
	other files which have checked-out and ,v files in CVSROOT.
	Don't add "#" to start of lines in rcstemplate.

Sat Jul 29 16:48:05 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* cvsinit.sh: If arguments are given, give version number and
	usage message.  Make printed messages much more concise.

	* cvsinit.sh: Rename log.pl to log.  Don't install log twice.

	* Makefile.in (install-local), contrib/Makefile.in (install):
	Remove "reminder" to run cvsinit; running cvsinit is not required.

Fri Jul 28 16:46:10 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (SUBDIRS): Comment out windows-NT.

Fri Jul 28 02:27:54 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in (DISTFILES): Add cvsnt.mak and cvsnt.vcp.
	(SUBDIRS): Add windows-NT.

	* config.h.in: Regenerated from configure.in by autoheader.

Wed Jul 19 18:00:00 1995  Jim Blandy  <jimb@cyclic.com>

	* configure.in (AC_CHECK_HEADERS): Check for <io.h> and <direct.h>.

Tue Jul 18 21:18:00 1995  Jim Blandy  <jimb@cyclic.com>

	* configure.in (AC_CHECK_HEADERS): Check for sys/param.h; Windows NT
	doesn't have it.

	* configure.in (AC_CHECK_HEADERS): Check for sys/time.h.  If you're
	using AC_HEADER_TIME, it's best to check for this too.

	* cvsnt.mak: New file --- makefile equivalent for Microsoft Visual C++.
	Choose this as your project when working with CVS under MSVC++.
	* cvsnt.vcp: New file --- configuration info for Microsoft Visual C++.
	* windows-NT: New subdirectory, containing files to be used to
	build under Microsoft Windows NT.

Wed Jul 12 23:26:24 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* Makefile.in: Remove duplicate install-info rule.

Wed Jul 12 16:00:27 1995 Karl Fogel <kfogel@floss.cyclic.com>

	* Makefile.in (install-local): added rule for install-info, made
	`install' depend on it.

	* README: correct mailing list addresses.
	* INSTALL: same.

Wed Jul 12 09:15:02 1995  Jim Meyering	(meyering@comco.com)

	* configure.in (gdiff_path): Remove gdiff from the list of programs.
	SGI's Irix includes a program named gdiff that is an X-based GUI to
	diff.

	* configure.in: Add check for working fnmatch functions so that
	systems providing it don't incur the space overhead of linking
	with the version in lib.  Cross compiling builds always use the
	version in lib.

Tue Jul 11 15:47:20 1995  Greg A. Woods	 <woods@most.weird.com>

	* configure.in: add some FIXME comments
	- add a hack to restore src/options.h if AC_OUTPUT() didn't modify
	it. Note that this does *not* work for config.status, thus one
	FIXME comment.
	- add test for #! (to warn about possible failure of perl scripts
	- add test for diff and grep paths (for src/options.h.in)
	- fix up handling of src/options.h.in
	- add checks for PERL_PATH and CSH_PATH (from previous local changes)

Tue Jul 11 14:31:18 1995  Michael Shields  <shields@tembel.org>

	* Makefile.in (LDFLAGS): Pick up from configure.

Sun Jul	 9 19:03:00 1995  Greg A. Woods	 <woods@most.weird.com>

	* configure: re-ran autoconf-2.4

	* cvsinit.sh: make use of xVERSIONx from the Makefile
	- get rid of stuff duplicated in examples/* and use that instead

	* Makefile.in: $(VERSION) for cvsinit.sh wasn't set, so get it
	from src/version.c instead.

	* cvsinit.sh: install two more example CVSROOT control/config
	files: rcstemplate checkoutlist
	- install useful scripts from $CVSLIB/contrib too...
	(from previous local changes)

	* Makefile.in: add another reminder to run 'cvsinit' to update
	repository(ies) (from previous local changes)

Thu Jul	 6 17:53:55 1995  Paul Eggert  <eggert@twinsun.com>

	* Makefile.in (mostlyclean-local): Remove $(PROGS).

Sat Jul	 1 13:11:41 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* Version 1.5.1.

Thu Jun 29 01:02:09 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* configure.in, configure: cross_compiling gets set to "no", not
	empty--change test accordingly.

	* Version 1.4.93.

Wed Jun 28 22:33:54 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* lib/Makefile.in, man/Makefile.in, doc/Makefile.in: Comment out
	rules for configure and config.status, just like in Makefile.in or
	src/Makefile.in.

Tue Jun 27 19:53:05 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* configure.in (AC_REPLACE_FUNCS), configure: Remove fnmatch.
	* lib/Makefile.in (OBJECTS): Add fnmatch.
	Avoids buggy Solaris 2.4 libc fnmatch.

	* FAQ: Updated with new version from ftp.odi.com.

Mon Jun 26 15:17:46 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* Version 1.4.92.

Thu Jun 22 12:45:24 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* Version 1.4.91.

Wed Jun 21 16:33:04 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* PROJECTS: New file.
	* Makefile.in (DISTFILES): Add it.

Wed Jun 21 16:12:14 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* Makefile.in (FLAGS_TO_PASS): Don't pass INSTALL to sub-makes.
	The reason for passing it is gone now that we are using autoconf
	2.x which will set INSTALL in the sub-makefiles correctly.

Tue Jun 20 18:14:54 1995  James Kingdon	 <kingdon@harvey.cyclic.com>

	* configure.in, configure: Make sure src directory exists before
	trying to copy options.h to it.

Mon Jun 19 13:47:20 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in: Add a "remotecheck" target here, for consistency;
	people shouldn't have to switch to src before running the tests.

Mon Jun 19 10:08:03 1995  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* INSTALL: Update list of machines tested.  Remove note about
	systems missing opendir--this is an autoconf issue, not something
	installers should have to worry about.	Refer to NEWS instead of
	ChangeLog.  No longer "strongly recommend" putting diff -a in
	options.h.

Fri Jun 16 22:30:03 1995  Jim Kingdon  (kingdon@cyclic.com)

	* Version 1.4.90.

	* configure, configure.in (AC_OUTPUT): Add config/pcl-cvs/Makefile.

	* Makefile.in (dist): Rename dist from ccvs-<version> to cvs-<version>.

	* Makefile.in (dist, dist-dir), src/Makefile.in, doc/Makefile.in,
	examples/Makefile.in, contrib/Makefile.in,
	contrib/pcl-cvs/Makefile, man/Makefile.in, lib/Makefile.in
	(dist-dir): Use srcdir where appropriate.

Thu Jun 15 14:33:37 1995  Jim Kingdon  (kingdon@cyclic.com)

	* CYCLIC-CVS-FAQ: Removed.
	* Rename ChangeLog.fsf to NEWS.	 Add information about changes
	since 1.4A2.
	* Makefile.in (DISTFILES): Adjust accordingly.
	* README: Revise to reflect current status of releases.

Thu Jun 15 12:22:42 1995  Jim Kingdon  (kingdon@cyclic.com)

	* TODO: Remove various items already fixed.  Revise others.

Thu Jun 15 12:24:45 1995  J.T. Conklin	<jtc@rtl.cygnus.com>

	* configure.in: Use AC_C_INLINE to handle inline.
	Reorganized to put compiler and OS checks first so that any
	special defines they might provide are used in subsequent tests.

	* configure, config.h.in: regenerated with autoconf and
	autoheader version 2.3.

Thu Jun	 8 16:33:51 1995  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* INSTALL (Installation): Disrecommend RCS 5.6.[5-7].

Tue May 30 00:07:15 1995  Jim Meyering	(meyering@comco.com)

	* Makefile.in (distclean-local): Don't delete config.status here.
	(distclean): Delete config.status here instead, but only after
	recursive make invocations.  Otherwise, the new dependencies
	in */Makefile.in on ../config.status led to failure in each sub-make
	because there is no rule there to make ../config.status.
	Reported by Jeff Johnson <jbj@brewster.jbj.org>.
	(realclean): Likewise.

Mon May 29 22:24:28 1995  J.T. Conklin	<jtc@rtl.cygnus.com>

	* configure.in: Use AC_HEADER_DIRENT instead of AC_DIR_HEADER.
	Use AC_HEADER_STAT to determine if S_FOO() macros work.
	Use AC_HEADER_TIME to determine if both <sys/time.h> and <time.h>
	can be included as recommend by autoconf manual.
	Remove AC_STRUCT_TM test, as above test is better.

	* configure, config.h.in: regenerated with autoconf and
	autoheader version 2.3.

Fri Apr 28 14:36:49 1995  Ken Raeburn  (raeburn@kr-pc.cygnus.com)

	* Makefile.in: Set "all" as default target instead of ".PHONY".
	Some versions of make will otherwise try building all of the phony
	targets, in order.

Mon May	 1 14:02:42 1995  Jim Blandy  <jimb@totoro.bio.indiana.edu>

	* configure.in: Set up src/options.h for the user.  Its defaults are
	usually right.
	* README, INSTALL: Adjust installation instructions appropriately.

Fri Apr 28 22:31:26 1995  Jim Blandy  <jimb@totoro.bio.indiana.edu>

	* Makefile.in (DISTFILES): Brought up-to-date.
	(dist): Rewritten to use dist-dir targets, passing DISTDIR variable.
	(GZIP, GZIP_EXT): New variables.
	(dist-dir): New target.

	We don't want to include a file the user has to edit in the
	distribution.
	* src/options.h: No longer distributed.
	* src/options.h.in: Distribute this instead.
	* INSTALL, README: Installation instructions updated.

Sat Apr	 8 19:02:21 1995  Roland McGrath  <roland@baalperazim.frob.com>

	* configure.in: Check for fchdir.
	(connect check): Use AC_CHECK_LIB instead of (obsolete)
	AC_HAVE_LIBRARY.

Sat Apr	 8 14:52:46 1995  Jim Blandy  <jimb@totoro.bio.indiana.edu>

	* Makefile.in (CFLAGS): Let configure set the default for CFLAGS.
	Under GCC, we want -g -O.

Wed Feb	 8 06:49:49 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makefile.in (stamp-h): Pass CONFIG_FILES=$@ to config.status so
	the target is created.
	* configure.in: Applied `autoupdate' from Autoconf 2.1 to
	modernize macro usage.
	(AC_RSH): Call removed.	 It was obsolete and not doing anything useful.
	(AC_OUTPUT): Write stamp-h as the Makefile rules expect we will.
	(AC_TYPE_PID_T): Add this check.

Tue Nov	 8 06:26:54 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* Add stamp-h.in.  Remove it from .cvsignore.

Fri Oct 28 11:50:51 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* Makefile.in: Comment out autoconf and autoheader rules.

Tue Oct 25 17:44:13 1994  Ken Raeburn  <raeburn@cujo.cygnus.com>

	* Makefile.in (all, install, uninstall): Fail if make in
	subdirectory fails.

Tue Oct 18 13:26:15 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* Makefile.in (FLAGS_TO_PASS): Pass INSTALL*.  Add comment about
	why we need to.

Tue Sep 27 08:27:06 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* Makefile.in (SUBDIRS): Reinstate "contrib".
	* configure.in (AC_OUTPUT): Add contrib/Makefile.
	* configure: Regenerated.

Tue Sep 27 01:03:59 1994  John Gilmore	(gnu@cygnus.com)

	* Makefile.in (SUBDIRS):  Comment out "contrib".  Since we don't
	bother to configure it, we shouldn't make it either.

Wed Aug 10 14:52:57 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* Makefile.in (FLAGS_TO_PASS): Don't include LIBS or CFLAGS twice.

	* configure.in: Include waitpid and memmove in AC_REPLACE_FUNCS
	list.  Don't check for memmove separately.
	* configure: Regenerated.
	* config.h.in: Regenerated for Mark's change.

Wed Aug 10 14:32:24 1994  Mark Eichin  (eichin@cygnus.com)

	* configure.in (KRB4): recognize --with-krb4=path. Also test for
	krb_get_err_text so src/main.c and src/client.c can deal
	appropriately.

Tue Aug	 9 15:49:07 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* configure.in: Check sizes of `long' and `int', needed for md5
	code.
	* acconfig.h: New file.	 Mention HAVE_KERBEROS, to keep autoheader
	happy.
	* configure, config.h.in: Regenerated.

Tue Jul 19 11:23:21 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* configure.in: Check not only that krb.h exists, but that it will
	actually compile correctly.
	* configure: Regenerated.

Mon Jul 11 07:04:36 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* configure.in: Add comment re autoheader.

Tue Jun 28 22:09:23 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure.in: Only look for -lsocket and -lnsl if we don't
	already have connect.
	* configure: Regenerated.

Mon Jun 27 17:21:48 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* configure.in: Correct "krb_libdir" to "${krb_libdir}".
	* configure: Regenerated.

Fri Jun	 3 10:15:24 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure.in: Check for -lsocket and -lnsl.
	* configure: Regenerated.

Fri May 27 18:12:43 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure.in: Add valloc to AC_REPLACE_FUNCS.	 Add getpagesize
	to AC_HAVE_FUNCS.  Check for krb.h and -lkrb.  If not found, look
	in /usr/kerberos if native.  If found somewhere, define
	HAVE_KERBEROS and also look for -ldes.	Substitute includeopt.
	* configure: Regenerated.

Fri Mar 11 13:11:51 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure.in: Check for <sys/select.h>; used by src/server.c.
	* configure: Regenerated.

Sun Jan	 9 12:04:15 1994  Ken Raeburn  (raeburn@kr-pc.cygnus.com)

	* configure.in: Check for timezone function, for NetBSD support.
	* configure: Regenerated.

Wed Dec 15 18:05:21 1993  david d `zoo' zuhn  (zoo@andros.cygnus.com)

	* Makefile.in: add MAKEINFO to MDEFINES, pass down MDEFINES on all
	  recursive make invocations that require it; define
	  INSTALL_PROGRAM and use it; reorganize MDEFINES; set infodir and
	  add to MDEFINES; use YACC instead of BISON


Mon Dec	 6 17:02:18 1993  K. Richard Pixley  (rich@sendai.cygnus.com)

	* src/diff.c (diff_fileproc): add support for "cvs diff -N" which
	  allows for adding or removing files via patches.
